% KummerU.m - evaluates a Kummer U function.
%   See "A & S", p. 504.
%
%  Created by Jim Huntley,  10/16/11
%

function [u] = KummerU(a, b, z)

gama = gamma(a);
gamb = gamma(b);
gam2mb = gamma(2-b);
gamopamb = gamma(1+a-b);

u = pi * (exp(log(KummerComplex(a,b,z))-log(gamb)-log(gamopamb)) - z^(1-b)* ...
            exp(log(KummerComplex(1+a-b,2-b,z))-log(gama)-log(gam2mb))) / sin(pi*b);
        
return