% absorp_cdf.m - compute absorption (Dunkl q-binomial) Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = absorp_cdf(n,q,mm,nn)

sum1 = absorp_pdf(0, q, mm, nn);
for jn = 1:n
    sum1 = sum1 + absorp_pdf(jn, q, mm, nn);
end
cdf = sum1;

return



