% adblexp_cdf.m - compute Asymetric Double Exponentiatial Cumulative Distribution Function.
%    See "Dataplot Reference Manual, ADECDF, NIST, 7/7/04. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [y] = adblexp_cdf(x, kappa)

if(x >= 0)
    y = 1 - exp(-sqrt(2)*kappa*abs(x))/(1+kappa^2);
elseif(x < 0)
    y = kappa^2 * exp(-sqrt(2)*abs(x)/kappa)/(1+kappa^2);
end

return



