% adblexp_pdf.m - evaluates an Asymetric Double Exonentiatial Probability Density.
%   See "Dataplot Reference Manual, ADECDF", NIST, 7/7/04.
%
%  Created by Jim Huntley,  8/04/04
%

function [y] = adblexp_pdf(x, kappa)

if(x >= 0)
    y = sqrt(2)*kappa * exp(-sqrt(2)*kappa*abs(x))/(1+kappa^2);
elseif(x < 0)
    y = sqrt(2)*kappa * exp(-sqrt(2)*abs(x)/kappa)/(1+kappa^2);
end

return