% addweib_pdf.m - evaluates an Additive Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = addweib_pdf(x, a, b, c, d)

pdf = (a.*b.*(a.*x).^(b-1) + c.*d.*(c.*x).^(d-1)) ./ exp((a.*x).^b + (c.*x).^d);

return

