% ahuja_cdf.m - compute Ahuja & Nash Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", vol.2, Johnson, Kotz, & Balakrishnan, 
%   1995, Wiley, p.83.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  9/25/08.
%

function [cdf] = ahuja_cdf(x,mu,rho,phi)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@ahuja_pdf,minx,x(jz),tol,trace,mu,rho,phi);
end

return



