% alphkapmu_cdf.m - evaluates an Alpha-Kappa-Mu Cumulative Distribution.
%   See "The Alpha - Eta - Mu and Alpha - Kappa - Mu Fading Distributions", 
%   G. Fraidenraich and M. D. Yacoub et al., U. Campinas, IEEE.
%
%  Created by Jim Huntley,  9/18/06
%

function [cdf] = alphkapmu_cdf(x, alpha, kappa, mu)

%persistent arg0 arg1

%if(isempty(arg0))
    arg0 = sqrt(2*mu*kappa);
    arg1 = sqrt(2*mu*(1+kappa));
%end

cdf = 1  - marcumq(arg0, x^(0.5*alpha)*arg1,mu);

return