% alphkapmu_pdf.m - evaluates an Alpha-Kappa-Mu Probability Density.
%   See "The Alpha - Eta - Mu and Alpha - Kappa - Mu Fading Distributions", 
%   G. Fraidenraich and M. D. Yacoub et al., U. Campinas, IEEE.
%
%  Created by Jim Huntley,  9/18/06
%

function [pdf] = alphkapmu_pdf(x, alpha, kappa, mu)

%persistent coef arg0

%if(isempty(coef))
    coef = alpha * kappa^(0.5*(1-mu)) * (kappa+1)^(0.5*(1+mu)) * mu;
    arg0 = 2 * sqrt(kappa*(1+kappa)) * mu;
%end

pdf = coef * x^(0.5*alpha*(1+mu)-1) * besseli(mu-1,arg0*x^(0.5*alpha)) ...
      / exp(mu*(kappa+x^alpha+kappa*x^alpha));
   
return