% althadd_cdf.m - compute Altham Additive Correlated Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.153, 2005.                 
%
%  Created by:  Jim Huntley,  11/16/06.
%

function [cdf] = althadd_cdf(n,k,alpha,p)

sum = althadd_pdf(0, k, alpha, p);
for jn = 1:n
    sum = sum + althadd_pdf(jn, k, alpha, p);
end
cdf = sum;

return



