% althmult_cdf.m - compute Altham Multiplicitive Correlated Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.153, 2005.                 
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/16/06.
%

function [cdf] = althmult_cdf(n,k,theta,p)

sum = althmult_pdf(0, k, theta, p);
for jn = 1:n
    sum = sum + althmult_pdf(jn, k, theta, p);
end
cdf = sum;

return



