% althmult_pdf.m - evaluates an Altham Multiplicitive Correlated Binomial Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.153, 2005.
%
%   Note: Distribution is NOT Normalized!!!
%
%  Created by Jim Huntley,  11/16/06
%

function [pdf] = althmult_pdf(n, k, theta, p)

pdf = binomial_coef(k,n) * p^n * (1-p)^(k-n) * theta^(n*(k-n));

return


