% apd_cdf.m - compute Asymmetric Power Cumulative Distribution Function.
%   See "Asymmetric Power Distributions: Theory and Applications to Risk Management", 
%   I. Komunjer, Caltech, web.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/30/05.
%

function [cdf] = apd_cdf(x,alpha,lambda)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@apd_pdf,minx,x(jz),tol,trace,alpha,lambda);
end

return



