% ascfac_cdf.m - compute Ascending Factorial Cumulative Distribution Function.
%   See "Lagramgian Probability Distributions", P.C. Consul & F. Famoye,   
%   Birkauser, 2006, p.95.                 
%
%  Created by:  Jim Huntley,  06/07/11.
%

function [cdf] = ascfac_cdf(n,nn,c)

sum1 = ascfac_pdf(0, nn, c);
for jn = 1:n
    sum1 = sum1 + ascfac_pdf(jn, nn, c);
end
cdf = sum1;

return



