% asymlapl_cdf.m - evaluates an Asymmetric Laplace Cumulative Distribution.
%   See "Log-Laplace Distribuitions", T. J. Kozubowski and K. Podgorski, 
%   U. NV Reno and IU.
%
%  Created by Jim Huntley,  07/18/06
%

function [cdf] = asymlapl_cdf(x, alpha, bet, theta)

%persistent coef

%if(isempty(coef))
    coef = alpha*bet/(alpha+bet);
%end

if(x >= theta)
    cdf = 1 - coef * exp(-alpha*(x-theta)) / alpha;
elseif(x < theta)
    cdf = coef * exp(bet*(x-theta)) / bet;
end

return