% asyncount_cdf.m - compute Asynchronous Counting Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.246, 2005.                 
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/16/06.
%

function [cdf] = asyncount_cdf(n,k,lambdat)

sum = asyncount_pdf(0, k, lambdat);
for jn = 1:n
    sum = sum + asyncount_pdf(jn, k, lambdat);
end
cdf = sum;

return



