% azzal_pdf.m - evaluates an Azzalini Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.61.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  7/09/07
%

function [pdf] = azzal_pdf(x, lambda, xi)

%persistent coef 

%if(isempty(coef))
    coef = 1 / gaus_cdf(xi/sqrt(1+lambda^2),0,1);
%end

pdf = coef .* gaus_pdf(x,0,1) .* gaus_cdf(lambda.*x+xi,0,1);

return