% bain_pdf.m - evaluates a Bain Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, p. 641, 1996. 
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  10/27/06
%

function [pdf] = bain_pdf(x, theta)

pdf = (1 + theta.*(1 - exp(-x))) .* exp(-(x + theta.*(x + exp(-x) - 1)));

return