% banach_cdf.m - compute Banach's Matchbox Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.295, 2005.                 
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/16/06.
%

function [cdf] = banach_cdf(n,N)

sum = banach_pdf(0, N);
for jn = 1:n
    sum = sum + banach_pdf(jn, N);
end
cdf = sum;

return



