% beckman_cdf.m - compute Beckman Cumulative Distribution Function.
%   See "Surface Reflection Models", F. Losasso@nvidia.com.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/20/06.
%

function [cdf] = beckman_cdf(x,m);

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    qz(jz) = quad(@beckman_pdf,minx,x(jz),tol,trace,m);
end

% Normalize CDF.
cdf = qz./max(qz);

return



