% beckman_pdf.m - evaluates a Beckman Probability Density.
%   See "Surface Reflection Models", F. Losasso,
%   http://www.cs.rug.nl/~andrei/ACGVE/surf_ref_models.pdf
%
%   NOTE:  Function is NOT Normalized!!!
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  10/20/06
%

function [pdf] = beckman_pdf(x, m)

m2 = m^2;
c4beta = (cos(x)).^4;
t2beta = (tan(x)).^2;

pdf = 0.25 .* exp(-t2beta./m2) ./ (m2 .* c4beta); 

return