% benkt1_cdf.m - evaluates a Benktander I Cumulative Distribution.
%   See "Modern Reserving Techniques for the Insurance Business", 
%   T. Hoedemakers, U. Leuven, 2005.
%
%  Created by Jim Huntley,  07/19/06
%
%

function [cdf] = benkt1_cdf(x, alpha, bet)

cdf = 1 - x^(-alpha-1)/alpha * exp(-bet*(log(x))^2) * (alpha+2*bet*log(x));

return