% benkt1_pdf.m - evaluates a Benktander I Probability Density.
%   See "Modern Reserving Techniques for the Insurance Business", 
%   T. Hoedemakers, U. Leuven, 2005.
%
%  Created by Jim Huntley,  07/19/06
%
%

function [pdf] = benkt1_pdf(x, alpha, bet)

pdf = x^(-alpha-2) *  exp(-bet*(log(x))^2) * (alpha+alpha^2-2*bet+2*bet*log(x)*(1+2*alpha) ...
    + 4*bet^2*(log(x))^2) / alpha;

return