% benkt2_cdf.m - evaluates a Benktander II Cumulative Distribution.
%   See "Modern Reserving Techniques for the Insurance Business", 
%   T. Hoedemakers, U. Leuven, 2005.
%
%  Created by Jim Huntley,  07/19/06
%
%

function [y] = benkt2_cdf(x, alpha, bet);

y = 1 - exp(alpha/bet)*x^(1-bet) * exp(-alpha*x^(bet)/bet);

return