% benkt2_pdf.m - evaluates a Benktander II Probability Density.
%   See "Modern Reserving Techniques for the Insurance Business", 
%   T. Hoedemakers, U. Leuven, 2005.
%
%  Created by Jim Huntley,  07/19/06
%
%

function [y] = benkt2_pdf(x, alpha, bet);

y = exp(alpha/bet)*x^(bet-2)/alpha * exp(-alpha*x^bet/bet) * (1-bet+alpha^2*x^bet);

return