% bessel2_pdf.m - evaluates a Bessel II Probability Density.
%   See "Non-Uniform Random Variates", L. Devroye, Springer-Verlag, 1986, p.469.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  8/20/04
%

function [pdf] = bessel2_pdf(x, bet, lambda, theta)

D = (theta^lambda) * (bet^(1-lambda)) * exp(-0.5*(bet^2)/theta);

pdf = D .* x.^lambda .* exp(-(0.5.*theta.*x.^2)) .* besseli(lambda-1,bet.*x);

return