% bessel_cdf.m - compute Bessel Cumulative Distribution Function.
%   See "Simulating Bessel Random Variables", L. Devroye, 6/13/01
%   
%  Created by:  Jim Huntley,  08/05/04.
%

function [cdf] = bessel_cdf(n, a, nu)

sum1 = bessel_pdf(0, a, nu);
for jn = 1:n
    sum1 = sum1 + bessel_pdf(jn, a, nu);
end
cdf = sum1;
    
return



