% beta1_cdf.m - evaluates a Beta I Cumulative Distribution.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984. 
%
%  Created by Jim Huntley,  09/21/09
%
%   Vector form of the CDF!!!
%

function [cdf] = beta1_cdf(x, a, b, p, q)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@beta1_pdf,minx,x(jz),tol,trace,a,b,p,q);
end

return