% beta1_pdf.m - evaluates a Beta I Probability Density.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984. 
%
%  Created by Jim Huntley,  09/21/09
%
%   Vector form of the PDF!!!
%

function [pdf] = beta1_pdf(x, a, b, p, q)

coef = (b-a)^(1-p-q) / beta(p,q);

pdf = coef .* (x-a).^(p-1) .* (b-x).^(q-1);

return