% beta1mix_cdf.m - compute binomial Mixture of Beta2 Cumulative Distribution Functions.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.249, 1996.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/30/06.
%

function [cdf] = beta1mix_cdf(x,nn,p,a,b)

% Integrate PDF to get CDF.
dx = x(2) - x(1);
pdf = beta1mix_pdf(x,nn,p,a,b);
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = trapz(pdf(1:jz)) * dx;
end

return



