% beta1mix_pdf.m - evaluatess a Binomial Mixture of a Beta 1 Probability Density.
%   See "Continuous Univariate Distributions", v.2, Johnson, Kotz, & Balakrishnan, 
%   Wiley, 1995, p.249. 
%
%   Vector Form of PDF!!!
%
%  Created by Jim Huntley,  09/29/08
%

function[pdf] = beta1mix_pdf(x, nn, p, a, b)

for jx = 1:size(x,2)
    sum = 0;
    for jr = 1:nn+1
        r = jr - 1;
        sum = sum + binomial_coef(nn,r) * p^r * (1-p)^(nn-r) * x(jx)^(0.5*a+r-1) * ...
              (1-x(jx))^(0.5*b-1) / beta(0.5*a+r,0.5*b);
    end
    pdf(jx) = sum;
end

return



