% betabin_cdf.m - compute Beta Binomial Cumulative Distribution Function.
%    See "Dataplot Reference Manual, BBNCDF, Aux-31, NIST, 3/24/97. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [cdf] = betabin_cdf(n, alpha, bet, nn)

sum1 = betabin_pdf(0,alpha,bet,nn);
for jn = 1:n
    sum1 = sum1 + betabin_pdf(jn,alpha,bet,nn);
end
cdf = sum1;
    
return



