% betageom_cdf.m - evaluates a Beta Geometric Cumulative Distribution.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/13/11
%

function [cdf] = betageom_cdf(n, alpha, bet)

sum1 = betageom_pdf(0, alpha, bet);
for jn = 1:n
    sum1 = sum1 + betageom_pdf(jn, alpha, bet);
end
cdf = sum1;

return