% betagum_pdf.m - compute Beta Gumbel Probability Density Function.
%    See "The Beta Gumbel Distribution", S. Nadarajah, S. Kotz, GWU, web. 
%
%  Created by:  Jim Huntley,  4/06/05.
%

function [pdf] = betagum_pdf(x, a, b, mu, sigma)

%persistent coef

%if(isempty(coef))
    coef = 1 / (sigma * beta(a,b));
%end

u = exp(-(x-mu)/sigma);
pdf = coef * u * exp(-a*u) * (1 - exp(-u))^(b-1);

return



