% betaprime_cdf.m - compute Beta Prime Cumulative Distribution Function.
%   See web, "http://mathworld.wolfram.com/BetaPrimeDistribution.html".              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/03/05.
%

function [cdf] = betaprime_cdf(x,alpha,bet);

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@betaprime_pdf,minx,x(jz),tol,trace,alpha,bet);
end

return



