% betpascal_cdf.m - compute Beta Pascal Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.276, 2005.                  
%
%  Created by:  Jim Huntley,  11/17/06.
%

function [cdf] = betpascal(n,k,l,m)

sum1 = betpascal_pdf(k, k, l, m);
for jn = k+1:n
    sum1 = sum1 + betpascal_pdf(jn, k, l, m);
end
cdf = sum1;

return



