% bin3ordk_cdf.m - compute Type III Binomial Order k Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.462, 2005.                  
%
%  Created by:  Jim Huntley,  10/17/07.
%

function [cdf] = bin3ordk_cdf(n,k,p,nn)

sum1 = bin3ordk_pdf(0,k,p,nn);
for jn = 1:n
    sum1 = sum1 + bin3ordk_pdf(jn,k,p,nn);
end
cdf = sum1;

return



