% binasin2_cdf.m - compute Binomial Arcsine Cumulative Distribution Function.
%   See "Lagramgian Probability Distributions", P.C. Consul & F. Famoye,   
%   Birkauser, 2006, p.95.                 
%
%  Created by:  Jim Huntley,  06/08/11.
%

function [cdf] = binasin2_cdf(n,nn,alpha)

sum1 = binasin2_pdf(0, nn, alpha);
for jn = 1:n
    sum1 = sum1 + binasin2_pdf(jn, nn, alpha);
end
cdf = sum1;

return



