% binasin2_pdf.m - evaluates a Compound Binomial Arcsine Probability Density.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982. 
%
%  Created by Jim Huntley,  06/08/11
%

function [pdf] = binasin2_pdf(n, nn, alpha)

bcnndx = binomial_coef(nn,n);
pdf = bcnndx * sin(pi*alpha) * beta(1-alpha+n,nn-n+alpha) / pi;

return