% binasin_pdf.m - evaluates a Compound Binomial Arcsine Cumulative Distribution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, p.140, 2004.
%
%  Created by Jim Huntley,  09/29/11
%

function [cdf] = binasin_cdf(n, nn)

sum1 = binasin_cdf(0, nn);
for jn = 1:n
    sum1 = sum1 + binasin_cdf(jn, nn);
end
cdf = sum1;

return