% binbet_cdf.m - evaluates a Compound Binomial Beta Cumulative Distribution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, p.140, 2004. 
%
%  Created by Jim Huntley,  09/29/11
%

function [cdf] = binbet_cdf(n, nn, w, p)

sum1 = binbet_pdf(0, nn, w, p);
for jn = 1:n
    sum1 = sum1 + binbet_pdf(jn, nn, w, p);
end
cdf = sum1;

return