% binbin_cdf.m - compute Binomial-Binomial Cumulative Distribution Function.
%   See "The Branching Process Method in Lagrange Random Variate Generation", L. Devroye.
% 
%  Created by:  Jim Huntley,  05/19/05.
%

function [cdf] = binbin_cdf(n, k, m, p)

sum1 = binbin_pdf(0, k, m, p);
for jn = 1:n
    sum1 = sum1 + binbin_pdf(jn, k, m, p);
end
cdf = sum1;
    
return



