% binbinmix_cdf.m - compute Binomial-Binomial Mixture Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.374, 2005.                  
%
%  Created by:  Jim Huntley,  11/17/06.
%

function [cdf] = binbinmix_cdf(n,N1,p1,N2,p2)

sum1 = binbinmix_pdf(0, N1, p1, N2, p2);

for jn = 1:n
    sum1 = sum1 + binbinmix_pdf(jn, N1, p1, N2, p2);
end

cdf = sum1;

return



