% binchi_cdf.m - evaluates a Compound Binomial Chi Cumulative Distribution.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982.                 
%
%  Created by:  Jim Huntley,  06/08/11.
%

function [cdf] = binchi_cdf(n,nn,b,c,md2)

sum1 = binchi_pdf(0, nn, b, c, md2);
for jn = 1:n
    sum1 = sum1 + binchi_pdf(jn, nn, b, c, md2);
end
cdf = sum1;

return



