% binerlag_cdf.m - evaluates a Compound Binomial Erlang Cumulative Distribution.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982.                 
%
%  Created by:  Jim Huntley,  06/08/11.
%

function [cdf] = binerlang_cdf(n,nn,b,c,m)

sum1 = binerlang_pdf(0,nn,b,c,m);
for jn = 1:n
    sum1 = sum1 + binerlang_pdf(jn,nn,b,c,m);
end
cdf = sum1;

return



