% bintrnorm_cdf.m - evaluates a Compound Binomial Generalized Gamma Cumulative Distribution.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982.                 
%
%  Created by:  Jim Huntley,  06/08/11.
%

function [cdf] = bingengam_cdf(n,nn,a,b,c,p)

sum1 = bingengam_pdf(0,nn,a,b,c,p);
for jn = 1:n
    sum1 = sum1 + bingengam_pdf(jn,nn,a,b,c,p);
end
cdf = sum1;

return



