% binmax_cdf.m - evaluates a Compound Binomial Maxwell Cumulative Distribution.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982.                 
%
%  Created by:  Jim Huntley,  06/13/11.
%

function [cdf] = binmax_cdf(n,nn,b,c)

sum1 = binmax_pdf(0,nn,b,c);
for jn = 1:n
    sum1 = sum1 + binmax_pdf(jn,nn,b,c);
end
cdf = sum1;

return



