% binomlog_cdf.m - compute Binomial Logarithmic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.375, 2005.                  
%
%  Created by:  Jim Huntley,  11/22/06.
%

function [cdf] = binomlog_cdf(n, p, N1, theta)

sum1 = binomlog_pdf(0, p, N1, theta);

for jn = 1:n
    sum1 = sum1 + binomlog_pdf(jn, p, N1, theta);
end

cdf = sum1;

return



