% binomsum_cdf.m - compute Binomial Sum Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.142, 2005.                  
%
%  Created by:  Jim Huntley,  11/17/06.
%

function [cdf] = binomsum_cdf(n,N1,p1,N2,p2)

sum1 = binomsum_pdf(0, N1, p1, N2, p2);

for jn = 1:n
    sum1 = sum1 + binomsum_pdf(jn, N1, p1, N2, p2);
end

cdf = sum1;

return



