% binpois_cdf.m - compute Binomial Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.33, 2005.                  
%
%  Created by:  Jim Huntley,  11/27/06.
%

function [cdf] = binpois_cdf(n, p, m, M)

sum1 = binpois_pdf(0, p, m, M);

for jn = 1:n
    sum1 = sum1 + binpois_pdf(jn, p, m, M);
end

cdf = sum1;

return



