% binpois_cdf.m - compute Binomial Poisson Mixture Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.365, 2005.                  
%
%  Created by:  Jim Huntley,  11/28/06.
%

function [cdf] = binpoismix_cdf(n, p, nk, theta)

sum1 = binpoismix_pdf(0, p, nk, theta);

for jn = 1:n
    sum1 = sum1 + binpoismix_pdf(jn, p, nk, theta);
end

cdf = sum1;

return



