% binweib_cdf.m - evaluates a Compound Binomial Weibull Cumulative Distribution.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982.                 
%
%  Created by:  Jim Huntley,  06/08/11.
%

function [cdf] = binweib_cdf(n,nn,b,c,p)

sum1 = binweib_pdf(0, nn, b, c, p);
for jn = 1:n
    sum1 = sum1 + binweib_pdf(jn, nn, b, c, p);
end
cdf = sum1;

return



