% binweib_pdf.m - evaluates a Compound Binomial Weibull Probability Density.
%   See "The Compounding of the Binomial and Generalized Beta Distributions",   
%   T. Gerstenkorn, Prob. and Statistical Inference, p.87, 1982. 
%
%   NORMALIZATION PUTS A COMPLICATED UPPER LIMIT ON 'c'!!!
%
%  Created by Jim Huntley,  06/08/11
%

function [pdf] = binweib_pdf(nh,nn,b,c,p)

for jn = 1:size(nh,2) 
    sumk = 0;
    n = nh(jn);
    bcnndx = binomial_coef(nn,n);
    for jk = 1:nn-n
        k = jk - 1;
        sumk = sumk + binomial_coef(nn-n,k) * (-1)^k * (b*c^p)^((n+k)/p) * ...
               gamma(1+(n+k)/p);
    end
    pdf(jn) = sumk * bcnndx;
end

return


