% beiweib_cdf.m - compute Bi-Weibull Cumulative Distribution Function.
%                 See "Dataplot Reference Library, Probability Functions", BWECDF, NIST.
%
%  Created by:  Jim Huntley,  03/03/05.
%

function [cdf] = biweib_cdf(x, s1, gam1, mu2, s2, gam2)

cdf = 0;
if(x > 0 && x < mu2)
    cdf = 1 - exp(-(x/s1)^gam1);
elseif(x >= mu2)
    cdf = 1 - exp(-((x/s1)^gam1 + ((x-mu2)/s2)^gam2));
end

return



