% biweib_pdf.m - evaluates the Bi-Weibull Probability Density Function.  
%                See "Dataplot Reference Library, Probability Functions", BWEPDF, NIST.
%
%  Created by:  Jim Huntley,  03/03/05.
%

function [pdf] = biweib_pdf(x, s1, gam1, mu2, s2, gam2)

bwhaz = biweib_haz(x, s1, gam1, mu2, s2, gam2);
pdf = bwhaz * (1 - biweib_cdf(x, s1, gam1, mu2, s2, gam2));

return
