% bohman_cdf.m - evaluates a Bohman Cumulative Distribution.
%   See "Discussions of Papers Already Published, 'A Risk Model with Multilayer Dividend Strategy', Hansjorg Albrecher
%   and Jurgen Hartinger, April 2007",   
%   www.soa.org/library/journals/north-american-actuarial-journal/2007/july/naaj0703-11.pdf.  
%
%  Created by Jim Huntley,  10/01/08
%

function[cdf] = bohman_cdf(x)

cdf = 1 - 1/3*exp(-1/2*x) - 2/3*exp(-2*x);

return



