% bohman_pdf.m - evaluates a Bohman Probability Density.
%   See "Discussions of Papers Already Published, 'A Risk Model with Multilayer Dividend Strategy, Hansjorg Albrecher
%   and Jurgen Hartinger, April 2007",   
%   www.soa.org/library/journals/north-american-actuarial-journal/2007/july/naaj0703-11.pdf.  
%
%  Created by Jim Huntley,  10/01/08
%

function[pdf] = bohman_pdf(x)

pdf = 0.5.*exp(-0.5.*x)/3 + 4.*exp(-2.*x)/3;

return



