% borel_cdf.m - compute Borel Cumulative Distribution Function.
%   See "Empirical Bayes Estimators for Borel-Tanner Distribution", G.P. Yanev & C.P. Tsokos, web.
%
%  Created by:  Jim Huntley,  08/20/04.
%

function [cdf] = borel_cdf(n, theta)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + borel_pdf(jn, theta);
end
cdf = sum1;
    
return



