% borel_pdf.m - evaluates a Borel Probability Density.
%   See "Empirical Bayes Estimators for Borel-Tanner Distribution", G.P. Yanev & C.P. Tsokos, web.
%
%  Created by Jim Huntley,  8/20/04
%

function [pdf] = borel_pdf(n, theta)

%pdf = (theta*x)^(x-1) * exp(-theta*x) / factorial(x);
pdf = exp((n-1)*log(n*theta) - theta*n - gammaln(n+1));

return