% borelherm_cdf.m - compute Borel Hermite Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.400, 2005.                  
%
%  Created by:  Jim Huntley,  11/28/06.
%

function [cdf] = borelherm_cdf(n, m, lambda, m1, lambda1)

sum1 = borelherm_pdf(0, m, lambda, m1, lambda1);

for jn = 1:n
    sum1 = sum1 + borelherm_pdf(jn, m, lambda, m1, lambda1);
end

cdf = sum1;

return



