% borelt_cdf.m - compute Borel-Tanner Cumulative Distribution Function.
%   See "Empirical Bayes Estimators for Borel-Tanner Distribution", G.P. Yanev & C.P. Tsokos, web.
%
%  Created by:  Jim Huntley,  08/20/04.
%

function [cdf] = borelt_cdf(n, r, theta)

sum1 = borelt_pdf(r, r, theta);
for jn = r+1:n
    sum1 = sum1 + borelt_pdf(jn, r, theta);
end
cdf = sum1;
    
return



