% bosein_cdf.m - compute Bose Einstein Counting Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.445, 2005.                  
%
%  Created by:  Jim Huntley,  11/29/06.
%

function [cdf] = bosein_cdf(n, b, c)

sum1 = bosein_pdf(0, b, c);

for jn = 1:n
    sum1 = sum1 + bosein_pdf(jn, b, c);
end

cdf = sum1;

return



