% bosein_pdf.m - evaluates a Bose Eistein Counting Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.445, 2005. 
%
%  Created by Jim Huntley,  11/29/06
%

function [pdf] = bosein_pdf(n, b, c)

%persistent coef

%if(isempty(coef))
    coef = 1 / binomial_coef(b+c-1,b);
%end

pdf = coef * binomial_coef(b+c-n-2,b-n);

return


