% britfrac_cdf.m - evaluates a Brittle Fracture Cumulative Distribution.
%   See "Continuous Univarite Distributions", V1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, p.694, 1994.
%
%  Created by Jim Huntley,  12/02/06
%

function [cdf] = britfrac_cdf(x, alpha, bet, r)

cdf = 1 - exp(-alpha*x^(2*r)*exp(-bet/x^2));

return