% britfrac_pdf.m - evaluates a Brittle Fracture Probability Density.
%   See "Continuous Univarite Distributions", V1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, p.694, 1994.
%
%  Created by Jim Huntley,  12/02/06
%

function [pdf] = britfrac_pdf(x, alpha, bet, r)

pdf = 2 * alpha * x^(2*r-1) * (r+bet/x^2) * exp(-(bet/x^2+alpha*x^(2*r)*exp(-bet/x^2)));

return