% burr12_pdf.m - evaluates a Burr XII Probability Density.
%   See "Non Uniform Random Variates", L. Devroye, 1986.
%
%  Created by Jim Huntley,  11/25/03
%
%

function [pdf] = burr12_pdf(x, a, c, k)

pdf = c * k * x^(c-1)*(1+(x/a)^c)^(-k-1) / a^c;

return