% burr3_cdf.m - evaluates a Cumulative Burr III Distribution.
%   See "Non Uniform Random Variates", L. Devroye, 1986 and
%   "Averaging Income Distributions", Griffiths et al. (web .pdf).
%
%  Created by Jim Huntley,  11/25/03
%

function [cdf] = burr3_cdf(x, a, b, p)

cdf = (1 + (b/x)^a)^(-p);

return