% burr3_pdf.m - evaluates a Burr III Probability Density.
%   See "Non Uniform Random Variates", L. Devroye, 1986 and
%   "Averaging Income Distributions", Griffiths et al. (web .pdf).
%
%  Created by Jim Huntley,  11/25/03
%

function [pdf] = burr3_pdf(x, a, b, p)

pdf = a * p * x^(a*p-1) * b^(-a*p) * (1+(x/b)^a)^(-p-1);

return