% burr4_cdf.m - evaluates a Cumulative Burr IV Distribution.
%   See "Non Uniform Random Variates", L. Devroye, 1986.
%   NOTE:  Use a low 'ftol' for this distribution since the PDF peaks at both ends!!!
%
%  Created by Jim Huntley,  07/19/05
%

function [cdf] = burr4_cdf(x, c, r)

cdf = (1 + ((c-x)/x)^(1/c) )^(-r);

return