% burr4_pdf.m - evaluates a Burr IV Probability Density.
%   See "Non Uniform Random Variates", L. Devroye, 1986.
%   NOTE:  Use a low 'ftol' for this distribution since the PDF peaks at both ends!!!
%
%  Created by Jim Huntley,  07/19/05
%

function [pdf] = burr4_pdf(x, c, r)

pdf = r * (1 + ((c-x)/x)^(1/c))^(-r-1) * ((c-x)/x)^((1/c)-1) / x^2;

return