% burr8_pdf.m - evaluates a Burr VIII Probability Density.
%   See "Non Uniform Random Variates", L. Devroye, 1986.
%
%  Created by Jim Huntley,  07/19/05
%

function [pdf] = burr8_pdf(x, r)

%persistent coef

%if(isempty(coef))
    coef = 2 * r / pi;
%end

pdf = coef * (2 * atan(exp(x)) / pi)^(r-1) * exp(x) / (1+exp(2*x));

return