% burr_cdf.m - evaluates a Cumulative Burr (Fisk) Distribution.
%   Regress+ Appendix A, "A Compendium of Common Probability Distributions", v2.3, 
%   Dr. Michael P. McLaughlin, 1993, http://www.causascientia.org/math_stat/Dists/Compendium.pdf.
%
%  Created by Jim Huntley,  03/04/04
%

function [cdf] = burr_cdf(x, a, b, c, d)

cdf = (1 + ((x-a)/b)^(-c))^(-d);

return