% burr_pdf.m - evaluates a Burr (Fisk for D = 1) Probability Density Distribution.
%   Regress+ Appendix A, "A Compendium of Common Probability Distributions", v2.3, 
%   Dr. Michael P. McLaughlin, 1993, http://www.causascientia.org/math_stat/Dists/Compendium.pdf.
%
%  Created by Jim Huntley,  03/04/04
%

function [pdf] = burr_pdf(x, a, b, c, d)

pdf = c * d * ((x-a)/b)^(-c-1) * (1 + ((x-a)/b)^(-c))^(-d-1) / b;

return