% cannibal_cdf.m - compute a Cannibal Urn Cumulative Distribution Function.
%   "Analysis of Some Exactly Solvable Diminishing Urn Problems",
%   H-K. Hwang et al, Formal Power Series and Algeraic Combinatorics, Tainjin, 2007.
%
%  Created by Jim Huntley,  03/05/07
%

function [cdf] = cannibal_cdf(n, k, m)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + cannibal_pdf(jn, k, m);
end
cdf = sum1;

return



