% champer_pdf.m - evaluates a Champernowne Probability Density.
%   See "On the Shape of Optimal Non-Linear Income Tax Schedule, M. Tuomala, 
%   Tampere Economic Working Paper #49, Apr, 2006, http://tampub.uta.fi/econet/wp49-2006.pdf.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  7/18/06
%

function [pdf] = champer_pdf(x, mu, theta)

%persistent coef muth

%if(isempty(coef))
    muth = mu^theta;
    coef = theta * muth;
%end

pdf = coef .* x.^(theta-1) ./ (muth + x.^theta).^2;

return