% chaudhry_pdf.m - tests a Chaudhry & Ahmad Probability Density.
%   See "Continuous Univariate Distributions", Vol.2, Johnson, Kotz, & Balakhrishnan,
%   J. Wiley, 1995, p.662.
%
%   Created by: J. Huntley, 10/02/08.
%

function[pdf] = chaudhry_pdf(x, alpha, bet)

pdf = 2 * sqrt(alpha/pi) * exp(-(x*sqrt(alpha)-sqrt(bet)/x)^2);

return
