% chen_cdf.m - evaluates a Chen Weibull Cumulative Distribution.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = chen_cdf(x, lambda, bet)

cdf = 1 - exp(-lambda.*(exp(x.^bet)-1));

return

