% chen_pdf.m - evaluates a Chen Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = chen_pdf(x, lambda, bet)

pdf = (bet.*lambda.*x.^(bet-1).*exp(x.^bet)) ./ exp(lambda.*(exp(x.^bet)-1));
%cdf = 1 - exp(-lambda.*(exp(x.^bet)-1));

return

