% apd_cdf.m - compute Chi Square Product Cumulative Distribution Function.
%   See "Asymmetric Power Distributions: Theory and Applications to Risk Management", 
%   I. Komunjer, Caltech, web.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/07/08.
%

function [cdf] = chisqprod_cdf(x,nu1,nu2)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@chisqprod_pdf,minx,x(jz),tol,trace,nu1,nu2);
end

return



