% circnorm_cdf.m - compute Circular Normal Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, 1995, p.172.
%
%   Vector Form of CDF !!!
%
%  Created by Jim Huntley,  7/12/07
%

function [cdf] = circnorm_cdf(x,k,theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@circnorm_pdf,minx,x(jz),tol,trace,k,theta);
end

return



