% circnorm_pdf.m - evaluates a Circular Normal Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, 1995, p.172.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  7/12/07
%

function [pdf] = circnorm_pdf(x, k, theta)

%persistent coef

%if(isempty(coef))
    coef = 1 / (2*pi*besseli(0,k));
%end

pdf = coef .* exp(k.*cos(x-theta));    
    
return