% clusize_cdf.m - evaluates a Cluster Size Cumulative Distribution.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.238, 2005 & "Sundt and Jewell's Family of Discrete Distributions",
%   G. Willmot, Astin Bulletin, v.18, no.1, p.19, Apr, 1988.
%
%  Created by Jim Huntley,  12/05/06
%

function [cdf] = clusize_cdf(n, w, k)

sum1 = clusize_pdf(1,w,k);
for jn = 2:n
    sum1 = sum1 + clusize_pdf(jn,w,k);
end
cdf = sum1;

return



