% com_cdf.m - compute Conway-Maxwell-Poisson Cumulative Distribution Function.
%   See "Conjugate Analysis of the Conway-Maxwell-Poisson Distribution", 
%   J. Kadane et al., Carnegie Mellon et al., 6/27/20031.
%
%  Created by:  Jim Huntley,  07/15/05.
%

function [cdf] = com_cdf(n, lambda, nu)

sum1 = com_pdf(0, lambda, nu);
for jn = 1:n
    sum1 = sum1 + com_pdf(jn, lambda, nu);
end
cdf = sum1;
    
return



