% comintpois_cdf.m - compute Compound Intervened Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.207, 2005.                 
%
%  Created by:  Jim Huntley,  12/05/06.
%

function [cdf] = comintpois_cdf(n,theta,lambda,rho)

sum1 = comintpois_pdf(0, theta,lambda,rho);
for jn = 1:n
    sum1 = sum1 + comintpois_pdf(jn, theta,lambda,rho);
end
cdf = sum1;

return



