% comlapgam_cdf.m - compute Compound Laplace Gamma Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.2, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, p.194, 1995.                 
%
%  Created by:  Jim Huntley,  12/05/06.
%

function [cdf] = comlapgam_cdf(x,alpha,bet,theta)

if(x < theta)
    cdf = 0.5 / (1 + abs(x-theta)*bet)^alpha;
elseif(x >= theta)
    cdf = 1 - 0.5 / (1 + abs(x-theta)*bet)^alpha;
end

return



