% comlapgam_pdf.m - evaluates a Compound Laplace Gamma Probability Density.
%   See "Continuous Univariate Distributions", v.2, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, p.194, 1995. 
%
%  Created by Jim Huntley,  12/05/06
%

function [pdf] = comlapgam_pdf(x, alpha, bet, theta)

pdf = 0.5 * alpha * bet * (1 + abs(x-theta)*bet)^(-alpha-1);

return


