% compbeta_cdf.m - evaluates a Complementary Beta Cumulative Distribution.
%   See "On a Class of Distributions defined by the Relationship Between 
%   their Density and Distribution Functions", M.C. Jones,
%   http://stats-www.open.ac.uk/TechnicalReports/commstatjones.pdf. 
%
%  Created by Jim Huntley,  09/17/11
%

function [cdf] = compbeta_cdf(x, alpha, bet)

oma = 1 - alpha;
omb = 1 - bet;
cdf = betaincinv(x,oma,omb);

return