% compoisok_cdf.m - compute Compound Poisson Order K Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.460, 2005.                  
%
%  Created by:  Jim Huntley,  12/07/06.
%

function [cdf] = compoisok_cdf(n,k,alpha,c)

sum1 = compoisok_pdf(0,k,alpha,c);
for jn = 1:n
    sum1 = sum1 + compoisok_pdf(jn,k,alpha,c);
end
cdf = sum1;

return



