% connegbin_cdf.m - compute Condensed Negative Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.247, 2005.                  
%
%  Created by:  Jim Huntley,  12/07/06.
%

function [cdf] = connegbin_cdf(n,k,P)

sum1 = connegbin_pdf(0,k,P);
for jn = 1:n
    sum1 = sum1 + connegbin_pdf(jn,k,P);
end
cdf = sum1;

return



