% consul_cdf.m - compute Consul (binomial delta) Cumulative Distribution Function.
%   See "The Branching Process Method in Lagrange ...", L. Devroye, web.
%
%  Created by Jim Huntley,  8/26/04.
%

function [cdf] = consul_cdf(n, m, p, k)

sum1 = consul_pdf(k, m, p, k);
for jn = k+1:n
    sum1 = sum1 + consul_pdf(jn, m, p, k);
end
cdf = sum1;
    
return



