% consul_pdf.m - evaluates a Consul (Binomial Delta) Probability Density.
%   See "The Branching Process Method in Lagrange ...", L. Devroye, web.
%
%  Created by Jim Huntley,  8/26/04
%

function [pdf] = consul_pdf(n, m, p, k)

pdf = k * p^(n-k) * (1-p)^(m*n+k-n) * binomial_coef(m*n,n-k) / n;

return