% d1salvia_cdf.m - compute 1-displaced Salvia-Bollinger Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.511, 2005.                
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = d1salvia_cdf(n,alpha);

sum = d1salvia_pdf(1, alpha);
for jn = 2:n
    sum = sum + d1salvia_pdf(jn, alpha);
end
cdf = sum;

return



