% daceybin_cdf.m - compute absorption (Dunkl q-binomial) Cumulative Distribution Function.
%   See "An Introduction to Quadrat Analysis", R.W. Thomas.
%   http://www.qmrg.org.uk/files/2008/11/12-quadrat-analysis.pdf.
%
%  Created by Jim Huntley,  01/26/10
%

function [cdf] = daceybin_cdf(n,p,y)

sum1 = daceybin_pdf(0, p, y);
for jn = 1:n
    sum1 = sum1 + daceybin_pdf(jn, p, y);
end
cdf = sum1;

return



