% daceybin_pdf.m - evaluates a Dacey Binomial Probability Density.
%   See "An Introduction to Quadrat Analysis", R.W. Thomas.
%   http://www.qmrg.org.uk/files/2008/11/12-quadrat-analysis.pdf.
%
%  Created by Jim Huntley,  01/26/10
%

function [pdf] = daceybin_pdf(n, p, y)

pdf = exp(log(exp(-y) * ((1-p)*y^n + p*n*y^(n-1))) - gammaln(n+1));

return