% dblgam_cdf.m - compute Double Gamma Cumulative Distribution Function.
%    See "Dataplot Reference Manual, DGACDF, Aux-125, NIST, 3/25/97. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [cdf] = dblgam_cdf(x, gam, mu, bet)

if(x >= mu)   
    cdf = 0.5*(1 + gamma_cdf(x,gam,mu,bet));
elseif(x < mu)
    cdf = 0.5*(1 - gamma_cdf(abs(x-mu),gam,0,bet));
end

return



