% dblgam_pdf.m - compute Double Gamma Probaility Density Function.
%    See "Dataplot Reference Manual, DGACDF, Aux-127, NIST, 3/25/97. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [pdf] = dblgam_pdf(x, gam, mu, bet)

%persistent lb gamlng

%if(isempty(lb))
    lb = log(bet);
    gamlng = gammaln(gam);
%end

arg = abs(x-mu)/bet;
%pdf = 0.5*arg^(gam-1)*exp(-arg)/(bet*gamma(gam));
pdf = exp(log(0.5*arg^(gam-1)) + (-arg) - (lb + gamlng));

return