% dblnegbin_cdf.m - compute Double Negative Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by:  Jim Huntley,  12/03/08.
%

function [cdf] = dblnegbin_cdf(n, p, p1, m, nn)

sum1 = dblnegbin_pdf(0, p, p1, m, nn);
for jn = 1:n
    sum1 = sum1 + dblnegbin_pdf(jn, p, p1, m, nn);
end
cdf = sum1;

return



