% dblpois2_cdf.m - evaluatess a Double Poisson 2 Cumulative Distribution.
%   See "An Introduction to Probability Theory", P.A.P. Moran,
%   Oxford, p.85, 1967.
%
%  Created by Jim Huntley,  10/9/08
%

function [cdf] = dblpois2_cdf(n, lambda, mu)

sum1 = dblpois2_pdf(0, lambda, mu);
for jn = 1:n
    sum1 = sum1 + dblpois2_pdf(jn,lambda,mu);
end
cdf = sum1;

return


