% dblpois_cdf.m - compute a Double Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.489, 2005. 
%
%  Created by Jim Huntley,  12/20/06
%

function [cdf] = dblpois_cdf(n,mu,psi,nmax)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + dblpois_pdf(jn,mu,psi,nmax);
end
cdf = sum1;

return



