% dblray_pdf.m - evaluates a Double Rayleigh Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz and Balakrishnan,
%   Vol.1, J. Wiley, 1995, p.480.
%
%  Created by Jim Huntley,  10/10/08
%

function [pdf] = dblray_pdf(x, mu, sigma)

%persistent coef

%if(isempty(coef))
    coef = 1 / (2*sigma^2);
%end

pdf = abs(x-mu) * exp((-(x-mu)^2).*coef) * coef;

return


