% dblweib_cdf.m - compute Double Weibull Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan,
%   J. Wiley, v.1, p.489, 1994.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  12/20/06.
%

function [cdf] = dblweib_cdf(x,c,theta,phi)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@dblweib_pdf,minx,x(jz),tol,trace,c,theta,phi);
end

return



