% dblweib_pdf.m - evaluates a Double Weibull Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan,
%   J. Wiley, v.1, p.489, 1994. 
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  12/20/06
%

function [pdf] = dblweib_pdf(x, c, theta, phi)


for jx = 1:size(x,2)
    arg = abs((x(jx)-theta)/phi);
    pdf(jx) = 0.5 * c * arg^(c-1) * exp(-arg^c) / phi;    
end 

return