% dbtrlogis_pdf.m - evaluates a Doubly Truncated Logistic Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz and Balakrishnan,
%   Vol.2, J. Wiley, 1995, p.142.
%
%  Created by Jim Huntley,  10/13/08
%

function [pdf] = dbtrlogis_pdf(x, P, Q, k)

pdf = (1 - k*x)^(1/k-1) / ((P-Q)*(1+(1-k*x)^(1/k))^2);

return


