% delaport_cdf.m - compute delaporte Cumulative Distribution Function.
%   See "Decompounding Random Sums: A nonparametric approach", M. B. Hansen
%   and S. M. Pitts, Aalborg U., May, 2006.
%
%  Created by:  Jim Huntley,  07/20/06.
%

function [cdf] = delaport_cdf(n, alpha, bet, gamma)

sum1 = delaport_pdf(0, alpha, bet, gamma);
for jn = 1:n
    sum1 = sum1 + delaport_pdf(jn, alpha, bet, gamma);
end
cdf = sum1;
    
return



