% delfelix_cdf.m - compute Delta Felix Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/13/08.
%

function [cdf] = delfelix_cdf(n,lambda,nn)

sum1 = 0;
for jn = nn:2:n
    sum1 = sum1 + delfelix_pdf(jn, lambda, nn);
end
cdf = sum1;

return



