% delgeeta_cdf.m - compute Delta Geeta Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.331, 2005.                  
%
%  Created by:  Jim Huntley,  12/07/06.
%

function [cdf] = delgeeta_cdf(n,nn,bet,theta)

sum1 = delgeeta_pdf(nn,nn,bet,theta);
for jn = nn+1:n
    sum1 = sum1 + delgeeta_pdf(jn,nn,bet,theta);
end
cdf = sum1;

return



