% delkatz_cdf.m - compute Delta Katz Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.2.                 
%
%  Created by:  Jim Huntley,  11/13/08.
%

function [cdf] = delkatz_cdf(n,b,bet,nn)

sum1 = 0;
for jn = nn:n
    sum1 = sum1 + delkatz_pdf(jn, b, bet, nn);
end
cdf = sum1;

return



