% delkatz_pdf.m - evaluates a Delta Katz Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.2.
%
%   Doesn't normalize for b >~ 1 - bet !!!
%
%  Created by Jim Huntley,  11/13/08
%

function [pdf] = delkatz_pdf(n, b, bet, nn)

pdf = binomial_coef(b*n/bet+n-nn,n-nn) * (1-bet)^(b*n/bet) * b * nn * bet^(n-nn) / ...
              (b*n + bet*n - bet*nn);

end

