% delotter_cdf.m - compute Delta Otter Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.2.                 
%
%  Created by:  Jim Huntley,  11/13/08.
%

function [cdf] = delotter_cdf(n,p,nn)

sum1 = 0;
for jn = nn:n
    sum1 = sum1 + delotter_pdf(jn, p, nn);
end
cdf = sum1;

return



