% delsunil_cdf.m - compute Delta Sunil Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/13/08.
%

function [cdf] = delsunil_cdf(n,p,m,nn)

sum1 = 0;
for jn = nn:2:n
    sum1 = sum1 + delsunil_pdf(jn, p, m, nn);
end
cdf = sum1;

return



