% delsunil_pdf.m - evaluates a Delta Sunil Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.2.
%
%   Doesn't normalize for p <~ 0.5 + 0.5*(m-1)/m!!!
%
%  Created by Jim Huntley,  11/13/08
%

function [pdf] = delsunil_pdf(n, p, m, nn)

q = 1 - p;
ratio = q / p;

pdf = nn * binomial_coef(m*n,(n-nn)/2) * p^(m*n) * ratio^((n-nn)/2) / n;

end

