% dgx_cdf.m - compute Discrete Gaussian Exponential Cumulative Distribution Function.
%   See "The "DGX" Distribution for Mining Massive, Skewed Data", Z. Bi, C. Faloutsos,
%   and F. Korn, Carnegie Mellon & AT&T, "The 7th ACM SIGKDD In. Conf. ...", Aug., 2001. 
%  * NOTE THAT THIS "CDF" IS NOT NORMALIZED !!! 
%    (just a brute-force sum of the PDF).
%
%  Created by:  Jim Huntley,  09/29/05.
%

function [cdf] = dgx_cdf(n, mu, sigma)

sum1 = dgx_pdf(1, mu, sigma);
for jn = 2:n
    sum1 = sum1 + dgx_pdf(jn, mu, sigma);
end
cdf = sum1;
    
return



