% dgx_pdf.m - evaluates a Discrete Gaussian Exponential Probability Density.
%   See "The "DGX" Distribution for Mining Massive, Skewed Data", Z. Bi, C. Faloutsos,
%   and F. Korn, Carnegie Mellon & AT&T, "The 7th ACM SIGKDD In. Conf. ...", Aug., 2001. 
%
%  Created by Jim Huntley, 09/29/05
%

function [pdf] = dgx_pdf(n, mu, sigma)

A = 0;
denom = 2*sigma^2;
for jk = 1:100
    A = A + exp(-(log(jk)-mu)^2 / denom) / jk;
end
A = 1 / A;
pdf = A * exp(-(log(n)-mu)^2 / denom) / n;

return