% dhillon_cdf.m - evaluates a Dhillon Cumulative Distribution.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and Balakrishnan,
%   v.2, Wiley, p. 644, 1995.
%
%  Created by Jim Huntley,  12/07/06
%

function [cdf] = dhillon_cdf(x, lambda, bet)

cdf = 1 - exp(-(log(lambda*x+1))^(bet+1));

return