% dhillon_pdf.m - evaluates a Dhillon Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and Balakrishnan,
%   v.2, Wiley, p. 644, 1995.
%
%  Created by Jim Huntley,  12/07/06
%

function [pdf] = dhillon_pdf(x, lambda, bet)

pdf = exp(-(log(lambda*x+1))^(bet+1)) * (log(lambda*x+1))^bet * lambda ...
    * (bet + 1) / (lambda*x + 1);

return