% digamma_cdf.m - compute Digamma Cumulative Distribution Function.
%   See "Random Variate Generation for the Digamma and Trigamma Distributions", 
%   L. Devroye, McGill, 1991.
%
%  Created by:  Jim Huntley,  07/15/05.
%

function [cdf] = digamma_cdf(n, a, c)

sum1 = digamma_pdf(1, a, c);
for jn = 2:n
    sum1 = sum1 + digamma_pdf(jn, a, c);
end
cdf = sum1;
    
return



