% disbesl_cdf.m - compute a Discrete Bessel Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.495, 2005.                 
%
%  Created by:  Jim Huntley,  12/13/06.
%

function [cdf] = disbesl_cdf(n,a,nu)

sum1 = disbesl_pdf(0,a,nu);
for jn = 1:n
    sum1 = sum1 + disbesl_pdf(jn, a, nu);
end
cdf = sum1;

return



