% disnbin_cdf.m - compute Displaced Negative Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.235, 2005.                 
%
%  Created by:  Jim Huntley,  07/26/07.
%

function [cdf] = disnbin_cdf(n, k, theta, r, nn)

sum1 = 0;
for jn = r:n
    sum1 = sum1 + disnbin_pdf(jn, k, theta, r, nn);
end
cdf = sum1;

return



