% dispar_cdf.m - compute a Discrete Pareto (Zipf) Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.527, 2005.                 
%
%  Created by:  Jim Huntley,  12/14/06.
%

function [cdf] = dispar_cdf(n,rho)

sum1 = dispar_pdf(1,rho);
for jn = 2:n
    sum1 = sum1 + dispar_pdf(jn, rho);
end
cdf = sum1;

return



