% dispear3_cdf.m - compute a Discrete Pearson III Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.532, 2005.                 
%
%  Created by:  Jim Huntley,  12/14/06.
%

function [cdf] = dispear3_cdf(n,bet,eta,ups)

sum1 = dispear3_pdf(0,bet,eta,ups);
for jn = 1:n
    sum1 = sum1 + dispear3_pdf(jn,bet,eta,ups);
end
cdf = sum1;

return



