% dispear3_pdf.m - evaluates a Discrete Pearson III Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.532, 2005. 
%
%  Created by Jim Huntley,  12/14/06
%

function [pdf] = dispear3_pdf(n, bet, eta, ups)

pdf = exp(-bet*n) / ((n+ups)^eta * lerch(exp(-bet),eta,ups));

return


