% dissurv_cdf.m - compute a Discrete Survival Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.325, 2005.                 
%
%  Created by:  Jim Huntley,  12/14/06.
%

function [cdf] = dissurv_cdf(n,theta,bet)

sum1 = dissurv_pdf(1,theta,bet);
for jn = 2:n
    sum1 = sum1 + dissurv_pdf(jn,theta,bet);
end
cdf = sum1;

return



