% dissurv_pdf.m - evaluates a Discrete Survival Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.325, 2005. 
%
%  Created by Jim Huntley,  12/15/06
%

function [pdf] = dissurv_pdf(n, theta, bet)

%persistent A

%if(isempty(A))
    A = 1 / lerch(theta,bet,1);
%end

pdf = A * theta^(n-1) / n^bet;

return


