% dist_cdf.m - compute a Discrete T Cumulative Distribution Function.
%   See "The Discrete Student's T Distribution, J.K. Ord, Annals of Math Stat, 1968, 
%   Vol.39, No.5, p.1513.
%
%  Created by:  Jim Huntley,  09/07/06.
%

function [cdf] = dist_cdf(n, nmin, m, a, b)

sum1 = 0;
for jn = 1:n-nmin+1
    sum1 = sum1 + dist_pdf(jn+nmin-1, nmin, m, a, b);
end
cdf = sum1;
    
return



