% disunifra_cdf.m - compute a Discrete Uniform Range Cumulative Distribution Function.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  03/02/07
%

function [cdf] = disunifra_cdf(n,M,nn,q)

sum1 = disunifra_pdf(0, M, nn, q);
for jn = 1:n
    sum1 = sum1 + disunifra_pdf(jn, M, nn, q);
end
cdf = sum1;

return



