% disweib_cdf.m - compute a Discrete Weibull Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", V.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, p.692, 1994.                 
%
%  Created by:  Jim Huntley,  12/15/06.
%

function [cdf] = disweib_cdf(n,q,c)

sum1 = disweib_pdf(0,q,c);
for jn = 1:n
    sum1 = sum1 + disweib_pdf(jn,q,c);
end
cdf = sum1;

return



