% dlinnik_cdf.m - compute Discrete Linnik Cumulative Distribution Function.
%   See "Discrete Self-Decomposable Distributions", K. Schreiber Dissertation,
%   U. Magdeburg, 30 August, 1999.
%  * NOTE THAT THIS "CDF" IS NOT NORMALIZED !!! 
%    (just a brute-force sum of the PDF).
%
%  Created by:  Jim Huntley,  08/07/06.
%

function [cdf] = dlinnik_cdf(n, gam, lambda, bet)

sum1 = dlinnik_pdf(0, gam, lambda, bet);
for jn = 1:n
    sum1 = sum1 + dlinnik_pdf(jn, gam, lambda, bet);
end
cdf = sum1;
    
return



