% dstable_cdf.m - compute Discrete Stable Cumulative Distribution Function.
%   See "Discrete Stable random Variables", G. Christop and K. Schreiber,
%   U. Magdeburg.
%
%  Created by:  Jim Huntley,  08/08/06.
%

function [y] = dstable_cdf(n, gam, lambda)

sum1 = dstable_pdf(0, gam, lambda);
for jn = 1:n
    sum1 = sum1 + dstable_pdf(jn, gam, lambda);
end
y = sum1;
    
return



