% eggpol2_cdf.m - compute a Polya Eggenberger Cumulative Distribution Function.
%     "Yield Model for Productivity Optimization of VLSI Memory Chips ...",
%     C. H. Stapper et al., IBM J. Res. Develop., Vol. 24, No. 3, p. 398, May, 1980.
%
%
%  Created by Jim Huntley,  03/05/07
%

function [cdf] = eggpol2_cdf(n, lambda, alpha)

sum1 = eggpol2_pdf(0, lambda, alpha);
for jn = 1:n
    sum1 = sum1 + eggpol2_pdf(jn, lambda, alpha);
end
cdf = sum1;

return



