% eggpolurn_cdf.m - compute an Eggenberger Polya Urn Cumulative Distribution Function.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  02/28/07
%

function [cdf] = eggpolurn_cdf(n,N,m,s,u)

sum1 = eggpolurn_pdf(0, N, m, s, u);
for jn = 1:n
    sum1 = sum1 + eggpolurn_pdf(jn, N, m, s, u);
end
cdf = sum1;

return



