% error2_cdf.m - compute Error 2 Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.195, 1996.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/30/05.
%

function [cdf] = error2_cdf(x,delta,theta,phi)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@error2_pdf,minx,x(jz),tol,trace,delta,theta,phi);
end

return



