% error2_pdf.m - evaluates an Error Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.195, 1996.
%
%       Vector form of the PDF!!!
%
%  Created by Jim Huntley,  11/14/06
%

function[pdf] = error2_pdf(x, delta, theta, phi)

%persistent coef

%if(isempty(coef))
    coef = exp(-((0.5*delta+1)*log(2) + gammaln(0.5*delta+1) + log(phi)));
%end

pdf = coef .* exp(-0.5*abs((x-theta)./phi).^(2/delta));

return



