% etakappa_cdf.m - evaluates an Eta-Kappa Cumulative Distribution.
%   See "The Symmetrical Eta - Kappa Distribution: A General Fading Distribution", 
%   M. D. Yacoub et al., U. Campinas, IEEE Trans. on Broadcasting, Vol. 51, No. 4,
%   December 2005.
%
%  Created by Jim Huntley,  9/18/06
%

function [cdf] = etakappa_cdf(x, kappa)

arg = 1+kappa;

cdf = 0.5 * (erf((x+x*kappa-sqrt(kappa*arg))/sqrt(2*arg)) + erf((x+x*kappa+sqrt(kappa*arg))/sqrt(2*arg))); 

return