% etakappa_pdf.m - evaluates an Eta-Kappa Probability Density.
%   See "The Symmetrical Eta - Kappa Distribution: A General Fading Distribution", 
%   M. D. Yacoub et al., U. Campinas, IEEE Trans. on Broadcasting, Vol. 51, No. 4,
%   December 2005.
%
%  Created by Jim Huntley,  9/18/06
%

function [pdf] = etakappa_pdf(x, kappa)

arg = 0.5*(1+kappa);
coef = sqrt(arg/pi) * exp(-0.5*kappa);

pdf = coef * (exp(-(arg*x^2 + 2*sqrt(0.5*kappa*arg)*x)) + ...
              exp(-(arg*x^2 - 2*sqrt(0.5*kappa*arg)*x))); 

return