% etamu_cdf.m - compute Eta-Mu Cumulative Distribution Function.
%   See "The  Eta - Mu Distribution: A General Fading Distribution", 
%   M. D. Yacoub, U. Campinas, VTC 2000.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/19/06.
%

function [cdf] = etamu_cdf(x,eta,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@etamu_pdf,minx,x(jz),tol,trace,eta,mu);
end

return



