% euler_cdf.m - compute an Euler Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.470, 2005. 
%
%  Created by Jim Huntley,  01/03/07
%

function [cdf] = euler_cdf(n,eta,q)

sum1 = euler_pdf(0,eta,q);
for jn = 1:n
    sum1 = sum1 + euler_pdf(jn,eta,q);
end
cdf = sum1;

return



