% exbert1_cdf.m - compute an EXBERT Correlation Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.154, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = exbert1_cdf(n,nn,rho,p)

sum1 = exbert1_pdf(0,nn,rho,p);
for jn = 1:n
    sum1 = sum1 + exbert1_pdf(jn,nn,rho,p);
end
cdf = sum1;

return



