% exbert2_cdf.m - compute an EXBERT Power Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.154, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = exbert2_cdf(n,nn,a,p)

sum1 = exbert2_pdf(0,nn,a,p);
for jn = 1:n
    sum1 = sum1 + exbert2_pdf(jn,nn,a,p);
end
cdf = sum1;

return



