% exbert3_cdf.m - compute an EXBERT Model 3 Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.154, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = exbert3_cdf(n,nn,alpha,bet)

sum1 = exbert3_pdf(0,nn,alpha,bet);
for jn = 1:n
    sum1 = sum1 + exbert3_pdf(jn,nn,alpha,bet);
end
cdf = sum1;

return



