% exbert4_cdf.m - compute an EXBERT George & Bowman Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.155, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = exbert4_cdf(n,nn,bet)

sum1 = exbert4_pdf(0,nn,bet);
for jn = 1:n
    sum1 = sum1 + exbert4_pdf(jn,nn,bet);
end
cdf = sum1;

return



