% expfrechet_cdf.m - evaluates an Exponentiated Frechet Cumulative Distribution.
%   See "The Exponentiated Frechet Distribution",  S. Nadarajah and S. Kotz,
%   http://interstat.statjournals.net/YEAR/2003/articles/0312001.pdf.
%
%  Created by Jim Huntley,  02/10/10
%

function [cdf] = expfrechet_cdf(x, sigma, lambda, alpha)

argx = (sigma ./ x).^lambda;
cdf = 1 - (1-exp(-argx)).^alpha;

return

