% expfrechet_pdf.m - evaluates an Exponentiated Frechet Probability Density.
%   See "The Exponentiated Frechet Distribution",  S. Nadarajah and S. Kotz,
%   http://interstat.statjournals.net/YEAR/2003/articles/0312001.pdf.
%
%  Created by Jim Huntley,  02/10/10
%

function [pdf] = expfrechet_pdf(x, sigma, lambda, alpha)

coef = alpha * lambda * sigma^lambda;
argx = (sigma ./ x).^lambda;
pdf = coef .* (1-exp(-argx)).^(alpha-1) .*x.^(-(1+lambda)) .* exp(-argx);

return

