% expgenbet_cdf.m - evaluates an Exponential Generalized Beta Cumulative Distribution.
%   See "Dataplot Reference Manual", Vol.2, Aux, NIST, 
%   http://www.itl.nist.gov/div898/software/dataplot/refman2/auxillar/bgepdf.htm
%
%  Created by Jim Huntley,  10/18/11
%

function [cdf] = expgenbet_cdf(n, alpha, bet)

pdf = expgenbet_pdf(n, alpha, bet);
sn = size(n,2);
for jn = 1:sn
    cdf(jn) = sum(pdf(1:jn));
end

return