% expgenbet_pdf.m - evaluates an Exponential Generalized Beta Probability Density.
%   See "Dataplot Reference Manual", Vol.2, Aux, NIST, 
%   http://www.itl.nist.gov/div898/software/dataplot/refman2/auxillar/bgepdf.htm
%
%  Created by Jim Huntley,  10/18/11
%

function [pdf] = expgenbet_pdf(n, alpha, bet)

%persistent coef

%if(isempty(coef))
    coef = 1 /  beta(alpha,bet);
%end

pdf = coef * beta(alpha+1,n+bet);

return