% expgeom_pdf.m - evaluates an Exponential Geometric Probability Density.
%   See VGAM, 9 February, 2011.
%
%  Created by Jim Huntley,  03/22/11
%

function [pdf] = expgeom_pdf(x, c, s)

argx = exp(-c .* x);
pdf = c .* (1-s) .* argx ./ (1 - s.*argx).^2;

return