% expinvgaus2_cdf.m - evaluates an Exponential Inverse Gaussian Cumulative Distribution.
%   See "On Excess-of-Loss Reinsurance", H. Albrecher and J.L. Teugels,
%   Teor. ?Imovir. ta Matem. Statyst. Vip. 79, 2008, stor. 519 No. 79,
%   2008, pp. 519,
%   http://www.nbuv.gov.ua/portal/natural/Tims/2008_79/079-2.pdf.
%
%   Created by Jim Huntley,  11/20/09
%

function [cdf] = expinvgaus2_cdf(x, bet, mu)

argx = sqrt(1 + 2.*bet.*x);
cdf = 1 - exp(mu.*(1 - argx)./bet);

return
