% expinvgaus2_pdf.m - evaluates an Exponential Inverse Gaussian Probability Density.
%   See "On Excess-of-Loss Reinsurance", H. Albrecher and J.L. Teugels,
%   Teor. ?Imovir. ta Matem. Statyst. Vip. 79, 2008, stor. 519 No. 79,
%   2008, pp. 519,
%   http://www.nbuv.gov.ua/portal/natural/Tims/2008_79/079-2.pdf.
%
%   Created by Jim Huntley,  11/20/09
%

function [pdf] = expinvgaus2_pdf(x, bet, mu)

argx = sqrt(1 + 2.*bet.*x);
pdf = mu .* exp(mu.*(1-argx)./bet) ./ argx;

return
