% exppow_pdf.m - evaluates an Exponential Power-Probability Density.
%   See "Dataplot Reference Manual, PEXCDF", AUX-290, NIST, 3/26/97.
%
%  Created by Jim Huntley,  11/11/03.
%
%

function [pdf] = exppow_pdf(x, alpha, bet, mu)

%persistent coef

%if(isempty(coef))
    coef = exp(1)*bet/(alpha^bet);
%end

arg = x - mu;
pdf = coef * (arg^(bet-1)) * exp((arg/alpha)^bet) * exp(-exp((arg/alpha)^bet));

return