% expweib_pdf.m - evaluates an Exponentiated Weibull Probability Density.
%   See "Dataplot Reference Manual, EWECDF", Aux-159, NIST, 3/25/97.
%
%  Created by Jim Huntley,  8/04/04
%

function [pdf] = expweib_pdf(x, gam, theta, sigma)

%persistent coef

%if(isempty(coef))
    coef = gam*theta/sigma;
%end

arg = x ./ sigma;
pdf = coef*(1-exp(-arg^gam))^(theta-1) * exp(-arg^gam) * arg^(gam-1);

return