% extherm_cdf.m - compute an Exteneded Hermite Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.155, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = extherm_cdf(n,m,a1,am)

sum1 = extherm_pdf(0,m,a1,am);
for jn = 1:n
    sum1 = sum1 + extherm_pdf(jn,m,a1,am);
end
cdf = sum1;

return



