% exthyper_cdf.m - compute an Exteneded Hypergeometric Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.293, 2005. 
%
%  Created by Jim Huntley,  01/04/07
%

function [cdf] = exthyper_cdf(n,n1,n2,p1,p2,m)

sum1 = exthyper_pdf(0,n1,n2,p1,p2,m);
for jn = 1:n
    sum1 = sum1 + exthyper_pdf(jn,n1,n2,p1,p2,m);
end
cdf = sum1;

return



