% extlog_cdf.m - compute Extended Logarithmic Cumulative Distribution Function.
%   See "An Extension of Panjer's Recursion", K. Hess et al., Dresden,
%   casualtyactuaries.com/library/astin/vol32no2/283.pdf.                
%
%  Created by:  Jim Huntley,  10/14/08.
%

function [cdf] = extlog_cdf(n,m,theta)

sum1 = 0;
for jn = m:n
    sum1 = sum1 + extlog_pdf(jn, m, theta);
end
cdf = sum1;

return



