% extnegbin_cdf.m - compute Extended Negative Binomial Cumulative Distribution.
%   See "An Extension of Panjer's Recursion", K. Hess et al., Dresden,
%   casualtyactuaries.com/library/astin/vol32no2/283.pdf.                
%
%  Created by:  Jim Huntley,  10/14/08.
%

function [cdf] = extnegbin_cdf(n, m, theta, bet)

sum1 = 0;
for jn = m:n
    sum1 = sum1 + extnegbin_pdf(jn, m, theta, bet);
end
cdf = sum1;

return



