% extpower_pdf.m - evaluates an Extended Power Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan,
%   J. Wiley, v.1, p.63, 1995.
%
%   NOTE: distribution is not normalized!!!
%
%  Created by Jim Huntley,  01/05/07
%
%  Vector Form of PDF!!!
%

function [pdf] = extpower_pdf(x, theta, c, lambda, tsi)

% Evaluate PDF.
pdf = sqrt(theta) .* exp(-0.5.*c.*((1+theta.*(x-tsi).^2./(c-1)).^lambda-1)./lambda);

return
