% extstir1f_cdf.m - compute an Exteneded Stirling 1F Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.323, 2005. 
%
%  Created by Jim Huntley,  01/05/07
%

function [cdf] = extstir1f_cdf(n, nn, theta, tau)

sum1 = extstir1f_pdf(0, nn, theta, tau);
for jn = 1:n
    sum1 = sum1 + extstir1f_pdf(jn, nn, theta, tau);
end
cdf = sum1;

return



