% extstir1f_pdf.m - evaluates an Extended Stiling 1F Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.323, 2005. 
%
%  Created by Jim Huntley,  01/03/07
%

function [pdf] = extstir1f_pdf(n, nn, theta, tau)

%persistent coef

% Initializations.
%if(isempty(coef))
    coef = exp(gammaln(theta+tau)- gammaln(theta+tau+nn));
%end

% Evaluate PDF.

pdf = carlitz1(nn,n,tau) * theta^n * coef;

return
