% extstir1w_cdf.m - compute an Exteneded Stirling 1W Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.323, 2005. 
%
%  Created by Jim Huntley,  01/05/07
%

function [cdf] = extstir1w_cdf(n, k, theta, tau)

sum1 = 0;
for jn = k:n
    sum1 = sum1 + extstir1w_pdf(jn, k, theta, tau);
end
cdf = sum1;

return



