% extstir2f_cdf.m - compute an Exteneded Stirling 2F Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.323, 2005. 
%
%  Created by Jim Huntley,  01/08/07
%

function [cdf] = extstir2f_cdf(n, nn, m, tau)

sum1 = extstir2f_pdf(0, nn, m, tau);
for jn = 1:n
    sum1 = sum1 + extstir2f_pdf(jn, nn, m, tau);
end
cdf = sum1;

return



