% extstir2w_cdf.m - compute an Exteneded Stirling 2W Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.323, 2005. 
%
%  Created by Jim Huntley,  01/09/07
%

function [cdf] = extstir2w_cdf(n, k, m, tau)

sum1 = 0;
for jn = k:n
    sum1 = sum1 + extstir2w_pdf(jn, k, m, tau);
end
cdf = sum1;

return



