% factmult_cdf.m - compute Factorial Multinomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz, 
%   J. Wiley, 2005, p.523.
%
%  Created by:  Jim Huntley,  11/20/08.
%

function [cdf] = factmult_cdf(n, sp1, nn, N)

sum1 = factmult_pdf(0, sp1, nn, N);
for jn = 1:n
    sum1 = sum1 + factmult_pdf(jn, sp1, nn, N);
end
cdf = sum1;

return



