% factorial_cdf.m - evaluates a Factorial Cumulative Distribution.
%   See "A Generalized Polya-Eggenberger Model Generating Various Discrete 
%   Probability Distributions", Indian J. of Stat., v.58, Ser A, Pt.2, p243, 1996.
%
%  Created by Jim Huntley,  08/18/11
%

function [cdf] = factorial_cdf(n, nn)

sum1 = factorial_pdf(0, nn);
for jn = 1:n
    sum1 = sum1 + factorial_pdf(jn, nn);
end
cdf = sum1;

return