% fatlife_cdf.m - evaluates a Cumulative Fatigue Life Probability Distribution.
%   See Wikipedia, http://en.wikipedia.org/wiki/Birnbaum-Saunders_distribution.
%
%  Created by Jim Huntley,  03/10/04
%

function [cdf] = fatlife_cdf(x, gam, mu, bet)
    
arg1 = (sqrt((x-mu)/bet) - sqrt(bet/(x-mu))) / gam;  
cdf = gaus_cdf(arg1,0,1);

return