% felix_pdf.m - evaluates a Felix Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.1.
%
%   Will not normalize for lambda >~ 0.5 !!!
%
%  Created by Jim Huntley,  11/10/08
%

function [pdf] = felix_pdf(n, lambda)

pdf = exp(((n-1)/2)*log(n*lambda) - n*lambda - (log(n)+gammaln((n+1)/2)));

return

