% fellpar_pdf.m - evaluates a Feller Pareto Probability Density.
%   See "Advances in Information Retrieval", ed. F. Crestani, M. Girolami, 
%   C.J. van Rijsbergen, March 2002, 
%   "Term frequncy Normalization via Pareto Distributions", G. Amati et al.
%
%  Created by Jim Huntley,  08/17/11
%

function [pdf] = fellpar_pdf(x, alpha, bet)

pdf = (x+1).^(-alpha-bet) .* x.^(bet-1) ./ beta(alpha,bet);

return