% fishtip_cdf.m - evaluates a Fisher Tippett Cumulative Distribution.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  02/24/10
%

function [cdf] = fishtip_cdf(x, a, omega, bet)

%persistent coef

%if(isempty(coef))
    coef = abs(bet/omega);
%end

cdf = 1 - coef .* omega ./ (bet.*exp((-(a - x)./omega).^bet));

return

