% fishtip_pdf.m - evaluates a Fisher Tippett Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  02/24/10
%

function [pdf] = fishtip_pdf(x, a, omega, bet)

%persistent coef

%if(isempty(coef))
    coef = abs(bet/omega);
%end

argx = (x-a) ./ omega;
pdf = coef .* argx.^(bet-1) .* exp(-argx.^bet);

return

