% fleh1_pdf.m - evaluates a Flehinger and Lewis Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.641, 1996. 
%
%  Created by Jim Huntley,  10/27/06
%
%

function [pdf] = fleh1_pdf(x, a, b)

pdf = (a + 2.*b.^2.*x) .* exp(-a.*x - b.^2.*x.^2);

return