% fleh2_cdf.m - evaluates a Flehinger and Lewis 2 Cumulative Distribuiton.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.641, 1996. 
%
%  Created by Jim Huntley,  10/27/06
%
%

function [cdf] = fleh2_cdf(x, a, c)

cdf = 1 - exp(-a.*x - c.^3.*x.^3);

return