% fleh2_pdf.m - evaluates a Flehinger and Lewis Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p. 641, 1996. 
%
%  Created by Jim Huntley,  10/27/06
%
%

function [pdf] = fleh2_pdf(x, a, c)

pdf = (a + 3.*c.^3.*x.^2) .* exp(-a.*x - c.^3.*x.^3);

return