% foldstud_cdf.m - evaluates a Folded Student T Cumulative Distribution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, p.125, 2004.  
%
%  Created by Jim Huntley,  10/18/11
%

function [cdf] = foldstud_cdf(x, nu)

pdf = foldstud_pdf(x, nu); 
sx = size(x,2);
dx = x(2) - x(1);
for jx = 1:sx
    if(jx <= 2)
        cdf(jx) = trapz(pdf(1:jx)) * dx;
    elseif(jx > 2)
        cdf(jx) = simps(pdf(1:jx)) * dx;
    end
end

return