% formel2_cdf.m - compute a Formel II Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.241, 2005. 
%
%  Created by Jim Huntley,  01/16/07
%

function [cdf] = formel2_cdf(n,theta,q,k)

sum1 = formel2_pdf(0,theta,q,k);
for jn = 1:n
    sum1 = sum1 + formel2_pdf(jn,theta,q,k);
end
cdf = sum1;

return



