% frechet_cdf.m - evaluates a Cumulative (Frechet) Extreme Value II Distribution.
%   See "Dataplot Reference Manual, EV2CDF", 8-29, NIST, 3/20/97.
%
%  Created by Jim Huntley,  11/18/03
%
%

function [y] = frechet_cdf(x, gamma, beta, mu);

if(x <= mu)
    y = 1 - exp(-((-x+mu)/beta)^(-gamma));
else
    y =  exp(-((x-mu)/beta)^(-gamma));
end

return