% frechet_max_pdf.m - evaluates an Extreme Value 2 (Frechet) Probability Density, max order.
%   See "Dataplot Reference Manual, EV2CDF", 8-29, NIST, 3/20/1997.
%
%  Created by Jim Huntley,  12/11/03
%
%

function [pdf] = frechet_max_pdf(x, gam, bet, mu)

    pdf = gam * ((x-mu)/bet)^(-gam-1) * exp(-((x-mu)/bet)^(-gam)) / bet;

return