% frechet_min_cdf.m - evaluates a Cumulative (Frechet) Extreme Value II Distribution, min order.
%   See "Dataplot Reference Manual, EV2CDF", 8-29, NIST, 3/20/97.
%
%  Created by Jim Huntley,  12/11/03
%
%

function [pdf] = frechet_min_cdf(x, gam, bet, mu)

pdf = 1 - exp(-((-x+mu)/bet)^(-gam));

return