% gfrechvbm_cdf.m - compute a Frechet Visibility Bias Model Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.435, 2005. 
%
%  Created by Jim Huntley,  02/11/07
%

function [cdf] = frechvbm_cdf(n, N, a, m)

sum1 = frechvbm_pdf(0,N,a,m);
for jn = 1:n
    sum1 = sum1 + frechvbm_pdf(jn,N,a,m);
end
cdf = sum1;

return



