% geeta_cdf.m - compute Hyperpoisson Cumulative Distribution Function.
%   See "Some Characterizations for the Exponential Class of Distributions", 
%   P. C. Consul, IEEE trans. on Reliability, vol. 44, No. 3, Sept., 1995.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = geeta_cdf(n, theta, m)

sum1 = geeta_pdf(0,theta,m);
for jn = 1:n
    sum1 = sum1 + geeta_pdf(jn, theta, m);
end
cdf = sum1;
    
return



