% geeta_pdf.m - evaluates a Geeta Probability Density.
%   See "Some Characterizations for the Exponential Class of Distributions", 
%   P. C. Consul, IEEE trans. on Reliability, vol. 44, No. 3, Sept., 1995.
%
%  Created by Jim Huntley,  8/02/06
%

function [pdf] = geeta_pdf(n, theta, m)

if(jn == 1)
    C = 1;
elseif(jn > 1)
    C = binomial_coef(m*n-1,n) / (m*n-1);
end
pdf = C * theta^(n-1) * (1-theta)^(n*(m-1));

return