% gegen_cdf.m - compute generalized Gegenbaur Cumulative Distribution Function.
%   See "Continuous Univariate Distributions ", Johnson, Kotz, & Balakrishnan, 
%   Wiley, V. 1, p.500, 1995.
%
%  Created by Jim Huntley,  01/17/07
%

function [cdf] = gegen_cdf(n, rho, delta, l)

sum1 = gegen_pdf(0, rho, delta, l);
for jn = 1:n
    sum1 = sum1 + gegen_pdf(jn, rho, delta, l);
end
cdf = sum1;
    
return



