% genbeta_cdf.m - compute Generalized Beta Cumulative Distribution Function.
%   See "A Generalization of Generalized beta Distributions", 
%   M. B. Gordy, Fereral Reserve, 4/8/1998.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/18/06.
%

function [cdf] = genbeta_cdf(x,a,b,c,p,q)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genbeta_pdf,minx,x(jz),tol,trace,a,b,c,p,q);
end

return



