% gencauch2_cdf.m - compute Generalized Cauchy 2 Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kemp, & Balakrishnan, 
%   Wiley, v.1, p.327, 1995.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  01/30/07.
%

function [cdf] = gencauch2_cdf(x,lambda,k,h,theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@gencauch2_pdf,minx,x(jz),tol,trace,lambda,k,h,theta);
end

return



