% generr_cdf.m - compute  Generalized Error Cumulative Distribution Function.
%   See "Cyclicality in Catastrophic and Operational Risk Measurements", 
%   L Allen and T.G. Bali, CUNY.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/24/06.
%

function [cdf] = generr_cdf(x, nu, mu, sigma)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@generr_pdf,minx,x(jz),tol,trace,nu,mu,sigma);
end

return



