% geneuler_cdf.m - compute a Generalized Euler Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.472, 2005. 
%
%  Created by Jim Huntley,  01/30/07
%

function [cdf] = geneuler_cdf(n,q,a,lambda)

sum1 = geneuler_pdf(0,q,a,lambda);
for jn = 1:n
    sum1 = sum1 + geneuler_pdf(jn,q,a,lambda);
end
cdf = sum1;

return



