% genexp_cdf.m - compute Generalized Exponential Cumulative Distribution Function.
%    See "Dataplot Reference Manual, GEXCDF, Aux-200, NIST, 3/25/97. 
%
%  Created by:  Jim Huntley,  08/03/04.
%

function [cdf] = genexp_cdf(x, lambda1, lambda12, s)

cdf = 1 - exp(-lambda1*x-lambda12*x+lambda12*(1-exp(-s*x))/s);

return



