% genexp_pdf.m - evaluates a Generalized Exponential Probability Density.
%   See "Dataplot Reference Manual, GEXCDF", Aux-200, NIST, 3/25/97.
%
%  Created by Jim Huntley,  8/03/04
%

function [pdf] = genexp_pdf(x, lambda1, lambda12, s)

pdf = (lambda1 + lambda12*(1-exp(-s*x))) * ...
      exp(-lambda1*x-lambda12*x+lambda12*(1-exp(-s*x))/s);

return