% genf_cdf.m - compute Generalized F Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan,
%   Wiley, v.2, 1995, p.349.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  02/06/07.
%

function [cdf] = genf_cdf(x,a, p, q)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genf_pdf,minx,x(jz),tol,trace,a,p,q);
end

return



