% genfishtip_cdf.m - compute Generalized Fisher Tippett Cumulative Distribution Function.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  2/24/10.
%

function [cdf] = genfishtip_cdf(x,a,omega,bet,n)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genfishtip_pdf,minx,x(jz),tol,trace,a,omega,bet,n);
end

return



