% genfishtip_pdf.m - evaluates a Generalized Fisher Tippett Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%   Vector form of the PDF!!!!
%
%  Created by Jim Huntley,  02/24/10
%

function [pdf] = genfishtip_pdf(x, a, omega, bet, n)

%persistent coef

%if(isempty(coef))
    coef = abs(bet/omega) * n^n / gamma(n);
%end

argx = (x-a) ./ omega;
pdf = coef .* argx.^(n*bet-1) .* exp(-n.*argx.^bet);

return

