% genfrech_cdf.m - evaluates a Generalized Frechet Cumulative Distribution.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  10/19/11
%

function [cdf] = genfrech_cdf(x, a, omega, nn, bet)

%persistent coef

%if(isempty(coef))
    coef = bet * nn^2 / (nn^2 * bet);
%end

argx = (x-a) ./ omega;
cdf = coef * exp(-nn*exp(-nn*bet*log(argx)));

return