% gengegen_cdf.m - compute generalized Gegenbaur Cumulative Distribution Function.
%   See "Generalized Gegenbauer Distribution Revised ", G. Wimmer & G. Altmann, 
%   Indian Journal of Statistics, 1995, V. 57, Ser. B. Pt 3, p.452.
%
%  Created by Jim Huntley,  9/7/04
%

function [cdf] = gengegen_cdf(n, alpha, bet, lambda, m)

sum1 = gengegen_pdf(0, alpha, bet, lambda, m);
for ji = 1:n
    sum1 = sum1 + gengegen_pdf(ji, alpha, bet, lambda, m);
end
cdf = sum1;
    
return



