% gengum_pdf.m - tests a Generalized Gumbel Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  10/19/11
%

function [pdf] = gengum_pdf(x, nn, lambda, u)

%persistent coef

%if(isempty(coef))
    coef = nn^nn / (gamma(nn)*abs(lambda)); 
%end

argx = (x-u) ./ lambda;
pdf = coef .* exp(-nn.*argx-nn.*exp(-argx));

return

