% genherm_cdf.m - compute Generalized Hermite Cumulative Distribution Function.
%   See "A Generalized Hermite Distribution", R. Gupta & G. Jain, Sian J. Appl. Math., 
%   v. 27, No. 2, Sept., 1974, p. 359.
%
%  Created by:  Jim Huntley,  09/28/05.
%

function [cdf] = genherm_cdf(n, alpha, bet, m)

sum1 = genherm_pdf(0, alpha, bet, m);
for jn = 1:n
    sum1 = sum1 + genherm_pdf(jn, alpha, bet, m);
end
cdf = sum1;
    
return



