% genherm_pdf.m - evaluates a Generalized Hermite (Gupta-Jain) Probability Density.
%   See "A Generalized Hermite Distribution", R. Gupta & G. Jain, Sian J. Appl. Math., 
%   v. 27, No. 2, Sept., 1974, p. 359.
%
%  Created by Jim Huntley,  9/28/05.
%
%  Calls:   'genherm.m'.
%
%

function [pdf] = genherm_pdf(n, alpha, bet, m)

gherm = genherm(n, alpha, bet, m);
%pdf = exp(-(alpha+bet)) * gherm / factorial(n);
pdf = exp(-(alpha+bet) + log(gherm) - gammaln(n+1));

return