% genhlog_cdf.m - evaluates a Generalized Half Logistic Cumulative Distribution.
%   See "Continuous Univariate distributions", Johnson, Kotz, & Balakrishnan,
%   Wiley, V. 2, p. 150, 1995.
%
%  Created by Jim Huntley,  02/06/07
%
%

function [cdf] = genhlog_cdf(x, odk)

k = 1 / odk;
cdf = (1 - (1-k*x)^odk)/ (1 + (1-k*x)^odk);

return