% genhlog_pdf.m - evaluates a Generalized Half Logistic Probability Density.
%   See "Continuous Univariate distributions", Johnson, Kotz, & Balakrishnan,
%   Wiley, V. 2, p. 150, 1995.
%
%  Created by Jim Huntley,  02/06/07
%
%

function [pdf] = genhlog_pdf(x, odk)

k = 1 / odk;
pdf = 2 * (1-k*x)^(odk-1) / (1 + (1-k*x)^odk)^2;

return