% genhypfac_cdf.m - evaluates a Generalized Hypergeometric Factorial Cumulative Distribution.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.435, 2005. 
%
%  Created by Jim Huntley,  02/07/07
%

function [cdf] = genhypfac_cdf(n, N, a, m)

sum1 = genhypfac_pdf(0, N, a, m);
for jn = 1:n
    sum1 = sum1 + genhypfac_pdf(jn, N, a, m);
end
cdf = sum1;

return


