% geninvtri_cdf.m - compute Generalized Inverse Trinomial Cumulative Distribution Function.
%   See "A Generalization of the Inverse Trinomial", K. Aoyama & K. Shimizu,
%   Keio U., Research Report KSTS/RR-05/003, 06/23/05,
%   iscm.math.um.edu.my/abstracts%5CKunio%20Shimizu.pdf.                  
%
%  Created by:  Jim Huntley,  10/22/08.
%

function [cdf] = geninvtri_cdf(n,nn,p1,p2,p3,p4)

sum1 = 0;
for jn = 1:size(n,2)
    sum1 = sum1 + geninvtri_pdf(jn,nn,p1,p2,p3,p4);
end
cdf = sum1;

return



