% genlagkatz_cdf.m - compute Generalized Lagrangian Katz Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.331, 2005.                 
%
%  Created by:  Jim Huntley,  04/01/08.
%

function [cdf] = genlagkatz_cdf(n, bet, b, c)

sum1 = genlagkatz_pdf(0, bet, b, c);;
for jn = 1:n
    sum1 = sum1 + genlagkatz_pdf(jn, bet, b, c);
end
cdf = sum1;

return



