% genlagkatz_pdf.m - evaluates a Generalized Lagrangian Katz Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, 2005, 331. 
%
%  Created by Jim Huntley,  04/01/08
%

function [pdf] = genlagkatz_pdf(n, bet, b, c)

%persistent logbet logomb h

%if(isempty(logbet))
    logbet = log(bet);
    logomb = log(1-bet);
    h = b / bet;
%end

pdf = c * exp(log(binomial_coef(c+h*n+n,n)+eps) + n*logbet + ...
             (c+h*n)*logomb - log(n+h*n+c));                % Gen. Katz; Bazargan-Lari (2) 
  
return