% genlog3_cdf.m - compute Generalized Logistic Type-III Cumulative Distribution Function.
%   See "Subset Selection from Type-I and Type-II Generalized Logistic Populations",
%   N. J. van der Laan and P. van der Laan, UC Berkeley, 02/19/1996.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/21/06.
%

function [cdf] = genlog3_cdf(x,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genlog3_pdf,minx,x(jz),tol,trace,b);
end

return



