% genlog4_cdf.m - compute Generalized Logistic Type-IV Cumulative Distribution Function.
%   See "Dataplot Reference Manual", GL4CDF, NIST.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/21/06.
%

function [cdf] = genlog4_cdf(x,p,q)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genlog4_pdf,minx,x(jz),tol,trace,p,q);
end

return



