% genlog_pdf.m - evaluates a Generalized Logistic Probability Density.
%   See "Dataplot Reference Manual, GLOPDF", AUX-214, NIST, 3/25/97.
%
%  Created by Jim Huntley,  11/11/03.
%

function [pdf] = genlog_pdf(x, alpha, mu, sigma)

pdf = alpha * exp(-(x-mu)/sigma) /(sigma*(1+exp(-(x-mu)/sigma))^(alpha+1));

return