% apd_cdf.m - compute Generalized Logistic Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Vol.2, Johnson, Kotz, and Balakrishnan,   
%   J. Wiley, 1995, p.85.
%
%       Vector form of CDF!!!
%
%  Created by Jim Huntley,  10/27/08
%

function [cdf] = genlogis_cdf(x, rho, mu, phi, theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genlogis_pdf,minx,x(jz),tol,trace,rho,mu,phi,theta);
end

return



