% genlogis_pdf.m - evaluates a Generalized Logistic Probability Density.
%   See "Continuous Univariate Distributions", Vol.2, Johnson, Kotz, and Balakrishnan,   
%   J. Wiley, 1995, p.85.
%
%       Vector form of PDF!!!
%
%  Created by Jim Huntley,  10/27/08
%

function[pdf] = genlogis_pdf(x, rho, mu, phi, theta)

%persistent coef

%if(isempty(coef))
    coef = 1 / (mu*beta(phi,theta));
%end

arg = -x ./ mu;
pdf =  coef .* (rho.*exp(-arg)).^phi ./ (1+rho.*exp(-arg)).^(phi+theta);

return



