% genmarpol_cdf.m - compute Generalized Markov-Polya Cumulative Distribution Function.
%   See "On a Generalized Markov Polya Distribution", K. G. Janardan,   
%   Gujarat Statistical Review, Vol. 5, No.1, April, 1978.  
%
%  Created by Jim Huntley,  10/30/08
%

function [cdf] = genmarpol_cdf(n,rho,r,s,N)

sum1 = genmarpol_pdf(0, rho, r, s, N);
for jn = 1:n
    sum1 = sum1 + absorp_pdf(jn, rho, r, s, N);
end
cdf = sum1;

return



