% genmax_pdf.m - evaluates a Generalized Maxwellian (Druyvesteyn) Probability Density.
%   See "Plume Study of a 1.35 KW SPT-100 Using an EXB Probe", AIAA-99-2423, 
%   S. W. Kim and A. D. Gallimore, U Michigan.
%
%   Vector Form of PDF !!!
%
%   NOTE: Distribution is not normalized !!!
%
%  Created by Jim Huntley,  9/14/06
%

function [pdf] = genmax_pdf(x, alpha, bet, n)

pdf = x.^alpha .* exp(-bet.*x.^n);

return