% genmuth_cdf.m - evaluates a Generalized Muth Cumulative Distribution.
%   See "Dataplot Reference Manual, MUTCDF", Vol.1, AUX, NIST.
%
%  Created by Jim Huntley,  03/27/09
%

function [cdf] = genmuth_cdf(x, bet, loc, scale)

arg = bet * (x - loc) / scale;
cdf = (1 - exp(-(exp(arg)-1)/bet+arg));

return