% genmuth_pdf.m - evaluates a Generalized Muth Probability Density.
%   See "Dataplot Reference Manual, MUTCDF", Vol. 1, AUX, NIST.
%
%  Created by Jim Huntley,  03/27/09
%

function [pdf] = genmuth_pdf(x, bet, loc, scale)

arg = bet * (x - loc) / scale;
pdf = (exp(arg) - bet) * exp(-(exp(arg)-1)/bet+arg) / scale;

return