% genneghyp_cdf.m - compute Generalized Negative Hypergeometric Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.299, 2005.                 
%
%  Created by:  Jim Huntley,  7/30/07.
%

function [cdf] = genneghyp_cdf(n,N,a,b,c,t)

sum1 = genneghyp_pdf(0,N,a,b,c,t);
for jn = 1:n
    sum1 = sum1 + genneghyp_pdf(jn,N,a,b,c,t);
end
cdf = sum1;

return



