% genpar2_cdf.m - compute Generalized Pareto II Cumulative Distribution Function.
%   See "Continuous Univariate distributions", Johnson, Kotz, & Balakrishnan,
%   Wiley, V. 1, p. 602, 1995.
%
%  Created by Jim Huntley,  02/13/07
%
%   Vector Form of CDF !!!
%
%

function [cdf] = genpar2_cdf(x,bet,xi,K)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genpar2_pdf,minx,x(jz),tol,trace,bet,xi,K);
end

return



