% genpar2_pdf.m - evaluates a Generalized Pareto II Probability Density.
%   See "Continuous Univariate distributions", Johnson, Kotz, & Balakrishnan,
%   Wiley, V. 1, p. 148, 1995.
%
%  Created by Jim Huntley,  02/13/07
%
%   Vector Form of PDF !!!
%

function [pdf] = genpar2_pdf(x, bet, xi, K)

pdf = (1 + bet.*(x-xi)./K).^(-(1+1/bet)) ./ K;

return