% genpoisdif_cdf.m - compute Generalized Poisson Difference Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/03/08.
%

function [cdf] = genpoisdif_cdf(n,theta1,theta2,lambda)

sum1 = genpoisdif_pdf(0, theta1, theta2, lambda);
for jn = 1:n
    sum1 = sum1 + genpoisdiff_pdf(jn, theta1, theta2, lambda);
end
cdf = sum1;

return



