% genpoiss_cdf.m - compute Generaized Poisson Cumulative Distribution Function.
%   See "A Branching Process Approximation ...", I. Dobson et al, Proc. 37th Hawaii Intl Conf Sys Sci, 2004.
%
%  Created by Jim Huntley,  8/26/04.
%

function [cdf] = genpoiss_cdf(n, theta, lambda)

sum1 = genpoiss_pdf(0, theta, lambda);
for jn = 1:n
    sum1 = sum1 + genpoiss_pdf(jn, theta, lambda);
end
cdf = sum1;
    
return



