% genstud_cdf.m - evaluates a Generalized Student Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.2, Johnson, Kotz, and Balakrishnan, 
%   J. Wiley, 1995, p.401.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  06/19/07.
%

function [cdf] = genstud_cdf(x,sigma,k,p,theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@genstud_pdf,minx,x(jz),tol,trace,sigma,k,p,theta);
end

return



