% genunif_pdf.m - evaluates the Generalized Uniform Probability Density.  
% See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan,
% Wiley, Vol. 2, p. 307, 1995.
%
%  Created by:   Jim Huntley,  02/15/07.
%

function [pdf] = genunif_pdf(x, k, c, h, a)

pdf = c * h * k * (x-a)^(c-1) * (1-k*(x-a)^c)^(h-1);

return
