% genxval_cdf.m - evaluates a Cumulative Generalized Extreme Value Distribution.
%   See "Dataplot Reference Manual, GEVCDF", AUX-194, NIST, 3/25/97..
%
%  Created by Jim Huntley,  11/13/03
%
%

function [cdf] = genxval_cdf(x, gam, mu, sigma)

if(abs(gam) > eps)
    cdf = exp(-(1-gam*((x-mu)/sigma))^(1/gam));
elseif(gam == 0)
    cdf = exp(-exp((x-mu)/sigma));
end

return