% genyule2_cdf.m - compute a Generalized Yule Cumulative Distribution Function.
%     "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%     J. Wiley, p. 291, 2005.
%
%  Created by Jim Huntley,  03/05/07
%

function [cdf] = genyule2_cdf(n, alpha, bet, gam)

sum1 = genyule2_pdf(0, alpha, bet, gam);
for jn = 1:n
    sum1 = sum1 + genyule2_pdf(jn, alpha, bet, gam);
end
cdf = sum1;

return



