% geomordk_cdf.m - compute Geometric Order k Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.456, 2005.                  
%
%  Created by:  Jim Huntley,  03/08/07.
%

function [cdf] = geomordk_cdf(n,k,p)

sum1 = geomordk_pdf(k,k,p);
for jn = k+1:n
    sum1 = sum1 + geomordk_pdf(jn,k,p);
end
cdf = sum1;

return



