% geompois_cdf.m - compute Geometric Poisson Cumulative Distribution Function.
%   See "Cumulative Distribution Function of a Geometric Poisson Distribution.", 
%   G. Nuel, Universite d'Evry, val d'Essonne, October, 2005.
%
%  Created by Jim Huntley,  7/07/06
%

function [cdf] = geompois_cdf(n, lambda, theta)

sum1 = geompois_pdf(0, lambda, theta);
for jn = 1:n
    sum1 = sum1 + geompois_pdf(jn, lambda, theta);
end
cdf = sum1;
    
return



