% ggsd_cdf.m - evaluates a Generalized Geometric Series Distribution Cumulative Distribution.
%   See "New Generalizations of Generalized Geometric Series Distributions",   
%   A. Hassan, African J. of Math and Comp Sci Research, vol.3, no.5, May, 2010. 
%
%  Created by Jim Huntley,  08/24/11
%

function [cdf] = ggsd_cdf(n, alpha, bet)

sum1 = ggsd_pdf(0, alpha, bet);
for jn = 1:n
    sum1 = sum1 + ggsd_pdf(jn, alpha, bet);
end
cdf = sum1;

return