% ghfd_cdf.m - compute a Generalized Hypergeometric Factorial Moment Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p.298, 2005. 
%
%  Created by Jim Huntley,  02/12/07
%

function [cdf] = ghfd_cdf(n, theta, alpha, bet, m)

sum1 = ghfd_pdf(0, theta, alpha, bet, m);
for jn = 1:n
    sum1 = sum1 + ghfd_pdf(jn, theta, alpha, bet, m);
end
cdf = sum1;

return



