% gig_cdf.m - compute Generalized Inverse Gaussian Cumulative Distribution Function.
%   See "Generalized Inverse Gaussian Distribution", Wikipedia
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/19/06.
%

function [cdf] = gig_cdf(x,a,b,p)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@gig_pdf,minx,x(jz),tol,trace,a,b,p);
end

return



