% git8_cdf.m - compute Generalized Inverse Trinomial 8 Cumulative Distribution Function.
%   See "A Generalization of the Inverse Trinomial", K. Aoyama and K. Shimizu, Keio U., 
%   23 June, 2005.
%
%  Created by:  Jim Huntley,  08/31/06.
%

function [cdf] = git8_cdf(n, nn, p, q)


sum1 = git8_pdf(0, nn, p, q);
for jn = 1:n
    sum1 = sum1 + git8_pdf(jn, nn, p, q);
end
cdf = sum1;
    
return



