% glostgame_cdf.m - compute Generalized Lost Games Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.504, 2005.                 
%
%  Created by:  Jim Huntley,  07/09/07.
%

function [cdf] = glostgame_cdf(n, p, j, a)

sum1 = 0;
for jn = j:n
    sum1 = sum1 + glostgame_pdf(jn, p, j, a);
end
cdf = sum1;

return



