% greenwich_cdf.m - evaluates a Greenwich Cumulative Distribuiton.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.641, 1996. 
%
%  Created by Jim Huntley,  10/27/06
%
%

function [cdf] = greenwich_cdf(x, a, b)

cdf = 1 - exp(-a.*x - b.^2.*x.^2);

return