% greenwich_pdf.m - evaluates a Greenwich Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.641, 1996. 
%
%  Created by Jim Huntley,  10/27/06
%
%

function [pdf] = greenwich_pdf(x, a, b)

pdf = a .* x .* (1 + x.^2./b.^2).^(-0.5.*a-1) ./ b.^2;

return