% gurwich_cdf.m - evaluates a Gurwich Weibull Cumulative Distribution.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of the CDF!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = gurwich_cdf(x, alpha, bet)

cdf = 1 - exp(-alpha.*x.^bet .* exp(bet.*x));

return

