% gurwich_pdf.m - evaluates a Gurwich Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of the PDF!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = gurwich_pdf(x, alpha, bet)

ab = alpha * bet;
pdf = (ab.*x.^(bet-1).*exp(bet.*x) + ab.*x.^bet.*exp(bet.*x)) ./ exp(alpha.*x.^bet.*exp(bet.*x));

return

