% haigh_pdft.m - evaluates a Haight Probability Density.
%   See "A Generalized Ploya-Eggenberger Model Generating Various Discrete 
%   Probability Distributions", Indian J. of Stat., v.58, Ser A, Pt.2, p243, 1996.
%
%  Created by Jim Huntley,  08/18/11
%

function [pdf] = haight_pdf(n, nn, alpha)

pdf = nn * binomial_coef(2*n-nn-1,n-1) * alpha^(n-nn) / (n*(1+alpha)^(2*n-nn));

return