% hall_cdf.m - compute Hall Cumulative Distribution Function.
%   See "Wideband HF Noise and Interference Modeling", 
%   J. J. Lemmon, NTIA, Dept. of Commerce, IEEE, 1989.            
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/11/06.
%

function [cdf] = hall_cdf(x,theta,gama)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@hall_pdf,minx,x(jz),tol,trace,theta,gama);
end

return



