% hansmann_cdf.m - compute Hansmann Cumulative Distribution Function.
%   see "A Note on Hansmann's 1934 Family of Distributions", 
%   R.F. Pawula and S. O. Rice, IEEE Trans Info Theory, v.35, No.4, p.910 8/1989.           
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  12/13/07.
%

function [cdf] = hansmann_cdf(x,u2,u4,u6,u8)

pxpdf = hansmann_pdf(x,u2,u4,u6,u8);
sx = size(x,2);
qz(1:sx) = 0;

for jx = 1:sx
    if(jx <= 2)
        qz(1) = pxpdf(1);
    elseif(jx > 2)
        dx = x(2)-x(1);
        cdf(jx) = simps(pxpdf(1:jx)) * dx;
    end
end

return



