% hari_cdf.m - compute Hari Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 1.1.
%
%  Created by:  Jim Huntley,  11/24/08.
%

function [cdf] = hari_cdf(n, p)

sum1 = 0;
for jn = 1:2:n
    sum1 = sum1 + hari_pdf(jn, p);
end
cdf = sum1;

return



