% hcauchy_cdf.m - evaluates a Half Cauchy Cumulative Distribution.
%   See "Applied Robust Statistics", Chapter 3, D.J. Olive, p. 71.
%   http://www.math.siu.edu/olive/ol-bookp.htm.
%
%  Created by Jim Huntley,  01/20/10
%

function [cdf] = hcauchy_cdf(x, sigma, mu)

cdf = 2 .* atan((x-mu)./sigma) ./ pi;
        
return