% headmtail_cdf.m - compute Heads-Minus-Tails Cumulative Distribution Function.
%   See "Heads-Minus-Tails Distribution", Wolfram,
%   "http://mathworld.wolfram.com/Heads-Minus-TailsDistribution.html".
%
%  Created by Jim Huntley,  01/04/08
%

function [cdf] = headmtail_cdf(n, nn)

sum1 = headmtail_pdf(0, nn);
for jn = 1:n
    sum1 = sum1 + headmtail_pdf(jn, nn);
end
cdf = sum1;

return



