% heiner_cdf.m - compute Haight's Harmonic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.470, 2005.                  
%
%  Created by:  Jim Huntley,  03/13/07.
%

function [cdf] = heine_cdf(n,eta,q)

sum = heine_pdf(0,eta,q);
for jn = 1:n
    sum = sum + heine_pdf(jn,eta,q);
end
cdf = sum;

return



