% hermite_cdf.m - compute Hermite Cumulative Distribution Function.
%    See "Dataplot Reference Manual, HERCDF, NIST, 5/5/4. 
%
%  Created by:  Jim Huntley,  08/05/04.
%

function [cdf] = hermite_cdf(n, alpha, bet)

sum1 = hermite_pdf(0, alpha, bet);
for jn = 1:n
    sum1 = sum1 + hermite_pdf(jn, alpha, bet);
end
cdf = sum1;
    
return



