% hjorth_cdf.m - compute Hojorth Cumulative Distribution Function.
%   See "R; Hjorth Distribution", at
%   "http://rss.acs.unt.edu/Rdoc/library/rmutil/html/Hjorth.html"
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/17/06.
%

function [cdf] = hjorth_cdf(x,m,s,f)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
   cdf(jz) = quad(@hjorth_pdf,minx,x(jz),tol,trace,m,s,f);
end

return



