% hnormal_cdf.m - evaluates a Half Normal Cumulative Distribution.
%   See "Applied Robust Statistics", Chapter 3, D.J. Olive, p. 71.
%   http://www.math.siu.edu/olive/ol-bookp.htm.
%
%   Vector Form of CDF!!!
%
%  Created by Jim Huntley,  01/21/10
%

function [cdf] = hnormal_cdf(x, sigma, mu)

arg = (x-mu) ./ sigma;
cdf = 2 .* gaus_cdf(arg, 0, 1) - 1;

return