% holla_cdf.m - compute Holla Cumulative Distribution Function.
%   See "http://www.addlink.es/pdf/AGDWeb250.pdf", Mathstatica.
%
%  Created by:  Jim Huntley,  09/11/06.
%

function [cdf] = holla_cdf(n, mu, lambda)

sum1 = holla_pdf(0, mu, lambda);
for jn = 1:n
    sum1 = sum1 + holla_pdf(jn, mu, lambda);
end
cdf = sum1;
    
return



