% hoskwal_cdf.m - evaluates a Hosking & Wallis Generalized Pareto Cumulative Distribution.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, V. 1, p. 614, 1995.
%
%  Created by Jim Huntley,  3/14/07
%

function [cdf] = hoskwal_cdf(x, c, k)

cdf = 1 - (1 - c*x/k)^(1/c);

return