% hurwitz_cdf.m - evaluates a Hurwitz Cumulative Distribution.
%   See "Univariate DiscreteDistributions", Johnson, Kemp & Kotz,
%   J. Wiley, p. 530, 2005.
%
%  Created by Jim Huntley,  3/15/07
%

function [cdf] = hurwitz_cdf(n, eta, ups)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + hurwitz_pdf(jn, eta, ups);
end
cdf = sum1;

return