% hurwitz_pdf.m - evaluates a Hurwitz Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p. 530, 2005.
%
%  Created by Jim Huntley,  3/14/07
%
%   Calls:  'lerch.m'
%

function [pdf] = hurwitz_pdf(n, eta, ups)

%persistent odzet

%if(isempty(odzet))
    odzet = 1 / lerch(1,eta,ups+1);
%end

pdf = (n+ups)^(-eta) * odzet;

return