% hyblognorm_cdf.m - compute Hybrid Lognormal Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, V. 1, p.243, 1995.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/20/07.
%

function [cdf] = hyblognorm_cdf(x, alpha, bet, gam)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@hyblognorm_pdf,minx,x(jz),tol,trace,alpha,bet,gam);
end

return



