% hyblognorm_pdf.m - evaluates a Hybrid Lognormal Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, V. 1, p.243, 1995.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  3/20/07
%

function [pdf] = hyblognorm_pdf(x, alpha, bet, gam)

pdf = (alpha./x + bet) .* exp(-0.5.*(alpha.*log(x)+bet.*x+gam).^2) ./ sqrt(2*pi);

return