% hyperlog_cdf.m - evaluates a Hyperlogrithmic Cumulative Distribution.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, p. 320, 2005.
%
%  Created by Jim Huntley,  3/21/07
%

function [cdf] = hyperlog_cdf(n, lambda, bet)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + hyperlog_pdf(jn, lambda, bet);
end
cdf = sum1;

return