% hyperpois_cdf.m - compute Hyperpoisson Cumulative Distribution Function.
%   See "Estimation of the Parameter of Hyper-Poisson Distribution Using Negative Moments", 
%   A. Roohi and M. Ahmad, Pak. J. Statist., v. 19, 2003, p.99.
%  * NOTE THAT THIS "CDF" IS NOT NORMALIZED !!! 
%    (just a brute-force sum of the PDF).
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = hyperpois_cdf(n, theta, lambda)

sum1 = hyperpois_pdf(0,theta,lambda);
for jn = 1:n
    sum1 = sum1 + hyperpois_pdf(jn, theta, lambda);
end
cdf = sum1;
    
return



