% impinshyp_cdf.m - compute Imperfect Inspection Hypergeometric Cumulative Distribution.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.300, 2005.                 
%
%  Created by:  Jim Huntley,  06/18/08.
%

function [cdf] = impinshyp_cdf(n,N,k,D,p,pp)

sum1 = impinshyp_pdf(0,N,k,D,p,pp);
for jn = 1:n
    sum1 = sum1 + impinshyp_pdf(jn,N,k,D,p,pp);
end
cdf = sum1;

return



