% invchisq_cdf.m - compute Inverse Chi Square Cumulative Distribution Function.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  2/23/10.
%

function [cdf] = invchi_cdf(x,k)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invchi_pdf,minx,x(jz),tol,trace,k);
end

return



