% invchi_pdf.m - evaluates a Inverse Chi Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/23/10
%

function [pdf] = invchi_pdf(x, k)

%persistent coef

%if(isempty(coef))
    coef = 2 * sqrt(2) / gamma(0.5*k);
%end

argx = 1 ./ (sqrt(2).*x);
pdf = coef .* argx.^(k+1) .* exp(-argx.^2);

return

