% invchisq_pdf.m - evaluates an Inverse Chi-Square Probability Density.
%   See "Inverse Chi-Square Distribution", Wikipedia.
%
%  Created by Jim Huntley,  08/03/06
%
%

function [pdf] = invchisq_pdf(x, nu)

%persistent arg l2arg gamlnarg

%if(isempty(arg))
    arg = 0.5*nu;
    l2arg = log(2^(-arg));
    gamlnarg = gammaln(arg);
%end
    
pdf = exp(l2arg + log(x^(-arg-1)) - 0.5/x - gamlnarg);

return