% invexp_cdf.m - evaluates an Inverse Exponential Cumulative Distribution.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  02/22/10
%

function [cdf] = invexp_cdf(x, theta)

argx = theta ./ x;
cdf = exp(-argx);

return

