% invexp_pdf.m - evaluates an Inverse Exponential Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  02/22/10
%

function [pdf] = invexp_pdf(x, theta)

argx = theta ./ x;
pdf = argx.^2 .* exp(-argx) ./ theta;

return

