% invfact_cdf.m - evaluates an Inverse Factorial Cumulative Distribution.
%   See "On the Sum of Independent Zero-Truncated Poisson Random Variables",   
%   J. Springael, 8 June 2006. 
%
%  Created by Jim Huntley,  08/29/11
%

function [cdf] = invfact_cdf(n, nn, c)

sum1 = invfact_pdf(0, nn, c);
for jn = 1:n
    sum1 = sum1 + invfact_pdf(jn, nn, c);
end
cdf = sum1;

return