% invgam_cdf.m - compute Inverse Gamma Cumulative Distribution Function.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  2/22/10.
%

function [cdf] = invgam_cdf(x,alpha,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invgam_pdf,minx,x(jz),tol,trace,alpha,mu);
end

return



