% invgam_pdf.m - evaluates an Inverse Gamma Probability Density.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/23/10
%

function [pdf] = invgam_pdf(x, alpha, mu)

%persistent coef

%if(isempty(coef))
    coef = mu^alpha / gamma(alpha);
%end

pdf = coef .* x.^(-alpha-1) .* exp(-mu./x);

return