% invgamma_cdf.m - compute Inverted Gamma Cumulative Distribution Function.
%   See "VTFIT, A Routine for Fitting Homogeneous PDFs", User Documentation,
%   R. Cooke, VPI, July, 1993.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/22/05.
%

function [cdf] = invgamma_cdf(x,alpha,beta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invgamma_pdf,minx,x(jz),tol,trace,alpha,beta);
end

return



