% ingaus3p_cdf.m - compute 3-Paramater Inverse Gaussian Cumulative Distribution Function.
%   See "Asymmetric Power Distributions: Theory and Applications to Risk Management", 
%   I. Komunjer, Caltech, web.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/04/08.
%

function [cdf] = invgaus3p_cdf(x,mu,lambda,tsi)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
for jz = 1:size(x,2)
    cdf(jz) = quad(@invgaus3p_pdf,minx,x(jz),tol,trace,mu,lambda,tsi);
end

return



