% invgaus_pdf.m - evaluates an Inverse Gauusian Probability Density.
%   See "Dataplot Reference Manual, IGCDF", 8-125, NIST, 3/20/1997.
%
%  Created by Jim Huntley,  11/20/03
%
%

function [pdf] = invgaus_pdf(x, gam, mu)

pdf = sqrt(gam/(2*pi*x^3)) * exp(-gam*(x-mu)^2/(2*x*mu^2));

return