% invgauweib_cdf.m - evaluates an Inverse Gaussian Weibull Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, and Balakrishnan, 
%   J. Wiley, 1995, p.287.          
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  06/19/07.
%

function [cdf] = invgauweib_cdf(x, p, lambda, mu, c, alpha)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invgauweib_pdf,minx,x(jz),tol,trace,p,lambda,mu,c,alpha);
end

return



