% invgauweib_pdf.m - evaluates an Inverse Gaussian Weibull Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, and Balakrishnan, 
%   J. Wiley, 1995, p.287.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  6/19/07
%

function [pdf] = invgauweib_pdf(x, p, lambda, mu, c, alpha)

pdf = p .* sqrt(lambda./(2.*pi.*x.^3)) .* exp(-lambda.*(x-mu).^2./(2.*x.*mu^2)) + ...
             (1-p) .* (c./alpha) .* (x./alpha).^(c-1) .* exp(-(x./alpha).^c);

return