% invlomax_cdf.m - compute Inverse Lomax Cumulative Distribution Function.
%   See "Inverse Lomax Distribution", R Documentation, VGAM                
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/07/06.
%

function [cdf] = invlomax_cdf(x,b,p)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invlomax_pdf,minx,x(jz),tol,trace,b,p);
end

return



