% invplogis_cdf.m - compute Inverse Paralogistic Cumulative Distribution Function.
%   See "Paralogistic Distribution", R Documentation, VGAM                
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/07/06.
%

function [cdf] = invplogis_cdf(x,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invplogis_pdf,minx,x(jz),tol,trace,a,b);
end

return



