% invpol_cdf.m - compute Inverse Polya Cumulative Distribution Function.
%   See "Lagramgian Probability Distributions", P.C. Consul & F. Famoye,   
%   Birkauser, 2006, p.95.                 
%
%  Created by:  Jim Huntley,  06/07/11.
%

function [cdf] = invpol_cdf(n,nn,s,b,w)

sum1 = invpol_pdf(0, nn, s, b, w);
for jn = 1:n
    sum1 = sum1 + invpol_pdf(jn, nn, s, b, w);
end
cdf = sum1;

return



