% invray_cdf.m - evaluates an Inverse Rayleigh Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, 1995, p.479.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  6/21/07
%

function [cdf] = invray_cdf(x, theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@invray_pdf,minx,x(jz),tol,trace,theta);
end

return