% invray_pdf.m - evaluates an Inverse Rayleigh Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, 1995, p.479.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  6/21/07
%

function [pdf] = invray_pdf(x, theta)

pdf = 2 .* theta .* exp(-theta./x.^2) ./ x.^3;

return