% invweib_cdf.m - compute Inverted Weibull Cumulative Distribution Function.
%    See "Dataplot Reference Manual, IWECDF, NIST, 4/4/03. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [cdf] = invweib_cdf(x, gam, mu, bet)

arg = (x-mu)/bet;
cdf = exp(-arg^(-gam));
    
return



