% invweib_pdf.m - evaluates an Inverted Weibull Probability Density.
%   See "Dataplot Reference Manual, IWEPDF, NIST, 4/4/03.
%
%  Created by Jim Huntley,  8/04/04
%

function [pdf] = invweib_pdf(x, gam, mu, bet)

arg = (x-mu)/bet;
pdf = gam*arg^(-gam-1) * exp(-arg^(-gam)) / bet;

return