% ipbern_cdf.m - compute Inflated-Parameter Geometric Cumulative Distribution Function.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/23/09
%

function [cdf] = ipbern_cdf(n,ppi,rho)

sum1 = ipbern_pdf(0, ppi, rho);
for jn = 1:n
    sum1 = sum1 + ipbern_pdf(jn, ppi, rho);
end
cdf = sum1;

return



