% ipbern_pdf.m - evaluates an Inflated Parameter Geometric Probability Density.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/23/09
%

function [pdf] = ipbern_pdf(n, ppi, rho)

if(n == 0)
    pdf = 1 - ppi;
elseif(n > 0)
    pdf = ppi*rho^(n-1) * (1-rho);
end

return