% ipbinom_cdf.m - evaluates an Inflated Parameter Binomial Cumulative Distribution.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/27/09
%

function [cdf] = ipbinom_cdf(n,ppi,rho,N)

sum1 = ipbinom_pdf(0,ppi,rho,N);
for jn = 1:n
    sum1 = sum1 + ipbinom_pdf(jn,ppi,rho,N);
end
cdf = sum1;

return



