% ipgeom_cdf.m - compute Inflated-Parameter Geometric Cumulative Distribution Function.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  09/17/09
%

function [cdf] = ipgeom_cdf(n,p,rho)

sum1 = ipgeom_pdf(0, p, rho);
for jn = 1:n
    sum1 = sum1 + ipgeom_pdf(jn, p, rho);
end
cdf = sum1;

return



