% ipgeom_pdf.m - evaluates an Inflated Parameter Geometric Probability Density.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  09/17/09
%

function [pdf] = ipgeom_pdf(n, p, rho)

if(n == 0)
    pdf = p;
elseif(n > 0)
    pdf = (1-p) * ((1-p)*(1-rho) + rho)^(n-1)*p*(1-rho);
end

return