% iplogser_cdf.m - evaluates an Inflated Parameter Logarithmic Series Cumulative Distribution.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/27/09
%

function [cdf] = iplogser_cdf(n,ppi,rho)

sum1 = iplogser_pdf(0,ppi,rho);
for jn = 1:n
    sum1 = sum1 + iplogser_pdf(jn,ppi,rho);
end
cdf = sum1;

return



