% ipnegbin_cdf.m - evaluates an Inflated Parameter Negative Binomial Cumulative Distribution.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/27/09
%

function [cdf] = ipnegbin_cdf(n,ppi,rho,r)

sum1 = ipnegbin_pdf(0,ppi,rho,r);
for jn = 1:n
    sum1 = sum1 + ipnegbin_pdf(jn,ppi,rho,r);
end
cdf = sum1;

return



