% ippois_cdf.m - evaluates an Inflated Parameter Poisson Cumulative Distribution.
%   See "Inflated-Parameter Family of Generalized Power Series Distributions
%   and their Application in Analysis of Overdispersed Insurance Data", 
%   N. Kolev et al. ARCH 00V211.PDF
%
%  Created by Jim Huntley,  10/27/09
%

function [cdf] = ippois_cdf(n,lambda,rho)

sum1 = ippois_pdf(0,lambda,rho);
for jn = 1:n
    sum1 = sum1 + ippois_pdf(jn,lambda,rho);
end
cdf = sum1;

return



