% johnsb_cdf.m - evaluates a Cumulative Johnson SB Distribution.
%   See "Dataplot Reference Manual, JSBCDF", AUX - Vol. 2, NIST.
%
%  Created by Jim Huntley,  11/21/03
%

function [cdf] = johnsb_cdf(x, alpha1, alpha2)

arg = alpha1 + alpha2*log(x/(1-x));
cdf = (erf(arg/sqrt(2)) + 1) / 2;			% Normal CDF of 'arg'.

return