% johnsb_pdf.m - evaluates a Johnson SB Probability Density.
%   See "Dataplot Reference Manual, JSBCDF", AUX - Vol. 2, NIST.
%
%  Created by Jim Huntley,  11/21/03
%

function [pdf] = johnsb_pdf(x, alpha1, alpha2)

arg = alpha1 + alpha2*log(x/(1-x));
phi = exp(-0.5*arg^2) / sqrt(2*pi);			
pdf = alpha2 * phi / (x*(1-x));

return