% johnsu_cdf.m - evaluates a Cumulative Johnson SU Distribution.
%   See "Dataplot Reference Manual, JSUCDF", AUX - Vol. 2, NIST.
%
%  Created by Jim Huntley,  11/21/03
%

function [cdf] = johnsu_cdf(x, alpha1, alpha2)

arg = alpha1 + alpha2*log(x+sqrt(x^2+1));
cdf = (erf(arg/sqrt(2)) + 1) / 2;			% Normal CDF of 'arg'.

return