% jtb_rnd.m - generates 'nsamples' of a Johnson Teitjen beckman random variable.
%   from "NonUniform Random Variate Generation", Chap. 4, L. Devroye.
%
%   Created by: J. Huntley,  09/25/06
%

function [xhold,fhold,ghold,jhold,xsort,fsort,gsort,chold,isint] = ...
          jtb_rnd(userin,p_value,nsamples)

a = p_value(1);
tau = p_value(2);
userin.distrib = 'gamma'; 
userin.ftype = 4;
userin.p_value = [p_value(1) 0 1];
[xhold,fhold,ghold,jhold,xsort,fsort,gsort,chold,isint] =  gen_distrib2(userin,0);
V = 2 .* (rand(1,nsamples)-0.5);
xhold = xhold.^tau .* V;
      
return
