% kappamu_cdf.m - compute Kappa-Mu Cumulative Distribution Function.
%   See "The Kappa - Mu Distribution: A General Fading Distribution", 
%   M. D. Yacoub, U. Campinas, IEEE 2001.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/19/06.
%

function [cdf] = kappamu_cdf(x,kappa,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@kappamu_pdf,minx,x(jz),tol,trace,kappa,mu);
end

return



