% katzk_cdf.m - compute Katz-K Cumulative Distribution Function.
%   See "Incremental hieracrchical Clustering of Text Documents", N. Sahoo, 5 May, 2006.
%
%  Created by Jim Huntley,  8/31/06
%

function [y] = katzk_cdf(n, alpha, bet)

if(n == 0)
    y = 1 - alpha + alpha/(bet+1);
elseif(n > 0)
    y = 1 + alpha * (bet/(bet+1))^n / ((bet+1)*log(bet/(bet+1)));
end
    
return



