% Katz_cdf.m - compute Katz Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/11/08.
%

function [cdf] = katz_cdf(n,b,bet)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + katz_pdf(jn, b, bet);
end
cdf = sum1;

return



