% katz_pdf.m - tests a Katz Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.1.
%
%   Doesn't normalize for b >~ 1 - bet !!!
%
%  Created by Jim Huntley,  11/12/08
%

function [pdf] = katz_pdf(n, b, bet)

pdf = binomial_coef(b*n/bet+n-1,n) * (1-bet)^(b*n/bet) * bet^(n-1) / (b*n/bet+n-1);

end

