% katzk_pdf.m - evaluates a Katz-K Probability Density.
%   See "Incremental hieracrchical Clustering of Text Documents", N. Sahoo, 5 May, 2006.
%
%  Created by Jim Huntley,  8/31/06
%

function [pdf] = katzk_pdf(n, alpha, bet)

if(n == 0)
    pdf = 1 - alpha + alpha/(bet+1);
elseif(n > 0)
    pdf = alpha * (bet/(bet+1))^n / (bet+1);
end

return