% kempqbin_cdf.m - compute Kemp q-binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.468, 2005.                 
%
%  Created by:  Jim Huntley,  06/22/07.
%

function [cdf] = kempqbin_cdf(n, N, c, q)

sum1 = kempqbin_pdf(0, N, c, q);
for jn = 1:n
    sum1 = sum1 + kempqbin_pdf(jn, N, c, q);
end
cdf = sum1;

return



