% kempton_cdf.m - compute Kempton Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.319, 2005.                 
%
%  Created by:  Jim Huntley,  06/22/07.
%

function [cdf] = kempton_cdf(n, b, p, q, N)

sum1 = kempton_pdf(0, b, p, q, N);
for jn = 1:n
    sum1 = sum1 + kempton_pdf(jn, b, p, q, N);
end
cdf = sum1;

return



