% kies_cdf.m - evaluates a Kies Weibull Cumulative Distribution.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of CDF!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = kies_cdf(x, a, b, bet1, bet2, lambda)

cdf = 1 - exp(-lambda.*(x-a).^bet1./(b-x).^bet2);

return

