% kies_pdf.m - evaluates a Kies Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = kies_pdf(x, a, b, bet1, bet2, lambda)

pdf = ((bet1.*lambda.*(x-a).^(bet1-1))./(b-x).^bet2 + ...
      (bet2.*lambda.*(x-a).^bet1)./(b-x).^(bet2+1))./ ...
       exp((lambda.*(x-a).^bet1)./(b-x).^bet2);

return

