% kotz_cdf.m - compute Kotz Cumulative Distribution Function.
%   See "A New Fatique Life Model Based on the Family of Skew-Elliptical Distributions", 
%   F. Vilca-Labra and V. Leiva-Sanchez, Universidade de Campinas, Sao Paolo, Brasil, web.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/07/06.
%

function [cdf] = kotz_cdf(x, q, r, s)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@kotz_pdf,minx,x(jz),tol,trace,q,r,s);
end

return



