% kprime_cdf.m - compute K0 Cumulative Distribution Function.
%   See "Multiply Stochastic Representations for K Distributions and
%   thier Poisson Transforms", M. C. Teich and P. Diament,
%   J. Opt. Soc. Am., v.6, No.1, Jan., 1989.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/31/07.
%

function [cdf] = kprime_cdf(x,alpha,bet,N)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@kprime_pdf,minx,x(jz),tol,trace,alpha,bet,N);
end

return



