% kumar4_pdf.m - evaluatets a 4-Parameter Kumaraswamy Probability Density.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/12/11
%

function [pdf] = kumar4_pdf(x, alpha, bet, a, b)

coef = alpha * bet / (b-a);
z = (x-a) ./ (b-a);
pdf = coef .* z.^(alpha-1) .* (1-z.^alpha).^(bet-1);

%cdf = 1 - (1-z.^alpha).^bet;

return