% kzero_pdf.m - evaluates a K0 Probability Density.
%   See "Multiply Stochastic Representations for K Distributions and
%   thier Poisson Transforms", M. C. Teich and P. Diament,
%   J. Opt. Soc. Am., v.6, No.1, Jan., 1989.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  7/31/07
%

function [pdf] = kzero_pdf(x, N)

pdf = 2 .* besselk(0,2.*sqrt(x./N)) ./ N;    

return