% lagbinom_cdf.m - compute Lagrangian Binomial Cumulative Distribution Function.
%   See "Some Characterizations for the Exponential Class of Distributions", 
%   P. C. Consul, IEEE trans. on Reliability, vol. 44, No. 3, Sept., 1995.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = lagbinom_cdf(n, theta, nn, m)

sum1 = lagbinom_pdf(0,theta,nn,m);
for jn = 1:n
    sum1 = sum1 + lagbinom_pdf(jn, theta, nn, m);
end
cdf = sum1;
    
return



