% lagkatz1_cdf.m - compute Lagrangian Katz Cumulative 1 Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.331, 2005.                 
%
%  Created by:  Jim Huntley,  06/26/07.
%

function [cdf] = lagkatz1_cdf(n, bet, b)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + lagkatz1_pdf(jn, bet, b);
end
cdf = sum1;

return



