% lagkatz2_cdf.m - compute Lagrangian Katz Cumulative 2 Distribution Function.
%   See "On the Moments of LKD", Iranian J. of Sci. & Tech., Trans. A,
%   Vol. 29, 2005.                 
%
%  Created by:  Jim Huntley,  06/26/07.
%

function [cdf] = lagkatz2_cdf(n, bet, b)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + lagkatz2_pdf(jn, bet, b);
end
cdf = sum1;

return



