% lagkatz_pdf.m - evaluates a Lagrangian Katz Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, 2005, 331. 
%
%  Created by Jim Huntley,  6/26/07
%

function [pdf] = lagkatz_pdf(n, bet, b)

pdf = binomial_coef(b*n/bet+n-2,n-1) * bet^(n-1) * (1-bet)^(bet*n/b) / n;
    
return