% laglog_cdf.m - compute Lagrangian Logarithmic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.331, 2005.                 
%
%  Created by:  Jim Huntley,  06/26/07.
%

function [cdf] = laglog_cdf(n, bet, c)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + laglog_pdf(jn, bet, c);
end
cdf = sum1;

return



