% lagpois_cdf.m - compute Lagrangian Poisson Cumulative Distribution Function.
%   See "Some Characterizations for the Exponential Class of Distributions", 
%   P. C. Consul, IEEE trans. on Reliability, vol. 44, No. 3, Sept., 1995.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = lagpois_cdf(n, theta, alpha)

sum1 = lagpois_pdf(0,theta,alpha);
for jn = 1:n
    sum1 = sum1 + lagpois_pdf(jn, theta, alpha);
end
cdf = sum1;
    
return



