% laguerre_cdf.m - compute Laguerre Cumulative Distribution Function.
%    See "On the BER of Lightwave Systems with Optical Amplifiers",
%    P.A. Humboldt and M.A. Azizoglu, MIT, 6/4/91.
%
%  Created by:  Jim Huntley,  3/22/05.
%

function [cdf] = laguerre_cdf(k, N0, M, E)

sum1 = laguerre_pdf(0, N0, M, E);
for jk = 1:k
    sum1 = sum1 + laguerre_pdf(jk, N0, M, E);
end
cdf = sum1;
    
return



