% laguerre_pdf.m - evaluates a Laguerre Probability Density.
%   See "On the BER of Lightwave Systems with Optical Amplifiers",
%   P.A. Humboldt and M.A. Azizoglu, MIT, 6/4/91.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  3/22/05
%

function [pdf] = laguerre_pdf(n, N0, M, E)

arg = -E/(N0*(1+N0));
pdf = (1/(1+N0))^M * (N0/(1+N0))^n * exp(-E/(1+N0)) * polyval(AssociatedLaguerrePoly(n,M-1),arg);

return