% lambdamu_cdf.m - compute Lambda-Mu Cumulative Distribution Function.
%   See "The  Lambda - Mu General Fading Distribution", 
%   G. Fraidenraich and M. D. Yacoub, U. Campinas, Proc. SBMO/IEEE MTT-5 IMOC 2003.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/19/06.
%

function [cdf] = lambdamu_cdf(x,lambda,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@lambdamu_pdf,minx,x(jz),tol,trace,lambda,mu);
end

return



