% landau_cdf.m - compute Landau Cumulative Distribution Function.
%   See "DePAC Tutorials," Universitat Siegen, C. Grupen, 21/01/2000.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/25/05.
%

function [cdf] = landau_cdf(lambda)

tol = 1e-6;
trace = [];
minx = min(lambda);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(lambda,2);
for jz = 1:sz
    cdf(jz) = quad(@landau_pdf,minx,lambda(jz),tol,trace);
end

return



