% laplace_cdf.m - evaluates a Laplace Cumulative Distribution.
%   See "Laplace Distribution", Wolfram, 
%   http://mathworld.wolfram.com/LaplaceDistribution.html
%
%   Created by: J. Huntley, 01/09/08.
%

function [cdf] = laplace_cdf(x,sigma,mu)

cdf = 0.5 * (1 + sign(x-mu)*(1 - exp(-abs(x-mu)/sigma)));

return


