% laplprod_pdf.m - evaluates a Laplace Difference Probability Density.
%   See "The Laplace Distribution and Generalizations", S. Kotz et al.,
%   2001, Birkhauser, p.43.
%
%  Created by Jim Huntley,  01/24/08
%

function [pdf] = laplprod_pdf(x, s1, s2)

pdf = besselk(0,2*(abs(x)/(s1*s2))^(1/2)) / (s1*s2);

return
