% levy2_cdf.m - evaluates a Levy Cumulative Distribution.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/12/11
%

function [cdf] = levy2_cdf(x, a, c)

cdf = 1 - erf((2^(1/2).*c^(1/2))./(2.*(x - a).^(1/2)));

return