% levy2_pdf.m - evaluates a Levy Probability Density.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/12/11
%

function [pdf] = levy2_pdf(x, a, c)

coef = sqrt(0.5*c/pi);
pdf = coef .* exp(-0.5.*c./(x-a)) ./ (x-a).^1.5;

return