% levy_cdf.m - evaluates a Levy (Stable) Cumulative Distribution.
%   See "Stable Distributions", J. P. Nolan, American U., 11 January, 2005.
%
%  Created by Jim Huntley,  07/28/06
%
%   Calls:  'gaus_cdf.m'
%

function [cdf] = levy_cdf(x, gam, delta)

arg = sqrt(gam / (x - delta));
cdf = 2 * (1 - gaus_cdf(arg,0,1));

return