% levy_pdf.m - evaluates a Levy (Stable) Probability Density.
%   See "Stable Distributions", J. P. Nolan, American U., 11 January, 2005.
%
%  Created by Jim Huntley,  07/28/06
%

function [pdf] = levy_pdf(x, gam, delta)

arg = 1 / (x - delta);
coef = sqrt(0.5*gam/pi);
pdf = coef * arg^(1.5) * exp(-0.5*gam*arg);

return