% libnov_cdf.m - compute Libby & Novick Beta Cumulative Distribution Function.
%   See "On the PDF of the Disparity Gradient", S. Nadrajah and S. Kotz, 
%   IEEE Transactions on Systems Management and Cybernetics - Part A
%   Systems and Humans, Vol. 38, No. 1, Jan. 2008.
%
%   Vector Form of CDF.
%
%  Created by Jim Huntley,  12/30/09.
%

function [cdf] = libnov_cdf(x,a,b,lambda)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@libnov_pdf,minx,x(jz),tol,trace,a,b,lambda);
end

return



