% libnov_pdf.m - evaluates a Libby and Novick Beta Probability denisity.
%   See "On the PDF of the Disparity Gradient", S. Nadrajah and S. Kotz, 
%   IEEE Transactions on Systems Management and Cybernetics - Part A
%   Systems and Humans, Vol. 38, No. 1, Jan. 2008.
%
%   Vector Form of PDF.
%
%  Created by Jim Huntley,  12/30/09.
%

function [pdf] = libnov_pdf(x, a, b, lambda)

%persistent coef

%if(isempty(coef))
    coef = lambda^a / beta(a,b);
%end

pdf = coef .* x.^(a-1) .* (1-x).^(b-1) ./ (1-(1-lambda).*x).^(a+b);

return


    