% lifetest_cdf.m - compute Life Testing Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  12/18/08.
%

function [cdf] = lifetest_cdf(n,m,nn,r)

sum1 = lifetest_pdf(0, m, nn, r);
for jn = 1:n
    sum1 = sum1 + lifetest_pdf(jn, m, nn, r);
end
cdf = sum1;

return



