% lineonorm_cdf.m - compute Lineo-Normal Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan, 
%   J. Wiley, 1995, p.172.
%
%   Vector Form of CDF !!!
%
%  Created by Jim Huntley,  7/12/07
%

function [cdf] = lineonorm_cdf(x,sigma)

% Integrate PDF to get CDF.
pdf = lineonorm_pdf(x, sigma);
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return




