% linexp_cdf.m - evaluates a Linear Exponential Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan
%   J. Wiley, 1995, 480. 
%
%   Vector Form of CDF!!!
%
%   Created by Jim Huntley,  7/01/07
%

function [cdf] = linexp_cdf(x,lambda,ups)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@linexp_pdf,minx,x(jz),tol,trace,lambda,ups);
end

return



