% linexp_pdf.m - evaluates a Linear exponential Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan
%   J. Wiley, 1995, 480. 
%
%   Vector Form of PDF!!!
%
%   Created by Jim Huntley,  7/01/07
%

function [pdf] = linexp_pdf(x, lambda, ups)

pdf = (lambda + ups.*x) .* exp(-(lambda.*x+0.5.*ups.*x.^2));
    
return