% linfail_cdf.m - compute Linear Failure Rate Power Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, p. 641, 1996.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/27/06.
%

function [cdf] = linfail_cdf(x,theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@linfail_pdf,minx,x(jz),tol,trace,theta);
end

return



