% linfail_pdf.m - evaluates a Linear Failure Rate Probability Density.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.641, 1996. 
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  10/27/06
%

function [pdf] = linfail_pdf(x, theta)

pdf = (1 + theta.*x) .* exp(-(x + 0.5.*theta.*x.^2));

return