% test_linfunbin.m - tests a Linear Functional Binomial Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by Jim Huntley,  12/02/08
%

function [pdf] = linfunbin_pdf(n, p, m, nn)

q = 1 - p;
pdf = (1-m*p) * binomial_coef(nn+m*n,n) * p^n * q^(nn+m*n-n);        

return

