% linfunpois_cdf.m - compute Linear Negative Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by:  Jim Huntley,  12/02/08.
%

function [cdf] = linfunpois_cdf(n, lambda, theta)

sum1 = linfunpois_pdf(0, lambda, theta);
for jn = 1:n
    sum1 = sum1 + linfunpois_pdf(jn, lambda, theta);
end
cdf = sum1;

return



