% linfunpois_pdf.m - evaluates a Linear Functional Poisson Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by Jim Huntley,  12/01/08
%

function [pdf] = linfunpois_pdf(n, lambda, theta)

%pdf =  (1-lambda) * (theta+n*lambda)^n * exp(-theta-n*lambda) / gamma(n+1);  
pdf =  exp(log(1-lambda) + n*log(theta+n*lambda) - theta -...
           n*lambda - gammaln(n+1));        

return

