% linnegbin_cdf.m - compute Linear Negative Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by:  Jim Huntley,  12/02/08.
%

function [cdf] = linnegbin_cdf(n, p, m, nn)

sum1 = linnegbin_pdf(0, p, m, nn);
for jn = 1:n
    sum1 = sum1 + linnegbin_pdf(jn, p, m, nn);
end
cdf = sum1;

return



