% ljubo_cdf.m - evaluates a Ljubo Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan
%   J. Wiley, 1995, 614. 
%
%  Created by Jim Huntley,  7/03/07
%

function [cdf] = ljubo_cdf(x, k, alpha, bet, a)

cdf = 1 - (k+alpha)^a * (x+alpha)^(-a) * exp(-bet*(x-k));
    
return