% ljubo_pdf.m - evaluates a Ljubo Generalized Pareto Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan
%   J. Wiley, 1995, 616. 
%
%  Created by Jim Huntley,  7/03/07
%

function [pdf] = ljubo_pdf(x, k, alpha, bet, a)

pdf = (k+alpha)^a * (x+alpha)^(-a-1) * exp(-bet*(x-k)) * (a+bet*(x+alpha));
    
return