% logbin_cdf.m - compute Logarithmic Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.                 
%
%  Created by:  Jim Huntley,  12/o3/08.
%

function [cdf] = logbin_cdf(n,p,m)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + logbin_pdf(jn, p, m);
end
cdf = sum1;

return



