% logdblexp_cdf.m - compute Log Double Exponential Cumulative Distribution Function.
%    See "Dataplot Reference Manual, LDECDF, NIST, 4/4/03. 
%
%  Created by:  Jim Huntley,  08/04/04.
%

function [cdf] = logdblexp_cdf(x, alpha, bet, mu)

if(x < bet+mu && x >= mu)
    cdf = 0.5*((x-mu)/bet)^(alpha);
end
if(x >= bet+mu)
    cdf = 1 - 0.5*((x-mu)/bet)^(-alpha);
end
    
return



