% logdblexp_pdf.m - evaluates a Log Double Exponential Probability Density.
%   See "Dataplot Reference Manual, LDEPDF, NIST, 4/4/03.
%
%  Created by Jim Huntley,  8/04/04
%

function [pdf] = logdblexp_pdf(x, alpha, beta, mu)

if(x < beta+mu && x >= mu)
    pdf = (alpha/(2*beta))*((x-mu)/beta)^(alpha-1);
end
if(x >= beta+mu)
    pdf = (alpha/(2*beta))*((x-mu)/beta)^(-alpha-1);
end

return