% logisexp_cdf.m - evaluates a Logistic Exponential Cumulative Distribution.
%   See "Dataplot Reference Manual", LEXPDF, Vol.1, Aux. Chapter.
%
%  Created by Jim Huntley,  11/07/08
%

function [cdf] = logisexp_cdf(x, bet, mu, alpha)

%persistent coef

%if(isempty(coef))
    coef = bet / alpha;
%end

argx = exp((x-mu)/alpha);
cdf = 1 - 1./(1+(argx-1).^bet);

end

