% logisexp_pdf.m - evaluates a Logistic Exponential Probability Density.
%   See "Dataplot Reference Manual", LEXPDF, Vol.1, Aux. Chapter.
%
%  Created by Jim Huntley,  11/07/08
%

function [pdf] = logisexp_pdf(x, bet, mu, alpha)

%persistent coef

%if(isempty(coef))
    coef = bet / alpha;
%end

argx = exp((x-mu)/alpha);
pdf = coef .* argx .* (argx-1).^(bet-1) ./ (1+(argx-1).^bet).^2;

end

