% logistic_pdf.m - evaluates a Logistic Probability Density.
%    See "Dataplot Reference Manual", LOGPDF, 8-147, NIST, 3/20/97. 
%
%  Created by Jim Huntley,  03/17/05
%

function [pdf] = logistic_pdf(x, sigma, mu)

pdf = exp(-(x-mu)/sigma) / (sigma*(1 + exp(-(x-mu)/sigma))^2);

return