% logitnorm_pdf.m - tests a Logit Normal Probability Density.
%   See "Logit-normal distribution", Wikipedia.
%
%  Created by Jim Huntley,  08/21/11
%

function [pdf] = logitnorm_pdf(x, sigma, mu)

sigma2 = sigma * sigma;
coef = 1 / (sigma*sqrt(2*pi));
logitx = log(x./(1-x));
pdf = coef .* exp((-0.5.*(logitx-mu).^2)./sigma2) ./ (x.*(1-x));

return