% lognegbint_cdf.m - compute Logarithmic Negative Binomial (Transformed) Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.                 
%
%  Created by:  Jim Huntley,  11/17/08.
%

function [cdf] = lognegbint_cdf(n,p,k)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + lognegbint_pdf(jn, p, k);
end
cdf = sum1;

return



