% lognormb_pdf.m - evaluates a Lognormal B Probability Density.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/11/11
%

function [pdf] = lognormb_pdf(x, B, sigsq, mu)

lnB = log(B);
V = sigsq * lnB;
m = mu * lnB;
coef = 1 / sqrt(2*pi*V);
pdf = coef .* exp(-0.5.*(log(x)-m).^2 ./ V) ./ x;

return