% lognorme_cdf.m - evaluates a Lognormal E Cumulative Distribution.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/11/11
%

function [cdf] = lognorme_cdf(x, sigma, mu)

cdf = 0.5 -(1125899906842624*2^(1/2)*pi^(1/2) * ...
      erf((2^(1/2)*(mu - log(x))*(1/sigma^2)^(1/2))/2))/(5644425081792261*sigma*(1/sigma^2)^(1/2));

return