% lognorme_pdf.m - evaluates a Lognormal E Probability Density.
%   See "A Compendium of Distributions", ModelRisk 3.0, Vose Software,
%   http://www.vosesoftware.com/content/ebook.pdf.
%
%  Created by Jim Huntley,  08/11/11
%

function [pdf] = lognorme_pdf(x, sigma, mu)

coef = 1 / (sigma*sqrt(2*pi));
pdf = coef .* exp(-0.5.*(log(x)-mu).^2 ./ sigma^2) ./ x;

return