% logpears3_pdf.m - evaluates the Log Pearson 3 Probability Density Function.  
% "Estimating 7Q10 Confidence Limits from Data: A Bootstrap Approach", 
%   Daniel P. Ames, gisci.isu.edu/dan/publications/ames_7q10_conf.pdf 
%
%                  Vector Form!
%
% Created by Jim Huntley,  03/02/05
%

function [pdf] = logpears3_pdf(x, lambda, bet, epsilon)

%persistent t0 betm1 gamlnbet

%if(isempty(t0))
    t0 = bet*log(lambda);
    betm1 = bet - 1;
    gamlnbet = gammaln(bet);
%end

pdf = exp(t0 + (bet-1).*log(x - epsilon + eps) - lambda.*(x - epsilon) - gamlnbet);

return
