% logpois_cdf.m - compute Logarithmic Poisson Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.                 
%
%  Created by:  Jim Huntley,  11/17/08.
%

function [cdf] = logpois_cdf(n,p,lambda)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + logpois_pdf(jn, p, lambda);
end
cdf = sum1;

return



