% logpoismix_cdf.m - compute Logarithmic Poisson Mixture Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.346, 2005.                 
%
%  Created by:  Jim Huntley,  07/05/07.
%

function [cdf] = logpoismix_cdf(n,bet,theta)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + logpoismix_pdf(jn, bet, theta);
end
cdf = sum1;

return



