% logsech_cdf.m - compute log hyperbolic secant Cumulative Distribution Function.
%   See "Lognormality in Ecological Time Series", 
%   J Halley and P. Inchausti, OIKOS, 99: 518, 2002.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/13/05.
%

function [cdf] = logsech_cdf(x,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@logsech_pdf,minx,x(jz),tol,trace,a,b);
end

return



