% logskewt_cdf.m - compute Log Skew T Cumulative Distribution Function.
%   See "Dataplot Reference Manual", LSTCDF, NIST.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/28/06.
%

function [cdf] = logskewt_cdf(x,nu,lambda,sigma)

% Integrate PDF to get CDF.
pdf = logskewt_pdf(x,nu,lambda,sigma);
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return



