% logskewt_pdf.m - evaluates a Log Skew T Probability Density.
%   See "Dataplot Reference Manual", LSTPDF, NIST.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  8/28/06
%

function [pdf] = logskewt_pdf(x, nu, lambda, sigma)

sx = size(x,2);

for jx = 1:sx
    pdf(jx) = skewt_pdf(log(x(jx))/sigma,nu,lambda) / (x(jx)*sigma);    
end 

return