% logsknor_cdf.m - compute Log Skew Normal Cumulative Distribution Function.
%   See "Dataplot Reference Manual", LSNCDF, NIST.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/28/06.
%

function [cdf] = logsknor_cdf(x,lambda,sigma)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize;
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@logsknor_pdf,minx,x(jz),tol,trace,lambda,sigma);
end

return



