% logsknor_pdf.m - evaluates a Log Skew Normal Probability Density.
%   See "Dataplot Reference Manual", LSNPDF, NIST.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  8/28/06
%

function [pdf] = logsknor_pdf(x, lambda, sigma)

sx = size(x,2);

for jx = 1:sx
    pdf(jx) = skewnorm_pdf(log(x(jx))/sigma,lambda) / (x(jx)*sigma);    
end 

return