% logzeropois_cdf.m - compute Log Zero Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.356, 2005.                 
%
%  Created by:  Jim Huntley,  07/09/07.
%

function [cdf] = logzeropois_cdf(n, omega, lambda, phi)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + logzeropois_pdf(jn, omega, lambda, phi);
end
cdf = sum1;

return



