% logzeros_cdf.m - compute Logarithmic with Zeros Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.355, 2005.                 
%
%  Created by:  Jim Huntley,  07/06/07.
%

function [cdf] = logzeros_cdf(n, omega, theta)

sum1 = logzeros_pdf(0, omega, theta);
for jn = 1:n
    sum1 = sum1 + logzeros_pdf(jn, omega, theta);
end
cdf = sum1;

return



