% lospowgm_pdf.m - evaluates a Largest Order Statistic Power Geometric Mean Probability Density.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, 2004. 
%
%  Created by Jim Huntley,  10/18/11
%

function [pdf] = lospowgm_pdf(x, nn, a)

pdf =  (-log(x)).^(nn-1) .* exp(nn*log(a) + nn*log(nn) + (nn*a-1).*log(x) - gammaln(nn));

return