% lospowprod_cdf.m - evaluates an Largest Order Statistic Power Product Cumulative Distibution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, 2004. 
%
%  Created by Jim Huntley,  09/12/11
%

function [cdf] = lospowprod_cdf(x, nn, m, a)

if(m == nn)
    cdf = 1-x.^(a*nn).*(a.*nn.*log(x) - 1);
else
    cdf = (m*x.^(a*nn) - nn.*x.^(a*m))./(m - nn);
end

return