% lospowprod_pdf.m - evaluates an Largest Order Statistic Power Product Probability Density.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, 2004. 
%
%  Created by Jim Huntley,  09/12/11
%

function [pdf] = lospowprod_pdf(x, nn, m, a)

if(m == nn)
    pdf = -nn^2 .* a^2 .* x.^(nn*a-1) .* log(x);
else
    pdf = m .* nn .* a .* (x.^(nn*a)-x.^(m*a)) ./ (x.*(m-nn));
end

return