% lospowrat_cdf.m - evaluates an Largest Order Statistic Power Ratio Cumulative Distribution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, 2004. 
%
%  Created by Jim Huntley,  09/12/11
%

function [cdf] = lospowrat_cdf(x, nn, m, a)

sx = size(x,2);
for jx = 1:sx
    if(x(jx) <= 1)
        cdf(jx) = (m*x(jx)^(a*nn))/(m + nn);
    else
        cdf(jx) = 1-nn/(x(jx)^(a*m)*(m + nn));
    end
end

return