% lrstat_cdf.m - evaluates a Likelihood Ratio-Statistic Cumulative Distribution.
%   See "An Exact, Unified Distributional Characterization of
%   Statistics used to Test Linear Hypotheses in Simple Regression
%   Models", T. Parker, 20 May, 2010. 
%
%  Created by Jim Huntley,  10/18/11
%

function [cdf] = lrstat_cdf(x, r, nn, k)

pdf = lrstat_pdf(x, r, nn, k); 
sx = size(x,2);
dx = x(2) - x(1);
for jx = 1:sx
    if(jx <= 2)
        cdf(jx) = trapz(pdf(1:jx)) * dx;
    elseif(jx > 2)
        cdf(jx) = simps(pdf(1:jx)) * dx;
    end
end

return