% simplex_cdf.m - compute Leipnik Cumulative Distribution Function.
%   See "General Formulae for the Central Moments of Certain
%   Serial Correlation Coefficient Approximations", A.W. Kemp,
%   Queen's University of Belfast, 1/22/1970.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/17/06.
%

function [cdf] = madow_cdf(x,n,r)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@madow_pdf,minx,x(jz),tol,trace,n,r);
end

return



