% daniels_pdf.m - evaluates a Daniels Probability Density.
%   See "General Formulae for the Central Moments of Certain
%   Serial Correlation Coefficient Approximations", A.W. Kemp,
%   Queen's University of Belfast, 1/22/1970.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  07/17/06
%
%

function [pdf] = madow_pdf(x, n, r)

denom = r^n / beta(0.5*(n+1),0.5);

pdf = (1-x.^2).^(0.5*(n-1)) .* (1+r^2-2.*r.*x).^(-0.5*n) .* denom;

return