% makeham_pdf.m - evaluates a Gompertz-Makeham Probability Density.
%   See "Dataplot Reference Manual, MAKPDF", NIST, 7/7/04.
%
%  Created by Jim Huntley,  8/03/04
%

function [pdf] = makeham_pdf(x, eta, zet)

pdf = (eta + exp(x-zet)) * exp(exp(-zet) - exp(x-zet) - eta*x);    

return