% malik2_cdf.m - compute Malik 2 Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.596.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/09/07.
%

function [cdf] = malik2_cdf(x,a,n,k)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@malik2_pdf,minx,x(jz),tol,trace,a,n,k);
end

return



