% malik4_cdf.m - compute Malik 4 Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.596.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/20/09.
%

function [cdf] = malik4_cdf(x,a,p,k)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@malik4_pdf,minx,x(jz),tol,trace,a,p,k);
end

return



