% malikf_cdf.m - compute Malik F Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.596.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/09/07.
%

function [cdf] = malikf_cdf(x,a,b,nu1,nu2)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    qz(jz) = quad(@malikf_pdf,minx,x(jz),tol,trace,a,b,nu1,nu2);
end

% Normalize CDF.
cdf = qz./max(qz);

return



