% mallowsY_cdf.m - compute Mallows Y Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.61.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/10/07.
%

function [cdf] = mallowsY_cdf(x,omega)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@mallowsY_pdf,minx,x(jz),tol,trace,omega);
end

return



