% mallowsY_pdf.m - evaluates a Mallows Y Probability Density.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.61.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  7/10/07
%

function [pdf] = mallowsY_pdf(x, omega)

R = (1 - gaus_cdf(omega,0,1)) / gaus_pdf(omega,0,1);
pdf = 2 .* gaus_pdf(omega.*x,0,1) ./ (R .* (1+x.^2));

return