% mandel_pdf.m - evaluates a Zipf-Mandelbrot Probability Density.
%   See "http/en.wikipedia.org/wiki/ZipfMandelbrot_law", web.
%
%  Created by Jim Huntley,  07/15/05
%
%

function [pdf] = mandel_pdf(n, NN, q, s)

sum1 = 0;
for jNN = 1:NN
    sum1 = sum1 + 1 / (jNN + q)^s;
end
HNN = sum1;
pdf = 1 / ((n+q)^s * HNN);

return