% mapairy_cdf.m - compute Mallows Y Cumulative Distribution Function.
%               See Eric W. Weisstein. "Map-Airy Distribution." 
%               From MathWorld--A Wolfram Web Resource. 
%               http://mathworld.wolfram.com/MapAiryDistribution.html
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  04/21/08.
%

function [cdf] = mapairy_cdf(x)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@mapairy_pdf,minx,x(jz),tol,trace);
end

return



