% maxbol_cdf.m - compute a Maxwell Boltzman Counting Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, & Kotz,
%   J. Wiley, 2005, p. 444.
%
%  Created by Jim Huntley,  7/11/07
%

function [cdf] = maxbol_cdf(n, b, c)

sum1 = maxbol_pdf(0, b, c);
for jn = 1:n
    sum1 = sum1 + maxbol_pdf(jn, b, c);
end
cdf = sum1;
    
return



