% maxbol_pdf.m - evaluates a Maxwell Boltzman Counting Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, & Kotz,
%   J. Wiley, 2005, p. 444.
%
%  Created by Jim Huntley,  7/11/07
%

function [pdf] = maxbol_pdf(n, b, c)

pdf = binomial_coef(b,n) * (1-1/c)^(b-n) / c^n;

return