% maxwell_cdf.m - evaluates a Cumulative Maxwellian Probability Distribution.
%   See FORTRAN code: prob_f90, John Burkhardt, 12/19/99.
%
%  Translated/Modified by Jim Huntley,  03/10/04
%
%

function [cdf] = maxwell_cdf(x,a)

    if (x <= 0)
        cdf = 0.0;
    else
        x2 = x / a;
        p2 = 1.5;
        cdf = gammainc(x2, p2);
    end

return