% mbbinbet_cdf.m - evaluates a Morrison & Brockway Compound Binomial Beta Cumulative Distribution.
%   See "Handbook of Beta Distribution and Its Applications", A.K Gupta &,
%   S. Nadarajah, p.141, 2004. 
%
%  Created by Jim Huntley,  09/17/11
%

function [cdf] = mbbinbet_cdf(n, nn, w, p, m)

sum1 = mbbinbet_pdf(0, nn, w, p, m);
for jn = 1:n
    sum1 = sum1 + mbbinbet_pdf(jn, nn, w, p, m);
end
cdf = sum1;

return