% mccull_cdf.m - compute McCullagh Cumulative Distribution Function.
%   See "VGAM".
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  12/10/07.
%

function [cdf] = mccull_cdf(x,theta,nu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@mccull_pdf,minx,x(jz),tol,trace,theta,nu);
end

return



