% mchamper_cdf.m - evaluates a Modified Champernowne Cumulative Distribution.
%   See "Kernal Density Estimation for Heavy-Tailed Distributions Using the 
%   Champernowne Transformation", Jan., 2005,
%   http://papers.ssrn.com/sol3/papers.cfm?abstract_id=704903.
%
%  Created by Jim Huntley,  02/18/09
%
%

function [cdf] = mchamper_cdf(x, alpha, c, M)

arg1 = (x + c)^alpha;
calph = c^alpha;
cdf = (arg1 - calph) / (arg1 + (M+c)^alpha -2*calph);

return