% mchamper_pdf.m - evaluates a Modified Champernowne Probability Density.
%   See "Kernal Density Estimation for Heavy-Tailed Distributions Using the 
%   Champernowne Transformation", Jan., 2005,
%   http://papers.ssrn.com/sol3/papers.cfm?abstract_id=704903.
%
%  Created by Jim Huntley,  02/18/09
%

function [pdf] = mchamper_pdf(x, alpha, c, M)

arg1 = (x + c)^alpha;
calph = c^alpha;
arg2 = (M + c)^alpha;
pdf = (alpha*arg1/(x+c)*(arg2-calph)) / (arg1+arg2-2*calph)^2;

return