% mcleish_cdf.m - compute McLeish Cumulative Distribution Function.
%   See "Dataplot, GMCCDF".              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  05/25/06.
%

function [cdf] = mcleish_cdf(x,alpha,a)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@mcleish_pdf,minx,x(jz),tol,trace,alpha,a);
end

return



