% md1_cdf.m - compute MD1 Queue-Size Cumulative Distribution Function.
%   See "Measures of the Potential for Load Sharing in Distributed
%   Computing Systems", M. G. Shriram and M. Singhal, IEEE Trans on
%   Software Engineering, Vol. 21, No. 5, May 1995.
%
%  Created by:  Jim Huntley,  10/24/06.
%

function [cdf] = md1_cdf(n, rho)

sum1 = md1_pdf(0, rho);
for jn = 1:n
    sum1 = sum1 + md1_pdf(jn, rho);
end
cdf = sum1;
    
return



