% genhyp_cdf.m - evaluates a Cumulative Meixner Distribution.
%   See "Some Aspects of Levy Processes in Finance", J. Tykesson, 8/30/03.
%
%  Created by Jim Huntley,  8/24/04
%

function [cdf] = meixner_cdf(x, a, b, d, m)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@meixner_pdf,minx,x(jz),tol,trace,a,b,d,m);
end

return