% minnegbin_cdf.m - compute a Minimum Negative Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, & Kotz,
%   J. Wiley, 2005, p. 244.
%
%  Created by Jim Huntley,  7/11/07
%

function [cdf] = minnegbin_cdf(n, m, p)

sum1 = minnegbin_pdf(0, m, p);
for jn = 1:n
    sum1 = sum1 + minnegbin_pdf(jn, m, p);
end
cdf = sum1;
    
return



