% minnegbin_pdf.m - evaluates a Minimum Negative Binomial Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp, & Kotz,
%   J. Wiley, 2005, p. 244.
%
%  Created by Jim Huntley,  7/11/07
%

function [pdf] = minnegbin_pdf(n, m, p)

q = 1 - p;
pdf = binomial_coef(m+n-1,n) * (p^m*q^n + q^m*p^n);

return