% mixpois_cdf.m - evaluates a Sichel Mixed Poisson Cumulative Distribution.
%   See "Mixed Compound Poisson Distributions", G. Wilmot,   
%   Astin Bulletin, No.16, p. S59. 
%
%  Created by Jim Huntley,  06/06/11
%

function [cdf] = mixpois_cdf(n,lambda,mu,bet)

sum1 = mixpois_pdf(0, lambda, mu, bet);
for jn = 1:n
    sum1 = sum1 + mixpois_pdf(jn, lambda, mu, bet);
end
cdf = sum1;

return