% mixpoislog_cdf.m - compute Mixed Poisson Lognormal Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.324, 2005.                 
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = mixpoislog_cdf(n,a)

sum1 = mixpoislog_pdf(0, a);
for jn = 1:n
    sum1 = sum1 + mixpoislog_pdf(jn, a);
end
cdf = sum1;

return



