% modfelix_cdf.m - compute Modified Felix Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%  Created by:  Jim Huntley,  11/20/08.
%

function [cdf] = modfelix_cdf(n, lambda, theta)

sum1 = modfelix_pdf(0, lambda, theta);
for jn = 2:2:n
    sum1 = sum1 + modfelix_pdf(jn, lambda, theta);
end
cdf = sum1;

return



