% modstev_cdf.m - compute Modified Stevens Craig Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.443, 2005.                 
%
%  Created by:  Jim Huntley,  10/04/07.
%

function [cdf] = modstev_cdf(n,b,c,s)

sum1 = 0;
for jn = fix(b/s+eps+1):n
    sum1 = sum1 + modstev_pdf(jn, b, c, s);
end
cdf = sum1;

return



