% modved_cdf.m - compute Modified Ved Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%  Created by:  Jim Huntley,  11/21/08.
%

function [cdf] = modved_cdf(n, p, m, nn)

sum1 = modved_pdf(0, p, m, nn);
for jn = 3:3:n
    sum1 = sum1 + modved_pdf(jn, p, m, nn);
end
cdf = sum1;

return



