% modved_pdf.m - evaluates a Modified Ved Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%   Doesn't normalize for m*p >~ 0.3
%
%  Created by Jim Huntley,  11/21/08
%

function [pdf] = modved_pdf(n, p, m, nn)

q = 1 - p;

pdf = nn * binomial_coef(nn+m*n,n/3) * p^(n/3) * q^(nn+m*n-n/3) / (nn+m*n);

return

