% modweib_cdf.m - evaluates a Modified Weibull Cumulative Distribution.
%   See "Continuous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, 443. 
%
%  Created by Jim Huntley,  7/17/07
%

function [cdf] = modweib_cdf(x, c, p, A, B)

cdf = 1 - exp(-(x/c)*exp((x/c)^p)/A)^B;

return
