% morse_cdf.m - compute Morse Cumulative Distribution Function.
%   See "Steady-State Markov Chain models for Certain q-confluent Hypergeometric 
%   Distributions", A.W. Kemp, Journal of Stat. Planning and Inference", 
%   vol.135, 2005, p.107.                 
%
%  Created by:  Jim Huntley,  02/19/09.
%

function [cdf] = morse_cdf(n,lambda,q)

sum1 = morse_pdf(0, lambda,q);
for jn = 1:n
    sum1 = sum1 + morse_pdf(jn, lambda,q);
end
cdf = sum1;

return

