% moyal_pdf.m - evaluates a Moyal Probability Density.
%   See "Handbook on Statistical Distributions for Experimentalists", C. Walck, 5/22/01, p. 91.
%
%  Created by Jim Huntley,  8/25/04
%

function [pdf] = moyal_pdf(x, mu, sigma)

pdf = exp(-0.5*((x-mu)/sigma+exp(-(x-mu)/sigma))) / sqrt(2*pi);

return