% multinom_cdf.m - compute Factorial Multinomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz, 
%   J. Wiley, 2005, p.552.
%
%  Created by:  Jim Huntley,  03/11/09.
%

function [cdf] = multinom_cdf(n, sp1, nn, N)

sum1 = multinom_pdf(0, sp1, nn, N);
for jn = 1:n
    sum1 = sum1 + multinom_pdf(jn, sp1, nn, N);
end
cdf = sum1;

return



