% multout_cdf.m - compute Multiplier Output Cumulative Distribution Function.
%   See "The Probability Distribution for the Filtered Output 0f a Multiplier ...",
%   D.G. Lampard, IRE Trans. Information Theory, March, 1956, p.4.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  01/07/08.
%

function [cdf] = multout_cdf(x,xmin,psi0,xmax)

sx = size(x,2);
pdf = multout_pdf(x,xmin,psi0,xmax);

for jz = 1:sx
    if(jz <= 2)
        cdf(jz) = trapz(pdf(1:jz));
    elseif(jz > 2)
        cdf(jz) = simps(pdf(1:jz));
    end
end

return



