% mxm1_cdf.m - compute MxM1 Queue-Size Cumulative Distribution Function.
%   See "Measures of the Potential for Load Sharing in Distributed
%   Computing Systems", M. G. Shriram and M. Singhal, IEEE Trans on
%   Software Engineering, Vol. 21, No. 5, May 1995.
%
%  Created by:  Jim Huntley,  10/24/06.
%

function [cdf] = mxm1_cdf(n, rho, alpha)

sum1 = mxm1_pdf(0, rho, alpha);
for jn = 1:n
    sum1 = sum1 + mxm1_pdf(jn, rho, alpha);
end
cdf = sum1;
    
return



