% mxm1_pdf.m - evaluates an Mx/M/1 Queue-Size Probability Density.
%   See "Measures of the Potential for Load Sharing in Distributed
%   Computing Systems", M. G. Shriram and M. Singhal, IEEE Trans on
%   Software Engineering, Vol. 21, No. 5, May 1995.
%
%   Created by: J. Huntley, 10/24/06
%
%   Inputs: See Initializations.
%

function [pdf] = mxm1_pdf(n, rho, alpha)

omrho = 1 - rho;
omalp = 1 - alpha;

% Estimate and plot PDF.
pdf = omrho;
if(n > 0)
    pdf = omrho * omalp * rho * (alpha+omalp*rho)^(n-1);
end

return;
    