% nadarajah_cdf.m - evaluates an Nadarajah Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of CDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = nadarajah_cdf(x, a, b, c, d)

cdf = 1 - exp(-a.*x.^b.*(exp(c.*x.^d)-1));

return

