% nadarajah_pdf.m - evaluates an Nadarajah Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = nadarajah_pdf(x, a, b, c, d)

pdf = (a.*b.*x.^(b-1).*(exp(c.*x.^d)-1) + ...
       a.*c.*d.*x.^b.*x.^(d-1).*exp(c.*x.^d)) ./ ...
       exp(a.*x.^b.*(exp(c.*x.^d)-1));

return

