% nakaq_cdf.m - compute Nakagami-q Cumulative Distribution Function.
%   See "The Problem of the Fading Model Selection", 
%   M. A. Teneda et al., Tokyo Institute of Technology, IEICE Trans. Comm., 
%   Vol E84-B, No.3, March 2001. .            
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/18/06.
%

function [cdf] = nakaq_cdf(x,sigma,q)

b = (1-q^2) / (1+q^2);
U = x .* (1-b^2) .* sigma;
W = U .* sqrt(1-b^2);
sqsum = sqrt(U+W);
sqdif = sqrt(U-W);

q1 = marcumq(sqsum,sqdif);
q2 = marcumq(sqdif,sqsum);

cdf = 2 -(q1 + q2);

return



