% nandi_cdf.m - compute Nandi (Generalized Poisson) Cumulative Distribution Function.
%   See "Some Aspects of a Sub-Class of Modified Power Series Distributions",
%   S. Chakraborty, Dibrugargh U., http://interstat.statjournals.net/YEAR/2006/articles/0604001.pdf                 
%
%  Created by:  Jim Huntley,  01/09/08

function [cdf] = nandi_cdf(n,a,s,z)

sum1 = nandi_pdf(0, a, s, z);
for jn = 1:n
    sum1 = sum1 + nandi_pdf(jn, a, s, z);
end
cdf = sum1;

return



