% naor_cdf.m - compute Naor Cumulative Distribution Function.
%   See "Uniform Asymptotics of Some Abell Sums ...", H-K Hwang, web.
%
%  Created by:  Jim Huntley,  08/23/04.
%

function [cdf] = naor_cdf(n, nn)

sum1 = naor_pdf(0, nn);
for jn = 1:n
    sum1 = sum1 + naor_pdf(jn, nn);
end
cdf = sum1;
    
return



