% nbinnbin_cdf.m - compute Negative Binomial Negative Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.334, 2005.                 
%
%  Created by:  Jim Huntley,  07/20/07.
%

function [cdf] = nbinnbin_cdf(n, Q, QQ, k, M)

sum1 = nbinnbin_pdf(0, Q, QQ, k, M);
for jn = 1:n
    sum1 = sum1 + nbinnbin_pdf(jn, Q, QQ, k, M);
end
cdf = sum1;

return



