%nbinpois_cdf.m - compute Negative Binomial Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.334, 2005.                 
%
%  Created by:  Jim Huntley,  07/24/07.
%

function [cdf] = nbinpois_cdf(n, Q, k, M)

sum1 = nbinpois_pdf(0, Q, k, M);
for jn = 1:n
    sum1 = sum1 + nbinpois_pdf(jn, Q, k, M);
end
cdf = sum1;

return



