% nc_chisq_cdf.m evaluates a non- central Chi-squared Cumulative Distribution.
% See Proakis, "Digital Communications", pp. 42-45.
%
%  Created by Jim Huntley,  05/29/02
%

function [cdf] = nc_chisq_cdf(x, n, s, sigma)

mm = n/2;  %must be an integer.
a = s / sigma;
b = sqrt(x) / sigma;
cdf = 1 - marcumq(a, b, mm);

return