% ncbet2_pdf.m - evaluates a Type 2 Non-Central Beta Probability Density.
%   See "A Note on the Noncentral Beta Distribution Function", R. Chattamvelli,
%   The American Statiticain, v.49, No.2, p.231, May 2005. 
%
%  Created by Jim Huntley,  10/18/11
%

function [pdf] = ncbet2_pdf(x, a, b, lambda)

cdf = ncbet2_cdf(x, a, b, lambda);
dx = x(2)-x(1);
pdf = filter(-smooth_diff(4),1,cdf)/dx;  

return