% nfctrnbin_cdf.m - compute Neyman A Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.420, 2005.                 
%
%  Created by:  Jim Huntley,  07/25/07.
%

function [cdf] = nfctrnbin_cdf(n, k, theta, nn)

sum1 = 0;
for jn = nn:n
    sum1 = sum1 + nfctrnbin_pdf(jn, k, theta, nn);
end
cdf = sum1;

return



