% ncgamma_cdf.m - compute Non-Central Gamma Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", v.2, Johnaon, Kotz, and Balakrishnan,
%   J. Wiley, 1995, p.456.
%
%   Vector Form of CDF !!!
%
%  Created by Jim Huntley,  7/30/07
%

function [cdf] = ncgamma_cdf(x,alpha,theta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@ncgamma_pdf,minx,x(jz),tol,trace,alpha,theta);
end

return



