% negbin2_cdf.m - compute Negative Binomial 2 Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.483, 2005.                 
%
%  Created by:  Jim Huntley,  07/17/07.
%

function [cdf] = negbin2_cdf(n, alpha, lambda)

sum1 = negbin2_pdf(0, alpha, lambda);
for jn = 1:n
    sum1 = sum1 + negbin2_pdf(jn, alpha, lambda);
end
cdf = sum1;

return



