% negbindel_cdf.m - compute negative binomial delta Cumulative Distribution Function.
%   See "The Branching Process Method in Lagrange ...", L. Devroye, web.
%
%  Created by Jim Huntley,  8/26/04.
%

function [cdf] = negbindel_cdf(i, m, p, k)

sum1 = negbindel_pdf(k, m, p, k);
for ji = k+1:i
    sum1 = sum1 + negbindel_pdf(ji, m, p, k);
end
cdf = sum1;
    
return



