% negfacmulti_cdf.m - compute Negative Factorial Multinomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.462, 2005.                  
%
%  Created by:  Jim Huntley,  10/17/07.
%

function [cdf] = negfacmulti_cdf(n,sp1,k,N)

sum1 = negfacmulti_pdf(0,sp1,k,N);
for jn = 1:n
    sum1 = sum1 + negfacmulti_pdf(jn,sp1,k,N);
end
cdf = sum1;

return



