% neghyper2_pdf.m - evaluates a Negative Hypergeometric Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, 2005, 254. 
%
%  Created by Jim Huntley,  7/23/07
%

function [pdf] = neghyper2_pdf(n, v, w, nn)

%persistent dterm

%if(isempty(dterm))
    dterm = binomial_coef(v+w-1+nn,nn);
%end

pdf = binomial_coef(v+n,n) * binomial_coef(w+nn-n,nn-n) / dterm;

return