% neghyper_pdf.m - evaluates a Negative Hypergeometric Probability Density.
% "Recursions for Compound Distributions",
%     H. Panjer & G. Wilmot, ASTIN Bull, Vol. 13, No. 1, p. 1.
%
%  Created by Jim Huntley,  02/26/07
%

function [pdf] = neghyper_pdf(n, N, a, b)

pdf = binomial_coef(a+n-1,n) * binomial_coef(b+N-n-1,N-n) / ...
      binomial_coef(a+b+N-1,N);

return


