% negmulti_cdf.m - compute Negative Multinomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.462, 2005.                  
%
%  Created by:  Jim Huntley,  10/17/07.
%

function [cdf] = negmulti_cdf(n,sp1,k,nn,p)

sum1 = negmulti_pdf(0,sp1,k,nn,p);
for jn = 1:n
    sum1 = sum1 + negmulti_pdf(jn,sp1,k,nn,p);
end
cdf = sum1;

return



