% nexceed_cdf.m - compute Number of Exceedances Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.255, 2005.                 
%
%  Created by:  Jim Huntley,  8/03/07.
%

function [cdf] = nexceed_cdf(n,m,r,nn)

sum1 = nexceed_pdf(0, m, r, nn);
for jn = 1:n
    sum1 = sum1 + nexceed_pdf(jn, m, r, nn);
end
cdf = sum1;

return



