% thomas_cdf.m - compute Neyman Type A Cumulative Distribution Function.
%   See "Quantitative Spatial Analysis", R. Reich & R. Davis, CSU, 2000, web.
%
%  Created by:  Jim Huntley,  04/08/05.
%

function [cdf] = neyman_cdf(n, m1, m2)

sum1 = neyman_pdf(0, m1, m2);
for jn = 1:n
    sum1 = sum1 + neyman_pdf(jn, m1, m2);
end
cdf = sum1;
    
return



