% neypois_cdf.m - compute Neyman A Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.420, 2005.                 
%
%  Created by:  Jim Huntley,  07/25/07.
%

function [cdf] = neypois_cdf(n, lambda, phi, rho)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + neypois_pdf(jn, lambda, phi, rho);
end
cdf = sum1;

return



