% nggsd_cdf.m - evaluates a New Generalized Geometric Series Cumulative Distribution.
%   See "New Generalizations of Generalized Geometric Series Distributions",   
%   A. Hassan, African J. of Math and Comp Sci Research, vol.3, no.5, May, 2010. 
%
%  Created by Jim Huntley,  08/29/11
%

function [cdf] = nggsd_cdf(n, alpha, bet, jj, nmin, nmax)

sum1 = nggsd_pdf(0, alpha, bet, jj, nmin, nmax);
for jn = 1:n
    sum1 = sum1 + nggsd_pdf(jn, alpha, bet, jj, nmin, nmax);
end
cdf = sum1;

return