% normlapl_cdf.m - compute Normalized Laplace Cumulative Distribution Function.
%   See "Brownian-Laplace Motion and its use in Financial Modeling", 
%   W. J. Reed, U. Victoria, Jan., 2005.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/20/06.
%

function [cdf] = normlapl_cdf(x,alpha,bet,sigma,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@normlapl_pdf,minx,x(jz),tol,trace,alpha,bet,sigma,mu);
end

return



