% norrecgam_cdf.m - computes a Normal Reciprocal Gamma Cumulative Distribution.
%   See "Garch Modelling with Skewed Conditional Distributions",
%   J. Miettinen, U. Helsinki, Aug, 2005 (draft),
%   http://www.valt.helsinki.fi/staff/lanne/workshop05/miettinen.pdf.
%
%   Vector Form of CDF !!!
%
%  Created by Jim Huntley,  1/07/08
%

function [cdf] = norrecgam_cdf(x, lambda, alpha, delta, mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@norrecgam_pdf,minx,x(jz),tol,trace,lambda,alpha,delta,mu);
end

return



