% nsuccess_cdf.m - compute Number of Success Runs of Length K (or longer) 
%                   Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.255, 2005.                 
%
%  Created by:  Jim Huntley,  8/03/07.
%

function [cdf] = nsuccess_cdf(n,p,k,nn)

sum1 = nsuccess_pdf(0, p, k, nn);
for jn = 1:n
    sum1 = sum1 + nsuccess_pdf(jn, p, k, nn);
end
cdf = sum1;

return



