% ogive_cdf.m - compute Ogive Cumulative Distribution Function.
%   See "Dataplot Reference Manual", Vol.1, Aux., NIST.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  04/06/09.
%

function [cdf] = ogive_cdf(x,nn,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@ogive_pdf,minx,x(jz),tol,trace,nn,a,b);
end

return



