% okcorral_cdf.m - compute an OK Corral Urn Cumulative Distribution Function.
%   "Analysis of Some Exactly Solvable Diminishing Urn Problems",
%   H-K. Hwang et al, Formal Power Series and Algeraic Combinatorics, Tainjin, 2007.
%
%  Created by Jim Huntley,  03/05/07
%

function [cdf] = okcorral_cdf(n, nn, m)

sum = 0;
for jn = 1:n
    sum = sum + okcorral_pdf(jn, nn, m);
end
cdf = sum;

return



