% otter_cdf.m - compute Otter Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.
%
%   Doesn't normalize for p <~0.5 !!!
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = otter_cdf(n,p)

sum1 = 0;
for jn = 1:2:n
    sum1 = sum1 + otter_pdf(jn, p);
end
cdf = sum1;

return



