% overunder_cdf.m - compute Over-Underdispersed Cumulative Distribution Function.
%   See "Steady-State Markov Chain models for Certain q-confluent Hypergeometric 
%   Distributions", A.W. Kemp, Journal of Stat. Planning and Inference", 
%   vol.135, 2005, p.107.                 
%
%  Created by:  Jim Huntley,  03/05/09.
%

function [cdf] = overunder_cdf(n, lambda, q)

sum1 = overunder_pdf(0, lambda, q);
for jn = 1:n
    sum1 = sum1 + overunder_pdf(jn, lambda, q);
end
cdf = sum1;

return

