% p7birnsan_pdf.m - evaluates a pearson 7 Birnbaum Sanders Probability Density.
%   See "A New Family of Life Distributions Based on Birnbaum-Sanders
%   Distribution", J.A. Diaz-Garcia and V. Leiva-Sanchez,
%   http://www.cimat.mx/reportes/enlinea/I-02-17.pdf.
%
%   Vector Form of PDF!!!
%
%   Created by Jim Huntley,  12/10/09
%

function [pdf] = p7birnsan_pdf(x, alpha, bet, q, r)

%persistent coef

%if(isempty(coef))
    coef = exp(gammaln(q) - (log(2*alpha) + 0.5*log(r*pi*bet) + gammaln(q-0.5)));
%end

argx = (x./bet + bet./x - 2);
pdf = coef .* (x+bet) ./ (x.^1.5 .* (1+argx./(r*alpha^2)).^q);

return
