% parabolic_cdf.m - evaluates a Parabolic Cumulative Distribution.
%   See "Computer Generation of Statistical Distributions", R. Saucier,
%   Army Research Laboratory, March, 2000.
%
%  Created by Jim Huntley,  07/20/06
%

function [cdf] = parabolic_cdf(x, a, b)

cdf = 0.25 * (a+2*b-x) * (x-a+b)^2 / b^3;

return