% pareto3_cdf.m - evaluates a Pareto III Cumulative Distribution.
%   See "Continunous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.575.
%
%   Creadted by:    J. Huntley,     08/05/07
%

function [cdf] = pareto3_cdf(x, a, b, C)

cdf = 1 - C * exp(-b*x) / (x+C)^a;

return