% pareto3_pdf.m - evaluates a Pareto III Probability Density.
%   See "Continunous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.575.
%
%   Creadted by:    J. Huntley,     08/05/07
%

function [pdf] = pareto3_pdf(x, a, b, C)

pdf = C^a * exp(-b*x) * (a+b*(x+C)) / (x+C)^(a+1);
      
return