% pareto4_cdf.m - evaluates a Pareto IV Cumulative Distribution.
%   See "Continunous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.576.
%
%   Creadted by:    J. Huntley,     08/05/07
%

function [cdf] = pareto4_cdf(x, mu, alpha, gam, sigma)

cdf = 1 - (1 + ((x-mu)/sigma)^1/gam)^(-alpha);

return