% pareto4_pdf.m - evaluates a Pareto IV Probability Density.
%   See "Continunous Univariate Distributions", v.1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.576.
%
%   Creadted by:    J. Huntley,     08/05/07
%

function [pdf] = pareto4_pdf(x, mu, alpha, gam, sigma)

%persistent coef

%if(isempty(coef))
    coef = alpha / (gam*sigma);
%end

pdf = coef * ((x-mu)/sigma)^(1/gam-1) * (1 + ((x-mu)/sigma)^(1/gam))^(-alpha-1);
      
return