% paspois_cdf.m - compute Pascal poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.244, 2005.                 
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = paspois_cdf(n,mu,a,c)

sum1 = paspois_pdf(0, mu, a, c);
for jn = 1:n
    sum1 = sum1 + paspois_pdf(jn, mu, a, c);
end
cdf = sum1;

return



