% pearson3_cdf.m - compute Pearson III Cumulative Distribution Function.
%                  See "Methodes Probabilisties en Genie Civil", Chap. 6..
%
%                  Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/02/05.
%

function [cdf] = pearson3_cdf(x,lambda,bet,epsilon)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@pearson3_pdf,minx,x(jz),tol,trace,lambda,bet,epsilon);
end

return



