% pearson5_cdf.m - compute Pearson V Cumulative Distribution Function.
%               See FORTRAN code: prob_f90, John Burkhardt, 12/19/99.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/11/04.
%

function [cdf] = pearson5_cdf(x,a,b,c)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@pearson5_pdf,minx,x(jz),tol,trace,a,b,c);
end

return



