% pearson6_cdf.m - compute Pearson VI Cumulative Distribution Function.
% See "Non-Uniform Random Deviates", L. Devroye, McGill, p.427, web.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/11/04.
%

function [cdf] = pearson6_cdf(x,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@pearson6_pdf,minx,x(jz),tol,trace,a,b);
end

return



