% pearson8_cdf.m - evaluates a Pearson VIII Cumulative Distribution.
%   See "Non-Uniform Random Deviates", L. Devroye, Chapter 9.
%
%  Created by Jim Huntley,  08/18/06
%

function [cdf] = pearson8_cdf(x, a, b)

c = (1-b)/a;
if(b == 1)
    cdf = c* a * log(1+x/a);
elseif(b < 1)
    cdf = -c * a * (1+x/a)^(-b+1) / (b-1);
end

return