% pebl_cdf.m - compute Poisson Exponential Binomial Limit Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.509, 2005.                 
%
%  Created by:  Jim Huntley,  08/21/07.
%

function [cdf] = pebl_cdf(n,omega)

sum1 = pebl_pdf(0,omega);
for jn = 1:n
    sum1 = sum1 + pebl_pdf(jn,omega);
end
cdf = sum1;

return



