% perksym_cdf.m - compute Perks Symmetrical Cumulative Distribution Function.
%   See "Generating NonUnifom Random Deviates", Chap. 9, L. Devroye.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/07/06.
%

function [cdf] = perksym_cdf(x,a)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@perksym_pdf,minx,x(jz),tol,trace,a);
end

return



