% phani_cdf.m - evaluates a Phani Weibull Cumulative Distribution.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of CDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = phani_cdf(x, a, b, bet, lambda)

cdf = 1 - exp(-lambda.*((x-a)./(b-x)).^bet);

return

