% phani_pdf.m - evaluates a Phani Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = phani_pdf(x, a, b, bet, lambda)

pdf = -(bet.*lambda.*((a-x)./(b-x).^2 - 1./(b-x)).*(-(a-x)./(b-x)).^(bet-1)) ./ ...
        exp(lambda.*(-(a-x)./(b-x)).^bet);

return

