% pigam_cdf.m - compute Poisson Inverse Gamma Cumulative Distribution Function.
%   See "On recursive Evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   Scand. Actuarial J., vol.2, p.114, 1993.                 
%
%  Created by:  Jim Huntley,  05/11/09.
%

function [cdf] = pigam_cdf(n,mu,alpha)

sum1 = pigam_pdf(0,mu,alpha);
for jn = 1:n
    sum1 = sum1 + pigam_pdf(jn,mu,alpha);
end
cdf = sum1;

return



