% planck_cdf.m - compute Plank Cumulative Distribution Function.
%               See FORTRAN code: prob_f90, John Burkhardt, 12/19/99.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/11/04.
%

function [cdf] = planck_cdf(x,A,B)

% Integrate PDF to get CDF.
pdf = planck_pdf(x,A,B);

for jz = 1:size(x,2)
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return



