% poisbesl_int.m - tests a Poisson Bessel Probability Density.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.64, 1984.
%
%  Calls:   'LaguerreGen.m'
%
%  Created by Jim Huntley,  09/15/09
%

function [pdf] = poisbesl_int_pdf(n, a, b, t, p)

%persistent arg coef

%if(isempty(coef))
    arg = 0.25 * b^2 / (a+t);
    coef = a^p * (a+t)^(-p) * exp(-arg) * exp(b^2/(4*a));
%end

pdf = coef * (a+t)^(-n) * t^n * abs(polyval(LaguerreGen(n,p-1),arg));    

return