% poisbet_cdf.m - compute Poisson Beta mix Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.368, 2005.                 
%
%  Created by:  Jim Huntley,  08/17/07.
%

function [cdf] = poisbet_cdf(n,phi,a,b)

sum1 = poisbet_pdf(0, phi, a, b);
for jn = 1:n
    sum1 = sum1 + poisbet_pdf(jn, phi, a, b);
end
cdf = sum1;

return



