% poisbeta2_cdf.m - compute Poisson Beta 2 Cumulative Distribution Function.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxford J. of Math. Sciences, p.147, 2001.                 
%
%  Created by:  Jim Huntley,  04/16/09.
%

function [cdf] = poisbeta2_cdf(n,m,nu)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + poisbeta2_pdf(jn,m,nu);
end
cdf = sum1;

return



