% poisbin_cdf.m - compute Poisson Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.368, 2005.                 
%
%  Created by:  Jim Huntley,  08/17/07.
%

function [cdf] = poisbin_cdf(n,theta,q,nn)

sum1 = poisbin_pdf(0,theta,q,nn);
for jn = 1:n
    sum1 = sum1 + poisbin_pdf(jn,theta,q,nn);
end
cdf = sum1;

return



