% poisbinmix_cdf.m - compute Poisson Binomial Mix Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.371, 2005.                 
%
%  Created by:  Jim Huntley,  08/21/07.
%

function [cdf] = poisbinmix_cdf(n,phi,q,nn)

sum1 = poisbinmix_pdf(0,phi,q,nn);
for jn = 1:n
    sum1 = sum1 + poisbinmix_pdf(jn,phi,q,nn);
end
cdf = sum1;

return



