% poisgam_int_cdf.m - computes a discrete Poisson Chi Cumulative Distribution Function.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%  Created by Jim Huntley,  09/22/09
%

function [cdf] = poischi_int_cdf(n,b,t,p)

sum1 = poischi_int_pdf(0, b, t, p);
for jn = 1:n
    sum1 = sum1 + poischi_int_pdf(jn, b, t, p);
end
cdf = sum1;

return



