% poisdiff_cdf.m - compute Poisson Difference Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = poisdiff_cdf(n,lambda1,lambda2)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + poisdiff_pdf(jn,lambda1,lambda2);
end
cdf = sum1;

return



