% poisdlog_cdf.m - compute Poisson Discrete Logarithmic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, & Kotz, 
%   J. Wiley, 2005, 484.    
%
%  Created by:  Jim Huntley,  09/05/07.
%

function [cdf] = poisdlog_cdf(n, alpha, rho)

sum1 = poisdlog_pdf(0, alpha, rho);
for jn = 1:n
    sum1 = sum1 + poisdlog_pdf(jn, alpha, rho);
end
cdf = sum1;

return



