% poisf_cdf.m - compute Poisson F Cumulative Distribution Function.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxford J. of Math. Sciences, p.147, 2001.                 
%
%  Created by:  Jim Huntley,  04/16/09.
%

function [cdf] = poisf_cdf(n,k1,k2)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + poisf_pdf(jn,k1,k2);
end
cdf = sum1;

return



