% poisgam_cdf.m - compute Poisson Gamma Cumulative Distribution Function.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  06/15/09.
%

function [cdf] = poisgam_cdf(x,b,n,p)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@poisgam_pdf,minx,x(jz),tol,trace,b,n,p);
end

return



