% poisgam_int_cdf.m - computes a discrete Poisson Gamma Cumulative Distribution Function.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%  Created by Jim Huntley,  09/21/09
%

function [cdf] = poisgam_int_cdf(n,b,t,p)

sum1 = poisgam_int_pdf(0, b, t, p);
for jn = 1:n
    sum1 = sum1 + poisgam_int_pdf(jn, b, t, p);
end
cdf = sum1;

return



