% poisgam_int_pdf.m - evaluates a discrete Poisson Gamma Probability Density.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%  Created by Jim Huntley,  09/21/09
%

function [pdf] = poisgam_int_pdf(n, b, t, p)

%persistent coef

%if(isempty(coef))
    coef = p*log(b) - gammaln(p);
%end

pdf = exp(coef + n*log(t) + gammaln(n+p) - ((n+p)*log(b+t) + gammaln(n+1)));

return