% poiskatz_cdf.m - compute Poisson Katz Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.421, 2005.                 
%
%  Created by:  Jim Huntley,  08/22/07.
%

function [cdf] = poiskatz_cdf(n,lambda,alpha,bet,nmax)

sum1 = poiskatz_pdf(0,lambda,alpha,bet,nmax);
for jn = 1:n
    sum1 = sum1 + poiskatz_pdf(jn,lambda,alpha,bet,nmax);
end
cdf = sum1;

return



