% poislgn_cdf.m - evaluates a Poisson Lognormal Cumulative Distribution.
%   See "Lognormal Distributions Theory and Applications", ed. E.L. Crow,  
%   K. Shimizu, p.195, Dekker, 1988. 
%
%  Created by Jim Huntley,  08/22/11
%

function [cdf] = poislgn_cdf(n, mu, sigma)

sum1 = poisslgn_pdf(0, mu, sigma);
for jn = 1:n
    sum1 = sum1 + poisslgn_pdf(jn, mu, sigma);
end
cdf = sum1;

return