% poislind_cdf.m - compute Poisson Lindley Cumulative Distribution Function.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxfors J. of Math. Sciences, p.147, 2001.                
%
%  Created by:  Jim Huntley,  11/15/06.
%

function [cdf] = poislind_cdf(n,alpha)

sum1 = poislind_pdf(0,alpha);
for jn = 1:n
    sum1 = sum1 + poislind_pdf(jn,alpha);
end
cdf = sum1;

return



