% poislog_cdf.m - compute Poisson Logarithmic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.372, 2005.                 
%
%  Created by:  Jim Huntley,  08/27/07.
%

function [cdf] = poislog_cdf(n,lambda,phi)

sum1 = poislog_pdf(0,lambda,phi);
for jn = 1:n
    sum1 = sum1 + poislog_pdf(jn,lambda,phi);
end
cdf = sum1;

return



