% poislomax_cdf.m - compute Poisson Lomax Cumulative Distribution Function.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxford J. of Math. Sciences, p.147, 2001.                 
%
%  Created by:  Jim Huntley,  04/16/09.
%

function [cdf] = poislomax_cdf(n,c,nn)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + poislomax_pdf(jn,c,nn);
end
cdf = sum1;

return



