% poislomax_pdf.m - evaluates a Poisson Lomax Probability Density.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxford J. of Math. Sciences, p.147, 2001.
%
%   Calls:  'KummerU.m'
%
%  Created by Jim Huntley,  04/16/09
%

function [pdf] = poislomax_pdf(n, c, nn)

a = n + 1;
b = n + 1 - c;
z = nn;
U = KummerU(a, b, z);
pdf = c * nn^n * real(U);  

return