% poismix_cdf.m - compute Poisson Mixture Cumulative Distribution Function.
%   See "A Unified Approach to Some Mixed Poisson Distributions", 
%   M.E. Ghitany and S.A. Al-Awadhi, Tamsui Oxford J. of Math. Sciences, p.147, 2001.                 
%
%  Created by:  Jim Huntley,  04/16/09.
%

function [cdf] = poismix_cdf(n,lambda,alpha,m,nn)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + poisdiff_pdf(jn,lambda,alpha,m,nn);
end
cdf = sum1;

return



