% poisordk_cdf.m - compute Poisson Order k Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.460, 2005.                  
%
%  Created by:  Jim Huntley,  09/05/07.
%

function [cdf] = poisordk_cdf(n,k,lambda)

sum1 = poisordk_pdf(0,k,lambda);
for jn = 1:n
    sum1 = sum1 + poisordk_pdf(jn,k,lambda);
end
cdf = sum1;

return



