% poispar_cdf.m - compute Poisson (Generalized) Pareto Cumulative Distribution Function.
%   See "On recursive Evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   Scand. Actuarial J., vol.2, p.114, 1993.                 
%
%  Created by:  Jim Huntley,  04/22/09.
%

function [cdf] = poispar_cdf(n,mu,alpha,bet)

sum1 = poispar_pdf(0,mu,alpha,bet);
for jn = 1:n
    sum1 = sum1 + poispar_pdf(jn,mu,alpha,bet);
end
cdf = sum1;

return



