% poispas_cdf.m - compute Poisson Pascal Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.414, 2005.                 
%
%  Created by:  Jim Huntley,  09/06/07.
%

function [cdf] = poispas_cdf(n,theta,Q,k,nmax)

sum1 = poispas_pdf(0,theta,Q,k,nmax);
for jn = 1:n
    sum1 = sum1 + poispas_pdf(jn,theta,Q,k,nmax);
end
cdf = sum1;

return



