% poispear3_int_cdf.m - computes a discrete Poisson Pearson3 Cumulative Distribution Function.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%  Created by Jim Huntley,  09/22/09
%

function [cdf] = poispear3_int_cdf(n,a,b,t,p)

sum1 = poispear3_int_pdf(0, a, b, t, p);
for jn = 1:n
    sum1 = sum1 + poispear3_int_pdf(jn, a, b, t, p);
end
cdf = sum1;

return



