% poispois_cdf.m - compute Poisson-Poisson Cumulative Distribution Function.
%   See "The Branching Process Method in Lagrange Random Variate Generation", L. Devroye.
%
%  Created by:  Jim Huntley,  05/19/05.
%

function [cdf] = poispois_cdf(n, lambda, theta)

sum1 = poispois_pdf(0, lambda, theta);
for jn = 1:n
    sum1 = sum1 + poispois_pdf(jn, lambda, theta);
end
cdf = sum1;
    
return



