% poispoly_cdf.m - compute Poisson Polynomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.487, 2005.                 
%
%  Created by:  Jim Huntley,  09/11/07.
%

function [cdf] = poispoly_cdf(n,theta,a)

sum1 = poispoly_pdf(0,theta,a);
for jn = 1:n
    sum1 = sum1 + poispoly_pdf(jn,theta,a);
end
cdf = sum1

return



