% poisshpar_cdf.m - compute Poisson Shifted Pareto Cumulative Distribution Function.
%   See "Laplace Transforms, Mellin Transforms and Mixed Poisson Processes", 
%   P. Albrecht, Scand. Actuarial J., vol.1, p.58, 1984.
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  06/15/09.
%

function [cdf] = poisshpar_cdf(x,mu,n,alpha)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@poisshpar_pdf,minx,x(jz),tol,trace,mu,n,alpha);
end

return



