% poistgam_cdf.m - compute Poisson Truncated Gamma Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.369, 2005.                 
%
%  Created by:  Jim Huntley,  09/11/07.
%

function [cdf] = poistgam_cdf(n,a,b,p,t)

sum1 = poistgam_pdf(0,a,b,p,t);
for jn = 1:n
    sum1 = sum1 + poistgam_pdf(jn,a,b,p,t);
end
cdf = sum1;

return



