% poistnorm_cdf.m - compute Poisson Truncated Normal Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.398, 2005.                 
%
%  Created by:  Jim Huntley,  09/18/07.
%

function [cdf] = poistnorm_cdf(n,mu,sigma,nn)

sum1 = poistnorm_pdf(0,mu,sigma,nn);
for jn = 1:n
    sum1 = sum1 + poistnorm_pdf(jn,mu,sigma,nn);
end
cdf = sum1;

return



