% polyaurn_cdf.m - compute Polya Urn Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.258, 2005.                 
%
%  Created by:  Jim Huntley,  09/19/07.
%

function [cdf] = polyaurn_cdf(n,nn,w,b,c)

sum1 = polyaurn_pdf(0,nn,w,b,c);
for jn = 1:n
    sum1 = sum1 + polyaurn_pdf(jn,nn,w,b,c);
end
cdf = sum1;

return



