% powertail_cdf.m - evaluates a Power Tail Cumulative Distribution.
%   See "Performance of Class-Based Queues with Self-Similar Traffic"
%   J. Orellana et al., University College London.
%
%  Created by Jim Huntley,  07/24/06
%
%

function [y] = powertail_cdf(x, theta, gam, N);

G = (1-theta) / (1 - theta^N);
sum = 0;

for jn = 1:N
    sum = sum + theta^(jn-1) * exp(-M*x/gam^(jn-1));
end
y = 1 - G * sum;

return