% powlognorm_pdf.m - evaluates a Power Lognormal Probability Density.
%   See "Dataplot Reference Manual, PLNPDF, NIST, 4/4/3.
%
%  Created by Jim Huntley,  8/04/04
%

function [pdf] = powlognorm_pdf(x, p, sigma, loc, scale)

arg = (x-loc)/scale;
pdf = (p/(arg*sigma))*gaus_pdf(log(arg),0,sigma)*(gaus_cdf(-log(arg),0,sigma))^(p-1);

return