% qb_cdf.m - compute Quasi Binomial Cumulative Distribution Function.
%   See "Some Aspects of a Sub-Class of Modified Power Series Distributions",
%   S. Chakraborty, Dibrugargh U., http://interstat.statjournals.net/YEAR/2006/articles/0604001.pdf                 
%
%  Created by:  Jim Huntley,  01/14/08
%

function [cdf] = qb_cdf(n,p,s,t,phi,nn)

sum1 = qb_pdf(0,p,s,t,phi,nn);
for jn = 1:n
    sum1 = sum1 + qb_pdf(jn,p,s,t,phi,nn);
end
cdf = sum1;

return



