% qbinom1_cdf.m - compute q-Binomial I Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.103, 2005.                 
%
%  Created by:  Jim Huntley,  09/25/07.
%

function [cdf] = qbinom1_cdf(n,theta,lambda,nn)

sum1 = qbinom1_pdf(0,theta,lambda,nn);
for jn = 1:n
    sum1 = sum1 + qbinom1_pdf(jn,theta,lambda,nn);
end
cdf = sum1;

return



