% qbinom22_cdf.m - compute q-Binomial II Cumulative Distribution Function.
%   See "Generalized Poisson Distributions", P. C. Consul, Dekker, 1989,
%   p.28.
%
%  Created by:  Jim Huntley,  09/25/07.
%

function [cdf] = qbinom22_cdf(n,phi,rho,nn)

sum1 = qbinom22_pdf(0,phi,rho,nn);
for jn = 1:n
    sum1 = sum1 + qbinom22_pdf(jn,phi,rho,nn);
end
cdf = sum1;

return



