% qbinomial_cdf.m - compute q-Binomial Cumulative Distribution Function.
%   See "The q-Factorial Moments of Discrete q-Distributions and a Characterization
%   of the Euler Distribution", Ch. A. Charalambides and N. Papdatos, U. Athens.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = qbinomial_cdf(n, nn, q, theta)

sum1 = qbinomial_pdf(0, nn, q, theta);
for jn = 1:n
    sum1 = sum1 + qbinomial_pdf(jn, nn, q, theta);
end
cdf = sum1;
    
return



