% qccvii_cdf.m - compute QCCV-II Cumulative Distribution Function.
%   See "Steady-State Markov Chain models for Certain q-confluent Hypergeometric 
%   Distributions", A.W. Kemp, Journal of Stat. Planning and Inference", 
%   vol.135, 2005, p.107.                 
%
%  Created by:  Jim Huntley,  02/19/09.
%

function [cdf] = qccvii_cdf(n, eta, q, b)

sum1 = qccvii_pdf(0, eta, q, b);
for jn = 1:n
    sum1 = sum1 + qccvii_pdf(jn, eta, q, b);
end
cdf = sum1;

return

