% qccviii_cdf.m - compute QCCV-III Cumulative Distribution Function.
%   See "Steady-State Markov Chain models for Certain q-confluent Hypergeometric 
%   Distributions", A.W. Kemp, Journal of Stat. Planning and Inference", 
%   vol.135, 2005, p.107.                 
%
%  Created by:  Jim Huntley,  02/19/09.
%

function [cdf] = qccviii_cdf(n, c, q, nn)

sum1 = qccviii_pdf(0, c, q, nn);
for jn = 1:n
    sum1 = sum1 + qccviii_pdf(jn, c, q, nn);
end
cdf = sum1;

return

