% qchuvan_cdf.m - compute q-Chu Vandermode Cumulative Distribution Function.
%   See "Steady-State Markov Chain models for Certain q-confluent Hypergeometric 
%   Distributions", A.W. Kemp, Journal of Stat. Planning and Inference", 
%   vol.135, 2005, p.107.                 
%
%  Created by:  Jim Huntley,  02/23/09.
%

function [cdf] = qchuvan_cdf(n,c,q,tsi)

sum1 = qchuvan_pdf(0,c,q,tsi);
for jn = 1:n
    sum1 = sum1 + qchuvan_pdf(jn,c,q,tsi);
end
cdf = sum1;

return



