% qcontag_cdf.m - compute a q-Eggenberger Polya Urn (q-contafgious) Cumulative Distribution Function.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  03/01/07
%

function [cdf] = qcontag_cdf(n,N,m,s,u,q)

sum = qcontag_pdf(0, N, m, s, u, q);
for jn = 1:n
    sum = sum + qcontag_pdf(jn, N, m, s, u, q);
end
cdf = sum;

return



