% qdefbinom_cdf.m - compute q-Deformed Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.468, 2005.                 
%
%  Created by:  Jim Huntley,  09/25/07.
%

function [cdf] = qdefbinom_cdf(n,q,m,tau)

sum1 = qdefbinom_pdf(0,q,m,tau);
for jn = 1:n
    sum1 = sum1 + qdefbinom_pdf(jn,q,m,tau);
end
cdf = sum1;

return



