% qdisunifr_cdf.m - compute a q-Discrete Uniform Range Cumulative Distribution Function.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  03/02/07
%

function [cdf] = qdisunifr_cdf(n,M,nn,q)

sum = qdisunifr_pdf(0, M, nn, q);
for jn = 1:n
    sum = sum + qdisunifr_pdf(jn, M, nn, q);
end
cdf = sum;

return



