% qhyper1_cdf.m - compute quasi-Hypergeometric (-Polya) Cumulative Distribution Function.
%   See "Sheffer sequences, probability distributions
%    and approximation operators", Craciun and DiBucchianico, 29 Oct, 2004.    
%
%  Created by Jim Huntley,  9/26/07
%

function [cdf] = qhyper1_cdf(n, s, r, m, nn)

sum1 = qhyper1_pdf(0, s, r, m, nn);
for jn = 1:n
    sum1 = sum1 + qhyper1_pdf(jn, s, r, m, nn);
end 
cdf = sum1;

return



