% qnarayana_cdf.m - evaluates a q-Narayana Cumulative Distribution.
%   See "q-Narayana Numbers and the Flag h-Vector of J(2 x n)", Petter Branden, 
%   http://www.math.chalmers.se/Math/Research/Combinatorics/preprints/branden/napo.pdf
%
%  Created by Jim Huntley,  10/28/09
%

function [cdf] = qnarayana_cdf(n,q,k,nmax)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + qnarayana_pdf(jn,q,k,nmax);
end
cdf = sum1;

return



