% qpascal_cdf.m - compute q-Pascal Cumulative Distribution Function.
%   See "The q-Factorial Moments of Discrete q-Distributions and a Characterization
%   of the Euler Distribution", Ch. A. Charalambides and N. Papdatos, U. Athens.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = qpascal_cdf(n, nn, q, theta)

sum1 = qpascal_pdf(nn, nn, q, theta);
for jn = 1:n-nn
    sum1 = sum1 + qpascal_pdf(nn+jn, nn, q, theta);
end
cdf = sum1;
    
return



