% quasibin1_cdf.m - compute Quasi-Binomial I Cumulative Distribution Function.
%   see "Dataplot Reference Manual", QBIPDF, NIST. 
%
%  Created by Jim Huntley,  12/17/07
%

function [cdf] = quasibin1_cdf(n, m, p, phi)

sum1 = quasibin1_pdf(0, m, p, phi);
for jn = 1:n
    sum1 = sum1 + quasibin1_pdf(jn, m, p, phi);
end
cdf = sum1;

return



