% qunif_cdf.m - compute a q-Uniform Cumulative Distribution Function.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  03/01/07
%

function [cdf] = qunif_cdf(n,M,q)

sum = qunif_pdf(0, M, q);
for jn = 1:n
    sum = sum + qunif_pdf(jn, M, q);
end
cdf = sum;

return



