% qunif_pdf.m - evaluates a q-Uniform Probability Density.
%     "q-Probability: I. Basic Discrete Distributions", 
%     B. Kupershmidt, J. Nonlinear Math., vol. 7, No. 1 p.73, 2000.
%
%  Created by Jim Huntley,  03/01/07
%

function [pdf] = qunif_pdf(n, M, q)

x = (q^(M+1) - 1) / (q - 1);
pdf = q^n / x;

return


