%rayleigh_pdf.m - evaluates a Rayleigh Probability Density.
%   See "Digital Coomumications", Proakis, 3rd. Ed., 1995, McGraw-Hill, p.45.
%
%  Created by Jim Huntley,  05/29/02
%

function [pdf] = rayleigh_pdf(x, sigma)

sigmasq = sigma * sigma;
pdf = x * exp(-(x*x)/(2*sigmasq)) / sigmasq;

return