% rectbin_pdf.m - evaluates a Rectangular Binomial Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%  Created by Jim Huntley,  11/18/08
%

function [pdf] = rectbin_pdf(n, nn, p, m)

q = 1 - p;

pdf = 1 / nn;
if(n > 0)
    sumr = 0;
    a = min(n-1,nn-2);
    for jr = 1:a+1
        r = jr - 1;
        sumr = sumr + (r+1) * binomial_coef(m*n,n-r-1) * p^(n-r-1) * q^(m*n-n+r+1);
    end
    pdf = sumr / (nn*n); 
end

return

