% rectbint_cdf.m - compute Rectangular Binomial (Transformed) Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.                 
%
%  Created by:  Jim Huntley,  11/17/08.
%

function [cdf] = rectbint_cdf(n,nn,p,m)

sum1 = rectbint_pdf(0, nn, p, m);
for jn = 1:n
    sum1 = sum1 + rectbint_pdf(jn, nn, p, m);
end
cdf = sum1;

return



