% rectnegbin_cdf.m - compute Rectangular Negative Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.                 
%
%  Created by:  Jim Huntley,  11/20/08.
%

function [cdf] = rectnegbin_cdf(n,nn,p,k)

sum1 = rectnegbin_pdf(0, nn, p, k);
for jn = 1:n
    sum1 = sum1 + rectnegbin_pdf(jn, nn, p, k);
end
cdf = sum1;

return



