% rectpois_cdf.m - compute Rectangular Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.                 
%
%  Created by:  Jim Huntley,  11/20/08.
%

function [cdf] = rectpois_cdf(n,nn,lambda)

sum1 = rectpois_pdf(0, nn, lambda);
for jn = 1:n
    sum1 = sum1 + rectpois_pdf(jn, nn, lambda);
end
cdf = sum1;

return



