% reflgam_cdf.m - compute Reflected Gamma Cumulative Distribution Function.
%   See "Continuous Univariate Distributions", Vol. 1, Johnson, Kotz, & Balakrishnan,
%   J. Wiley, 1995, p.387.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/02/09.
%

function [cdf] = reflgam_cdf(x,alpha,bet,gam)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@reflgam_pdf,minx,x(jz),tol,trace,alpha,bet,gam);
end

return



