% relbw_cdf.m - evaluates a Relativistic Breit Wigner Cumulative Distribution.
%   See "Relativistic Breit-Wigner Distribution", Wikipedia 
%
%  Created by Jim Huntley,  08/16/11
%

function [cdf] = relbw_cdf(x, M, Gamm)

pdf = relbw_pdf(x, M, Gamm);
sx = size(x,2);
dx = x(2) - x(1);
for jx = 1:sx
    if(jx <= 2)
        cdf(jx) = trapz(pdf(1:jx)) * dx;
    elseif(jx > 2)
        cdf(jx) = simps(pdf(1:jx)) * dx;
    end
end

return