% rgp_cdf.m - compute Restricted Generalized Poisson Cumulative Distribution Function.
%   See "Some Aspects of a Sub-Class of Modified Power Series Distributions",
%   S. Chakraborty, Dibrugargh U., http://interstat.statjournals.net/YEAR/2006/articles/0604001.pdf                 
%
%  Created by:  Jim Huntley,  01/14/08
%

function [cdf] = rgp_cdf(n,a,alpha)

sum1 = rgp_pdf(0, a, alpha);
for jn = 1:n
    sum1 = sum1 + rgp_pdf(jn, a, alpha);
end
cdf = sum1;

return



