% rician_pdf.m - evaluates a Rician Probability Distribution.
% See Proakis, p. 47.
%
%  Created by Jim Huntley,  05/29/02
%

function [pdf] = rician_pdf(x, m, sigma)

sigmasq = sigma * sigma;
arg = m * x / sigmasq;
besslI0 = besseli(0, arg);
pdf = (x/sigmasq) * besslI0 * exp(-(x*x + m*m)/(2*sigmasq));

return