% rig_cdf.m - compute Rician Inverse Gaussian Cumulative Distribution Function.
%   See "Modeling the Amplitude Statistics of Ultrasonic Images", 
%   T. Eltoft, U. Tromso, IEEE Trans. Med. imaging, Vol. 25, No. 2, February, 2006.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/22/06.
%

function [cdf] = rig_cdf(x,alpha,bet,delta)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@rig_pdf,minx,x(jz),tol,trace,alpha,bet,delta);
end

return



