% rig_pdf.m - evaluates a Rician Inverse Gaussian Probability Density.
%   See "Modeling the Amplitude Statistics of Ultrasonic Images", 
%   T. Eltoft, U. Tromso, IEEE Trans. Med. imaging, Vol. 25, No. 2, February, 2006.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  9/22/06
%

function [pdf] = rig_pdf(x, alpha, bet, delta)

gam = sqrt (alpha^2 - bet^2);
coef = sqrt(2) * alpha^(1.5) * delta *exp(delta*gam) / sqrt(pi);

arg = delta^2 + x.^2;
pdf = coef .* x .* besselk(1.5,alpha*sqrt(arg)) .* besseli(0,bet.*x) ./ arg.^0.75;    

return