% rosin_pdf.m - evaluates a Rosin-Rammler Probability Density.
%   See "Particle Size Distribution of Black Liquor Sprays with a High Solids Content 
%   in Recovery Boilers", A. Kankkunen and P. Miikkulainen, IFRF Combustion Journal, 
%   Article No. 200308, December 2003.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  08/10/06
%

function [pdf] = rosin_pdf(x, q, D)

coef = q * D^(-q);
pdf = coef .* x.^(q-1) .* exp(-(x./D).^q);    

return