% sbgsd_cdf.m - evaluates a Size-Biased Geometric Series Distribution Cumulative Distribution.
%   See "New Generalizations of Generalized Geometric Series Distributions",   
%   A. Hassan, African J. of Math and Comp Sci Research, vol.3, no.5, May, 2010. 
%
%  Created by Jim Huntley,  08/24/11
%

function [cdf] = sbgsd_cdf(n, alpha)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + sbgsd_pdf(jn, alpha);
end
cdf = sum1;

return