% scalchi_pdf.m - evaluates a Scaled Chi Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%  Created by Jim Huntley,  02/22/10
%

function [pdf] = scalchi_pdf(x, k, sigma)

%persistent coef

%if(isempty(coef))
    coef = 2 / (sqrt(2*sigma^2) * gamma(0.5*k));
%end

argx = x ./ sqrt(2*sigma^2);
pdf = coef .* argx.^(k-1) .* exp(-argx.^2);

return

