% scalchisq_pdf.m - evaluates a Scaled Chi-Square Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%   Vector form of PDF!!!!
%
%  Created by Jim Huntley,  02/22/10
%

function [pdf] = scalchisq_pdf(x, k, sigma)

%persistent coef

%if(isempty(coef))
    coef = 0.5 / (sigma^2 * gamma(0.5*k));
%end

argx = x ./ (2*sigma^2);
pdf = coef .* argx.^(0.5*k-1) .* exp(-argx);

return

