% sged_cdf.m - compute Skewed Generalized Error Cumulative Distribution Function.
%   See "Cyclicality in Catastrophic and Operational Risk Measurements", 
%   L Allen and T.G. Bali, CUNY.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/24/06.
%

function [cdf] = sged_cdf(x, mu, sigma, k, lambda)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@sged_pdf,minx,x(jz),tol,trace,mu,sigma,k,lambda);
end

return



