% shenton_cdf.m - compute Shenton Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%  Created by:  Jim Huntley,  11/20/08.
%

function [cdf] = shenton_cdf(n, nn, p, m)

sum1 = shenton_pdf(0, nn, p, m);
for jn = 2:2:n
    sum1 = sum1 + shenton_pdf(jn, nn, p, m);
end
cdf = sum1;

return



