% shiftgomp_pdf.m - evaluates a Shifted Gompertz Probability Density.
%   See Wikipedia - "Shifted Gompertz Distribution".
%
%   Creadted by:    J. Huntley,     08/09/07
%

function [pdf] = shiftgomp_pdf(x, b, eta)

arg = exp(-b*x);
pdf = b * arg * exp(-eta*arg) * (1+eta*(1-arg));

return