% shlogzero_cdf.m - compute Shfted Log Zero Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.318, 2005.                 
%
%  Created by:  Jim Huntley,  07/06/07.
%

function [cdf] = shlogzero_cdf(n, theta, k)

sum1 = shlogzero_pdf(k, theta, k);
for jn = k+1:n
    sum1 = sum1 + shlogzero_pdf(jn, theta, k);
end
cdf = sum1;

return



