% shrician_cdf.m - compute Shadowed Rician Cumulative Distribution Function.
%   See "A new Simple Model for Land Mobile Satellite Channels:
%   First- and Second-Order Statistics", A. Abdi et al., NJIT.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/20/06.
%

function [cdf] = shrician_cdf(x,b0,m,omega)

% Integrate PDF to get CDF.
pdf = shrician_pdf(x,b0,m,omega);
sx = size(x,2);
cdf(1:sx) = 0;
dx = x(2) - x(1);

for jx = 1:sx
    if(jx <= 2)
        cdf(jx) = trapz(pdf(1:jx)) * dx;
    elseif(jx > 2)
        cdf(jx) = simps(pdf(1:jx)) * dx;
    end
end

return



