% shrician_pdf.m - evaluates a Shadowed Rician Probability Density.
%   See "A new Simple Model for Land Mobile Satellite Channels:
%   First- and Second-Order Statistics", A. Abdi et al., NJIT.
%
%   Vector Form of PDF !!!
%
%  Created by Jim Huntley,  10/20/06
%

function [pdf] = shrician_pdf(x, b0, m, omega)

coef = (2 * b0 * m / (2*b0*m+omega))^m / b0;
arg = omega / (2*b0*(2*b0*m+omega));

x2 = x.^2;
argx2 = arg .* x2;
pdf = coef .* x .* exp(-0.5.*x2./b0) .* KummerComplex(m,1,argx2);

return