% shsk1_cdf.m - compute Shenton & Skees I Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.324, 2005.                 
%
%  Created by:  Jim Huntley,  10/02/07.
%

function [cdf] = shsk1_cdf(n, a, p, theta)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + shsk1_pdf(jn, a, p, theta);
end
cdf = sum1;

return



