% shsk2_cdf.m - compute Shenton & Skees II Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.324, 2005.                 
%
%  Created by:  Jim Huntley,  10/02/07.
%

function [cdf] = shsk2_cdf(n, a, b, theta)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + shsk2_pdf(jn, a, b, theta);
end
cdf = sum1;

return



