% shsk2_pdf.m - evaluates a Shenton & Skees II Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, 2005, p.324. 
%
%  Created by Jim Huntley,  10/02/07
%

function [pdf] = shsk2_pdf(n, a, b, theta)

if(n == 1)
    pdf = 1 - a*theta/(b+1);
elseif(n > 1)
    pdf = a * theta^(n-1) * (1/(n+b-1) - theta/(n+b));
end
    
return