% sichel_cdf.m - compute Sichel (GIGP) Cumulative Distribution Function.
%   See "Assessing Microdata Disclose Risk Using the Poisson-Inverse Gaussian Distribution",
%   M. Carlson, Statistics in Transition, Vol. 5, No. 6, p. 901, Dec., 2002
%
%  Created by:  Jim Huntley,  07/19/06.
%

function [cdf] = sichel_cdf(n, nu, theta, bet)

sum1 = sichel_pdf(0, nu, theta, bet);
for jn = 1:n
    sum1 = sum1 + sichel_pdf(jn, nu, theta, bet);
end
cdf = sum1;
    
return



