% simpbin_cdf.m - compute Simplex Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.491, 2005.
%
%   Note: dsitribution is derived from 4-parameter Simplex with 
%         alpha1 = alpha2 = -0.5.
%
%  Created by:  Jim Huntley,  10/02/07.
%

function [cdf] = simpbin_cdf(n, nn, mu, sigma)

sum1 = simpbin_pdf(0, nn, mu, sigma);
for jn = 1:n
    sum1 = sum1 + simpbin_pdf(jn, nn, mu, sigma);
end
cdf = sum1;

return



