% singh_cdf.m - compute Singh Poisson Cumulative Distribution Function.
%   See "Word Length and Frequency Distributions in Different Text Genres", 
%  G. Antic et al., Graz University.
%
%  Created by:  Jim Huntley,  08/02/06.
%

function [cdf] = singh_cdf(n, a, alpha)

sum1 = singh_pdf(1,a,alpha);
for jn = 2:n
    sum1 = sum1 + singh_pdf(jn, a, alpha);
end
cdf = sum1;
    
return



