% singhm_pdf.m - evaluates a Singh-Maddala Probability density Distribution.
%   See "Averaging Income Distributions", Griffiths et al., .pdf (preprint?).
%
%  Created by Jim Huntley,  12/28/03
%
%

function [y] = singhm_pdf(x, a, b, q);

y = q * a * x^(a-1) / (b^a * (1+(x/b)^a)^(q+1));

return