% sinhnorm_cdf.m - compute Sinh Normal Cumulative Distribution Function.
% See "Continuous Univariate Distributions", Johnson, Kotz and Balakrishnan,
% J. Wiley, v.2, p. 661, 1995.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/03/07.
%

function [cdf] = sinhnorm_cdf(x,alpha,gam,sigma)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@sinhnorm_pdf,minx,x(jz),tol,trace,alpha,gam,sigma);
end

return



