% skellam_cdf.m - compute Skellam Distribution Function.
%   See web, "www.biologydaily.com/biology/Skellam_Distribution".
%
%  Created by:  Jim Huntley,  09/29/05.
%

function [cdf] = skellam_cdf(n, mu1, mu2)

sum1 = skellam_pdf(0, mu1, mu2);
for jn = 1:n
    sum1 = sum1 + skellam_pdf(jn, mu1, mu2);
end
cdf = sum1;
    
return



