% skellam_pdf.m - evaluates a Skellam Probability Density.
%   See web, "www.biologydaily.com/biology/Skellam_Distribution".
%
%  Created by Jim Huntley,  9/29/05.
%

function [pdf] = skellam_pdf(n, mu1, mu2)

pdf = exp(-(mu1+mu2)) * (mu1/mu2)^(n/2) * besseli(n,2*sqrt(mu1*mu2));

return