% skewgent_cdf.m - compute Skewed Generalized T Cumulative Distribution Function.
%   See "Cyclicality in Catastrophic and Operational Risk Measurements", 
%   L Allen and T.G. Bali, CUNY.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/24/06.
%

function [cdf] = skewgent_cdf(x, mu, sigma, n, k, lambda)

% Integrate PDF to get CDF.
pdf = skewgent_pdf(x, mu, sigma, n, k, lambda);
for jz = 1:size(x,2)
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return



