% skwewlapl_cdf.m - compute Skew LaPlace Cumulative Distribution Function.
%                   See http://www.maths.lth.se/help/R/.R/library/HyperbolicDist/html/dskerlap.html, D. Scott
%
%  Created by:  Jim Huntley,  03/02/05.
%

function [cdf] = skewlapl_cdf(x, alpha, bet, mu)

if(x < mu)
    cdf = alpha * exp((x-mu)/alpha) / (alpha+bet);
elseif(x >= mu)
    cdf = 1 - bet * exp(-(x-mu)/bet) / (alpha+bet);
end

return



