% skewlapl_pdf.m - evaluates the Skew LaPlace Probability Density Function.  
%                  See http://www.maths.lth.se/help/R/.R/library/HyperbolicDist/html/dskerlap.html, D. Scott
%
% Created by Jim Huntley,  03/02/05
%

function [pdf] = skewlapl_pdf(x, alpha, bet, mu)

if(x < mu)
    pdf = exp((x-mu)/alpha) / (alpha+bet);
elseif(x >= mu)
    pdf = exp(-(x-mu)/bet) / (alpha+bet);
end

return
