% skwewnorm_cdf.m - compute Skew Normal Cumulative Distribution Function.
%                  See "Dataplot Reference Manual", SNCDF.
%
%                  Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/02/05.
%

function [cdf] = skewnorm_cdf(x,lambda)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@skewnorm_pdf,minx,x(jz),tol,trace,lambda);
end

return



