% skewnorm_pdf.m - evaluates the Skew Normal Probability Density Function.  
%                  See "Dataplot Reference Manual", SNPDF.
%                  Vector Form!
%
% Created by Jim Huntley,  03/02/05
%

function [pdf] = skewnorm_pdf(x, lambda)

sx = size(x,2);
for jx = 1:sx
    normpdf = gaus_pdf(x(jx), 0, 1);
    normlcdf = gaus_cdf(lambda*x(jx), 0, 1);
    pdf(jx) = 2 * normlcdf * normpdf;
end

return
