% stevens_cdf.m - compute Stevens craig (Occupied Cells) Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.443, 2005.                 
%
%  Created by:  Jim Huntley,  07/16/07.
%

function [cdf] = stevens_cdf(n, b, c)

sum1 = stevens_pdf(0, b, c);
for jn = 1:n
    sum1 = sum1 + stevens_pdf(jn, b, c);
end
cdf = sum1;

return



