% stevens_pdf.m - evaluates a Stevens Craig (Occupied Cells) Probability Density.
%   See "Univariate Discrete Distributions", Johnson, Kemp & Kotz,
%   J. Wiley, 2005, 4432. 
%
%  Created by Jim Huntley,  7/16/07
%

function [pdf] = stevens_pdf(n, b, c)

%coef = factorial(c) / (c^b);
coef = exp(gammaln(c+1) - (b*log(c)));
%pdf = coef * stirling2(b,n) / factorial(c-n);
pdf = coef * exp(log(stirling2(b,n)+eps) - gammaln(c-n+1));
    
return