% steyn2p_cdf.m - compute 2-parameter Steyn Logarithmic Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.522, 2005.                
%
%  Created by:  Jim Huntley,  11/14/06.
%

function [cdf] = steyn2p_cdf(n,c,theta)

sum1 = steyn2p_pdf(1, c, theta);
for jn = 2:n
    sum1 = sum1 + steyn2p_pdf(jn, c, theta);
end
cdf = sum1;

return



