% stirling1_cdf.m - compute Stirling Type 1 Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  07/05/07.
%

function [cdf] = stirling1_cdf(n, nn, theta)

sum1 = 0;
for jn = nn:n
    sum1 = sum1 + stirling1_pdf(jn, nn, theta);
end
cdf = sum1;

return



