% strchexp_pdf.m - evaluates a Stretched Exponential Probability Density.
%   See "The Amoroso Distribution", G. E. Crooks, Tech. Note 003v5 (2010-01-14)
%   http://threeplusone.com/pubs/technote/CrooksTechNote003.pdf.
%
%   Vector form of the PDF!!!
%
%  Created by Jim Huntley,  02/17/10
%

function [pdf] = strchexp_pdf(x, bet, theta, xtrem)

%persistent coef

%if(isempty(coef))
    coef = bet / abs(theta);
%end

argx = x ./ theta;
pdf = coef .* argx.^(bet-1) .* exp(-(argx.^bet));

return

