% strctasin_cdf.m - compute Strict Arcsine Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.250, 2005.                 
%
%  Created by:  Jim Huntley,  10/04/07.
%

function [cdf] = strctasin_cdf(n,alpha,p)

su1 = strctasin_pdf(0,alpha,p);
for jn = 1:n
    sum1 = sum1 + strctasin_pdf(jn,alpha,p);
end
cdf = sum1;

return



