% strunpear7_cdf.m - evaluates a Skewed Truncated Pearson VII Cumulative Distribution.
% See "A Skewed Truncated Pearson Type VII Distribution", S. Nadarajah and A. K. Gupta,
% J. Japan Statistical Soc., Vol. 35, No. 1, 2005.
%
%  Vector Form of CDF!
%
%  Created by Jim Huntley,  08/25/06
%
%

function [cdf] = strunpear7_cdf(x, A, m, MM, gam)

% Integrate PDF to get CDF.
pdf = strunpear7_pdf(x, A, m, MM, gam);
for jz = 1:size(x,2)
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return