% strunpear7_pdf.m - evaluates the Skewed Truncated Pearson VII Probability Density.  
% See "A Skewed Truncated Pearson Type VII Distribution", S. Nadarajah and A. K. Gupta,
% J. Japan Statistical Soc., Vol. 35, No. 1, 2005.
%
%  Vector Form of PDF!
%
%  Created by:   Jim Huntley,  08/25/06.
%

function [pdf] = strunpear7_pdf(x, A, m, MM, gam)

D = 2 .* pearson7_cdf(A, m, MM) - 1;

for jx = 1:size(x,2)
    pdf(jx) = 2 .* (pearson7_cdf(gam.*x(jx), m, MM) + pearson7_cdf(A, m, MM) - 1) ...
              .* pearson7_pdf(x(jx), m, MM) ./ D.^2;
end

return
