% stsd1_cdf.m - compute Short-Tailed Symmetric I Distribution Function.
%   See "VGAM".           
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  12/07/07.
%

function [cdf] = stsd1_cdf(x,mu,sigma,d)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@stsd1_pdf,minx,x(jz),tol,trace,mu,sigma,d);
end

return



