% stutgenwar_cdf.m - evaluates a Stuttering Genralized Waring Cumulative Distribution.
%   See "The Stuttering Generalized Waring Distribution", J.Panaretos & E.
%   Xekalaki, Statistics and Prob. Lett. V4, No.6, 1986, 313.
%   http://mpra.ub.uni-muenchen.de/6250/1/MPRA_paper_6250.pdf.
%
%  Created by Jim Huntley,  12/29/09
%

function [cdf] = stutgenwar_cdf(n,k,a,c,m)

sum1 = stutgenwar_pdf(0,k,a,c,m);
for jn = 1:n
    sum1 = sum1 + stutgenwar_pdf(jn,k,a,c,m);
end
cdf = sum1;

return



