% stutpois_cdf.m - compute Stuttering Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.460, 2005.                  
%
%  Created by:  Jim Huntley,  12/07/06.
%

function [cdf] = stutpois_cdf(n,k,lambda)

sum1 = stutpois_pdf(0,k,lambda);
for jn = 1:n
    sum1 = sum1 + stutpois_pdf(jn,k,lambda);
end
cdf = sum1;

return



