% sudha_cdf.m - compute Sudha Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 1.1.
%
%  Created by:  Jim Huntley,  11/24/08.
%

function [cdf] = sudha_cdf(n, lambda)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + sudha_pdf(jn, lambda);
end
cdf = sum1;

return



