% sunil_cdf.m - compute Sunil Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/11/08.
%

function [cdf] = sunil_cdf(n,p,m)

sum1 = 0;
for jn = 1:2:n
    sum1 = sum1 + sunil_pdf(jn, p, m);
end
cdf = sum1;

return



