% survivor_cdf.m - compute Survivor Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.446, 2005.                 
%
%  Created by:  Jim Huntley,  10/04/07.
%

function [cdf] = survivor_cdf(n,a,b,nn)

sum1 = survivor_pdf(0,a,b,nn);
for jn = 1:n
    sum1 = sum1 + survivor_pdf(jn,a,b,nn);
end
cdf = sum1;

return



