% takacs_cdf.m - evaluates a Takacs Cumulative Distribution.
%   See "A Generalized Ploya-Eggenberger Model Generating Various Discrete 
%   Probability Distributions", Indian J. of Stat., v.58, Ser A, Pt.2, p243, 1996.
%
%  Created by Jim Huntley,  08/18/11
%

function [cdf] = takacs_cdf(n, P, mu)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + takacs_pdf(jn, P, mu);
end
cdf = sum1;

return