% tapareto_pdf.m - compute Tapered Pareto Probability Density Function.
%    See "On the Distribution of Wildfire Sizes", F. Schoeberg, R. Peng, J. Woods, UCLA, web. 
%
%  Created by:  Jim Huntley,  03/30/05.
%

function [pdf] = tapareto_pdf(x, a, bet, theta)

pdf = 0;
if(x >= a)
    pdf = (a/x)^bet * (bet/x + 1/theta) * exp((a-x)/theta);
end

return



