% tdiff_pdf.m - evaluates a T-Difference Probability Density.
%   See "Continuous Univariate Distributions", Vol.2, Johnson, Kotz, 
%   & Balakrishnan, J. Wiley, 1995, p.411.
%
%   Vector Form of PDF!!!
%
%  Created by Jim Huntley,  01/06/10
%

function [pdf] = tdiff_pdf(x, nu)

dx = x(2)-x(1);
cdf = tdiff_cdf(x, nu);
pdf = filter(-smooth_diff(4),1,cdf)/dx;

return




    