% teja_cdf.m - compute Teja Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.465, 2005.                 
%
%  Created by:  Jim Huntley,  11/15/06.
%

function [cdf] = teja_cdf(n,p)

sum1 = 0;
for jn = 1:2:n
    sum1 = sum1 + teja_pdf(jn, p);
end
cdf = sum1;

return



