% teja_pdf.m - evaluates a Logistic Exponential Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.1.
%
%   Doesn't normalize for p >~ 0.33!!!
%
%  Created by Jim Huntley,  11/10/08
%

function [pdf] = teja_pdf(n, p)

q = 1 - p;

pdf = binomial_coef(3*(n-1)/2,n-1) * p^((n-1)/2) * q^n / n;

end

