% topleon_cdf.m - evaluates a Topp and Leone Cumulative Distribution.
%   See "Dataplot Reference Manual", vol.1, Aux.
%   http://www.nist.gov/div898/software/dataplot/refman2/auxillar/toppdf.htm.
%
%  Created by Jim Huntley,  01/09/10
%

function [cdf] = topleon_cdf(x, bet, a, b)

argx = (x-a) ./ (b-a);
cdf = (2.*argx-argx.^2).^bet;

return