% tdexp_cdf.m - compute Truncated Double Exponential Cumulative Distribution Function.
%   See "Applied Robust Statistics, Chapter 4, Truncated Distributions", 
%   D.J. Olive, http://www.math.siu.edu/olive/ch4.pdf.
%
%   Vector form of CDF!!!
%
%  Created by Jim Huntley,  01/11/10
%

function [cdf] = tdexp_cdf(x,mu,lambda,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@tdexp_pdf,minx,x(jz),tol,trace,mu,lambda,a,b);
end

return



