% transbet2_pdf.m - evaluates a Transformed Beta Probability Density.
%   See "Modern Reserving Techniques for the Insurance Business", 
%   T. Hoedemakers, U. Leuven, 2005.
%
%  Created by Jim Huntley,  7/19/06
%

function [pdf] = transbet2_pdf(x, a, p, q)

coef = abs(a)/beta(p,q);

pdf = coef .* x.^(a*p-1) .* (1+x.^a).^(-(p+q)); 

return