% transbet_cdf.m - compute Transformed Beta Cumulative Distribution Function.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993.                
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  05/11/09.
%

function [cdf] = transbet_cdf(x,alpha,bet,c,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@transbet_pdf,minx,x(jz),tol,trace,alpha,bet,c,mu);
end

return



