% transbet_pdf.m - evaluates a Transformed Beta Probability Density.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993. 
%
%  Created by Jim Huntley,  05/11/09
%
%   Vector Form of PDF!!!
%

function [pdf] = transbet_pdf(x, alpha, bet, c, mu)

%persistent coef

%if(isempty(coef))
    coef = gamma(alpha+bet) * mu^alpha * c / (gamma(alpha)*gamma(bet));
%end

pdf = coef .* x.^(c*bet-1) ./ (mu + x.^c).^(alpha+bet);

return