% transgam_cdf.m - compute Transformed Gamma Cumulative Distribution Function.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993. 
%
%  Created by Jim Huntley,  05/06/09
%
%   Vector Form of the PDF!!!
%

function [cdf] = transgam_cdf(x,alpha,mu,c)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@transgam_pdf,minx,x(jz),tol,trace,alpha,mu,c);
end

return



