% transgam_pdf.m - evaluates a Transformed Gamma Probability Density.
%   See "On Recursive evaluation of Mixed Poisson Probabilities and Related Quantities", 
%   G.E.Willmot, Scand. Actuarial J., vol.2, p.114, 1993. 
%
%  Created by Jim Huntley,  05/06/09
%
%   Vector Form of the PDF!!!
%

function [pdf] = transgam_pdf(x, alpha, mu, c)

%persistent coef

%if(isempty(coef))
    %coef = mu^alpha * c / gamma(alpha);
    coef = exp(alpha*log(mu) +log(c) - gammaln(alpha));
%end

pdf = coef .* x.^(c*alpha-1) .* exp(-mu.*x.^c);

return