% trgenhlog_cdf.m - compute Truncated Generalized Half Logistic Cumulative Distribution Function.
%   See " Continuous Univariate Distributions", Johnson, Kotz and Balakrishnan,
%   J. Wiley, v.2, p.151, 1995.
%
%   Vector form of CDF!!!
%
%  Created by Jim Huntley,  10/09/07
%

function [cdf] = trgenhlog_cdf(x,k,p)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@trgenhlog_pdf,minx,x(jz),tol,trace,k,p);
end

return



