% trgenpois_cdf.m - compute Truncated Generalized Poisson Cumulative Distribution Function.
%   See "On the Analaysis of the Truncated Generalized Poisson Distribution Using a Bayesian Method", 
%   D. P. M. Scollnik, U. Maryland.
%
%  Created by:  Jim Huntley,  08/25/06.
%

function [cdf] = trgenpois_cdf(n, theta, lambda, m)

sum1 = trgenpois_pdf(0, theta,lambda, m);
for jn = 1:n
    sum1 = sum1 + trgenpois_pdf(jn, theta, lambda, m);
end
cdf = sum1;
    
return



