% trgenpois_pdf.m - evaluates a Truncated Generalized Poisson Probability Density.
%   See "On the Analaysis of the Truncated Generalized Poisson Distribution Using a Bayesian Method", 
%   D. P. M. Scollnik, U. Maryland.
%
%  Created by Jim Huntley,  8/25/06
%

function [pdf] = trgenpois_pdf(n, theta, lambda, m)

GP = genpoiss_pdf(n, theta, lambda);
K = 0;
for jx = 1:m+1
    K = K + genpoiss_pdf(jx-1, theta, lambda);
end
pdf = GP / K;

return