% trggsd_cdf.m - evaluates a Truncated Generalized Geometric Series Cumulative Distribution.
%   See "New Generalizations of Generalized Geometric Series Distributions",   
%   A. Hassan, African J. of Math and Comp Sci Research, vol.3, no.5, May, 2010. 
%
%  Created by Jim Huntley,  08/22/11
%

function [cdf] = trggsd_cdf(n, alpha, bet)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + trggsd_pdf(jn, alpha ,bet);
end
cdf = sum1;

return