% trigamma_cdf.m - compute Trigamma Cumulative Distribution Function.
%   See "Random Variate Generation for the Digamma and Trigamma Distributions", 
%   L. Devroye, McGill, 1991.
%
%  Created by:  Jim Huntley,  07/15/05.
%

function [cdf] = trigamma_cdf(n, c)

sum1 = trigamma_pdf(1, c);
for jn = 2:n
    sum1 = sum1 + trigamma_pdf(jn, c);
end
cdf = sum1;
    
return



