% trigamma_pdf.m - evaluates a Trigamma Probability Density.
%   %   See "Random Variate Generation for the Digamma and Trigamma Distributions", 
%   L. Devroye, McGill, 1991.
%
%   Created by:     J. Huntley,  07/15/05
%

function[pdf] = trigamma_pdf(n, c)

%persistent gamlnc lpsinc

%if(isempty(gamlnc))
    gamlnc = gammaln(c);
    lpsinc = log(psin(1,c));
%end

lnpochc = gammaln(c+n) - gamlnc; 
pdf = exp(gammaln(n) - (log(n) + lnpochc + lpsinc));

return