% trnegbin_cdf.m - compute Truncated negative Binomial Cumulative Distribution Function.
%   See " Univariate Discrete Distributions", Johnson, Kotz, and Balakrishnan,
%   J. Wiley, p.233, 2005.
%
%    Created by:    J. Huntley,  10/11/2007
%

function [cdf] = trnegbin_cdf(n,Q,k)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + trnegbin_pdf(jn,Q,k);
end
cdf = sum1;

return



