% trunbur_cdf.m - evaluates a Doubly-Truncated Burr XII Cumulative Distribution.
%   See "Moments of Order Statistics from Doubly Truncated Burr XII Distribution:
%   A Complementary Note with Applications", S. Adeyemi and M. Ojo, Awolowo U., Ng.
%
%  Created by Jim Huntley,  08/09/06
%

function [cdf] = trunbur_cdf(x, alpha, lambda, theta, P, Q)

cdf = (1 - Q - (1+theta*x^alpha)^(-lambda)) / (P-Q);

return