% trunbur_pdf.m - evaluates a Doubly-Truncated Burr XII Probability Density.
%   See "Moments of Order Statistics from Doubly Truncated Burr XII Distribution:
%   A Complementary Note with Applications", S. Adeyemi and M. Ojo, Awolowo U., Ng.
%
%  Created by Jim Huntley,  08/09/06
%

function [pdf] = trunbur_pdf(x, alpha, lambda, theta, P, Q)

pdf = lambda * theta * alpha * x^(alpha-1) * (1+theta*x^alpha)^(-lambda-1) / (P-Q);

return