% truncauchy_cdf.m - evaluates the Truncated Cauchy Cumulative Distribution.  
% See "http://www.math.siu.edu/olive/
% ch4.pdf#search=%22%22chapter%204%22%20%2B%22truncated%20Distributions%22%22" 
%
% Created by:   Jim Huntley,  08/22/02.
%

function [cdf] = truncauchy_cdf(x, a, b, mu, sigma)

coef = 1 / (sigma*(atan(b)+atan(a)));
cdf = coef * sigma * (atan(a) + atan((x-mu)/sigma));

return
