% truncbeta_pdf.m - evaluates a truncated beta Probability Density.
%   See "Stichastic Decomposition in M/M/inf Queues with Markow Modulated Service Rates", 
%   M. Baykal-Gursoy and W. Xiao, Rutgers, 3/29/2004.
%
%  Created by Jim Huntley,  07/17/06
%

function [pdf] = truncbeta_pdf(x, a, b, c)

%persistent cb

%if(isempty(cb))
    cb = c*beta(a,b-a);
%end

arg = x ./ c;
pdf = arg.^(a-1) .* (1-arg).^(b-a-1) ./ cb;

return