% trundexp_pdf.m - evaluates the Truncated Double Exponential Probability Density.  
% See "http://www.math.siu.edu/olive/
% ch4.pdf#search=%22%22chapter%204%22%20%2B%22truncated%20Distributions%22%22" 
%
% Created by:   Jim Huntley,  08/22/02.
%

function [pdf] = trundexp_pdf(x, mu, lambda, k);

c = k * log(2);
coef = 1 / (2*lambda*(1-exp(-c)));
pdf = coef * exp(-abs(x-mu)/lambda);

return
