% trungama_cdf.m - compute Truncated Gamma Cumulative Distribution Function.
%   See "A Bayesian Analysis of Moving Average Processes with Time-Dependent Parameters", 
%   K. Triantafyllopoulos and G. P. Nason, U. Sheffield.             
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  06/22/06.
%

function [cdf] = trungama_cdf(x,alpha,bet,m)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@trungama_pdf,minx,x(jz),tol,trace,alpha,bet,m);
end

return



