% trungeom_cdf.m - evaluates a Truncated geometric Cumulative Distribution.
%   See "Collision-Minimizing CSMA and Its Applications to Wireless Sensor Networks", 
%   Y. C. Tay et al, IEEE Jour. Selected Areas in Comm., Vol. 22, No. 6, aug., 2004.
%
%  Created by Jim Huntley,  08/24/06
%
%

function [cdf] = trungeom_cdf(n, alpha, K)

cdf = (1 - alpha.^(n))./ (1 - alpha.^(K));

return