% trungeom_pdf.m - evaluates a Truncated geometric Probability Density.
%   See "Collision-Minimizing CSMA and Its Applications to Wireless Sensor Networks", 
%   Y. C. Tay et al, IEEE Jour. Selected Areas in Comm., Vol. 22, No. 6, aug., 2004.
%
%  Created by Jim Huntley,  08/24/06
%
%

function [pdf] = trungeom_pdf(n, alpha, K)

pdf = (1-alpha) * alpha^K * alpha^(-n) / (1-alpha^K);

return