% trunlogn_cdf.m - compute Asymmetric Power Cumulative Distribution Function.
%   See "Probability for Seismic Hazard Analysis", 
%   USGS, http://energy.cr.usgs.gov/WEcont/chaps/OP.pdf.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  03/30/05.
%

function [cdf] = trunlogn_cdf(x,mu,sigma,xc,bet,k)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@trunlogn_pdf,minx,x(jz),tol,trace,mu,sigma,xc,bet,k);
end

return



