% trunpar2_cdf.m - evaluates a Truncated Pareto 2 Cumulative Distribution.
%   See "Difficulties in Simulating Queues eith Pareto Service", D. Gross et al,
%   George Mason U., Proc 2002 Winter Simulation Conference.
%
%  Created by Jim Huntley,  08/09/06
%

function [cdf] = trunpar2_cdf(x, alpha, T)

cdf = (1 - (1+x)^(-alpha)) / (1 - (1+T)^(-alpha));

return