% trunpar2_pdf.m - evaluates a Truncated Pareto 2 Probability Density.
%   See "Difficulties in Simulating Queues with Pareto Service", D. Gross et al,
%   George Mason U., Proc 2002 Winter Simulation Conference.
%
%  Created by Jim Huntley,  08/09/06
%
%

function [y] = trunpar2_pdf(x, alpha, T);

y = (alpha /(1+x)^(alpha+1)) / (1 - (1+T)^(-alpha));

return