% trunpar_cdf.m - evaluates a Truncated Pareto Cumulative Distribution.
%   See "Parameter Estimation for the Truncated Pareto Distribution", 
%   I. B. Aban et al., U. Nevada, 15 May, 2004.
%
%  Created by Jim Huntley,  08/25/06
%

function [cdf] = trunpar_cdf(x, alpha, gam, nu)

cdf = 1 - gam^alpha * (x^(-alpha)-nu^(-alpha)) / (1-(gam/nu)^alpha);

return