% trunpar_pdf.m - evaluates a Truncated Pareto Probability Density.
%   See "Parameter Estimation for the Truncated Pareto Distribution", 
%   I. B. Aban et al., U. Nevada, 15 May, 2004.
%
%  Created by Jim Huntley,  08/25/06
%
%

function [pdf] = trunpar_pdf(x, alpha, gam, nu)

pdf = alpha * gam^alpha * x^(-alpha-1) / (1-(gam/nu)^alpha);

return