% trunray_pdf.m - evaluates a Truncated Rayleigh Probability Density.
%   See "WAFO.Description of wtraylpdf", at
%   http://www.maths.lth.se/matstat/wafo/documentation/wafodoc/wstats/wtraylpdf.html
%
%  Created by Jim Huntley,  08/09/06
%

function [pdf] = trunray_pdf(x, b, c)

pdf = (x-c) * exp(-0.5*((x-c)^2 - c^2)/b^2) / b^2;

return