% trunweib_pdf.m - evaluates a Truncated Weibull Probability Density.
%   See "WAFO.Description of wtweibpdf", at
%   http://www.maths.lth.se/matstat/wafo/documentation/wafodoc/wstats/wtweibpdf.html
%
%  Created by Jim Huntley,  08/09/06
%

function [pdf] = trunweib_pdf(x, a, b, c)

pdf = ((x+c)/a)^(b-1) * b * exp(-((x+c)/a)^b + abs(c/a)^b) / a;

return