% tsallis_cdf.m - compute Tsallis Cumulative Distribution Function.
%   See "Value-at-Risk and Tsallis Ststistics: risk analysis of the
%   aeorspace sector", A. P. Mattedi et all., preprint, INPE, 16 March,
%   2004.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  07/20/06.
%

function [cdf] = tsallis_cdf(x,bet,q)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@tsallis_pdf,minx,x(jz),tol,trace,bet,q);
end

return



