% tsogive_cdf.m - compute Two-Sided Ogive Cumulative Distribution Function.
%   See "Dataplot Reference Manual", Vol.1, Aux., NIST.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  04/06/09.
%

function [cdf] = tsogive_cdf(x,nn,theta,a,b)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@tsogive_pdf,minx,x(jz),tol,trace,nn,theta,a,b);
end

return



