% tspower_pdf.m - evaluates a Two-Sided Power Probability Density.
%   See "Dataplot Reference Manual", Vol.1, Aux., NIST, TSPPDF.
%
%  Created by Jim Huntley,  01/13/10
%

function [pdf] = tspower_pdf(x, nn, theta)

for jx = 1:size(x,2)
    if(x(jx) > theta)
        pdf(jx) = nn * ((1-x(jx))/(1-theta))^(nn-1);
        %cdf(jx) = 1 - (1-theta) * ((1-x(jx))/(1-theta))^nn;
    elseif(x(jx) <= theta)
        pdf(jx) = nn * (x(jx)/theta)^(nn-1);
        %cdf(jx) = theta * (x(jx)/theta)^nn;
    end
end        

return