% twdp_cdf.m - compute Two-Wave Diffuse Power Cumulative Distribution Function.
%   See "New Analytical Models and Probability Density Functions
%   for Fading in Wireless Communications", G. D. Durgin et al., 
%   IEEE Trans. on Comm., Vol. 50, No. 6, June 2002.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/13/06.
%

function [cdf] = twdp_cdf(x,sigma,v1,v2)

pdf = twdp_pdf(x,sigma,v1,v2);
for jz = 1:size(x,2)
    cdf(jz) = simps(x(1:jz),pdf(1:jz));
end

return



