% tweedpois_cdf.m - compute Tweedie Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.482, 2005.                 
%
%  Created by:  Jim Huntley,  10/12/07.
%

function [cdf] = tweedpois_cdf(n,alpha,delta,theta,nn)

sum1 = tweedpois_pdf(0,alpha,delta,theta,nn);
for jn = 1:n
    sum1 = sum1 + tweedpois_pdf(jn,alpha,delta,theta,nn);
end
cdf = sum1;

return



