% umix_cdf.m - compute binomial Mixture of Uniform Cumulative Distribution Functions.
%   See "Continuous Univariate Distributions", Johnson, Kotz, and
%   Balakrishnan, V2, J. Wiley, , p.355, 1996.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/30/06.
%

function [cdf] = umix_cdf(x,nn,p,a)

% Integrate PDF to get CDF.
dx = x(2) - x(1);
pdf = umix_pdf(x,nn,p,a);
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = trapz(pdf(1:jz)) * dx;
end

return



