% unisum_cdf.m - compute Uniform Sum Cumulative Distribution Function.
%   See "Uniform Sum Distribution", http://mathworld.wolfram.com.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  11/03/05.
%

function [cdf] = unisum_cdf(x, n)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@unisum_pdf,minx,x(jz),tol,trace,n);
end

return



