% vargam_cdf.m - compute Variance Gamma Cumulative Distribution Function.
%   See Wikipedia, web.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  08/14/07.
%

function [cdf] = vargam_cdf(x,mu,alpha,bet,lambda)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@vargam_pdf,minx,x(jz),tol,trace,mu,alpha,bet,lambda);
end

return



