% voda_cdf.m - compute Voda Cumulative Distribution Function.
%   See " Continuous Univariate Distributions", Johnson, Kotz and Balakrishnan,
%   J. Wiley, v.1, p.479, 1995.               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  10/18/07.
%

function [cdf] = voda_cdf(x,theta,k)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@voda_pdf,minx,x(jz),tol,trace,theta,k);
end

return



