% voigt_cdf.m - compute Voigt Cumulative Distribution Function.
%   See web, "http://wn.wikipedia.org.wiki/Voigt_profile".               
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  09/29/05.
%

function [cdf] = voigt_cdf(x,gama,sigma)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@voigt_pdf,minx,x(jz),tol,trace,gama,sigma);
end

return



