% wallen_cdf.m - compute Wallenius Cumulative Distribution Function.
%   See "Calculation Methods for Wallenius' Noncentral Hypergeometric
%   Distribution", A. Fog, 10/26/2004.
%
%  Created by:  Jim Huntley,  08/03/06.
%

function [cdf] = wallen_cdf(n,nn,m,N,omega)

sum1 = wallen_pdf(0,nn,m,N,omega);
for jn = 1:n
    sum1 = sum1 + wallen_pdf(jn,nn,m,N,omega);
end
cdf = sum1;
    
return



