% wcauchy_pdf.m - evaluates a Wrapped-Cauchy Probability Density.
%   See "Dataplot Reference Manual, WCACDF", Aux-370, NIST, 3/26/1997.
%
%  Created by Jim Huntley,  8/25/04
%

function [pdf] = wcauchy_pdf(x, p, mu)

pdf = (1 - p^2) / (2*pi*(1 + p^2 - 2*p*cos(x-mu)));

return