% wexp_cdf.m - evaluates a Cumulative Wrapped-Exponential Distribution.
%   See "A New Family of Circular Models:  The Wrapped Laplace Distribution",
%   S. Rao Jammalamadaka and T. J. Kozubowski, UCSB and UNR.
%
%  Created by Jim Huntley,  7/12/05
%

function [cdf] = wexp_cdf(x, lambda)

twopi = 2*pi;
cdf = (1 - exp(-lambda*x)) / (1 - exp(-twopi*lambda));

return