% wexp_pdf.m - evaluates a Wrapped-Exponential Probability Density Function.
%   See "A New Family of Circular Models:  The Wrapped Laplace Distribution",
%   S. Rao Jammalamadaka and T. J. Kozubowski, UCSB and UNR.
%
%  Created by Jim Huntley,  7/12/05
%

function [pdf] = wexp_pdf(x, lambda)

twopi = 2*pi;
pdf = lambda * exp(-lambda*x) / (1 - exp(-twopi*lambda));

return