% wgenpois_cdf.m - compute Weighted Generalized Poisson Distribution Function.
%   See "Some Aspects of a Sub-Class of Modified Power Series Distributions",
%   S. Chakraborty, Dibrugargh U., http://interstat.statjournals.net/YEAR/2006/articles/0604001.pdf                 
%
%  Created by:  Jim Huntley,  01/22/08

function [cdf] = wgenpois_cdf(n,a,z)

sum1 = genpois2_pdf(0,a,z);
for jn = 1:n
    sum1 = sum1 + genpois2_pdf(jn,a,z);
end
cdf = sum1;

return



