% wghtstir1_cdf.m - compute Weighted Poisson Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.322, 2005.                 
%
%  Created by:  Jim Huntley,  10/22/07.
%

function [cdf] = wghtstir1_cdf(n,theta,nn)

sum1 = wghtstir1_pdf(0, theta, nn);
for jn = 1:n
    sum1 = sum1 + wghtstir1_pdf(jn, theta, nn);
end
cdf = sum1;

return



