% wlaplace_cdf.m - evaluates a Cumulative Wrapped-Laplace Distribution.
%   See "A New Family of Circular Models:  The Wrapped Laplace Distribution",
%   S. Rao Jammalamadaka and T. J. Kozubowski, UCSB and UNR.
%
%  Created by Jim Huntley,  7/12/05
%

function [cdf] = wlaplace_cdf(x, lambda, kappa)

twopi = 2*pi;
cdf = ((1 - exp(-lambda*kappa*x))/(1 - exp(-twopi*lambda*kappa)) + ...
    kappa^2 * (exp(lambda*x/kappa) - 1)/(exp(twopi*lambda/kappa)-1)) ...
    / (1 + kappa^2);

return