% wlaplace_pdf.m - evaluates a Wrapped-Laplace Probability Density Function.
%   See "A New Family of Circular Models:  The Wrapped Laplace Distribution",
%   S. Rao Jammalamadaka and T. J. Kozubowski, UCSB and UNR.
%
%  Created by Jim Huntley,  7/12/05
%

function [pdf] = wlaplace_pdf(x, lambda, kappa)

twopi = 2*pi;
pdf = lambda * kappa * (exp(-lambda*kappa*x)/(1 - exp(-twopi*lambda*kappa)) + ...
    exp(lambda*x/kappa)/(exp(twopi*lambda/kappa) - 1)) / (1 + kappa^2);

return