% wrgp_cdf.m - compute q-Binomial II Cumulative Distribution Function.
%   See "Some Aspects of a Sub-Class of Modified Power Series Distributions",
%   S. Chakraborty, Dibrugargh U., http://interstat.statjournals.net/YEAR/2006/articles/0604001.pdf 
%
%  Created by:  Jim Huntley,  09/25/07.
%

function [cdf] = wrgp_cdf(n,a,s,alpha)

sum1 = wrgp_pdf(0,a,s,alpha);
for jn = 1:n
    sum1 = sum1 + wrgp_pdf(jn,a,s,alpha);
end
cdf = sum1;

return



