% wtconsul_cdf.m - compute Weighted Geometric Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.3.
%
%  Created by:  Jim Huntley,  11/24/08.
%

function [cdf] = wtconsul_cdf(n, p, m)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + wtconsul_pdf(jn, p, m);
end
cdf = sum1;

return



