% wtconsul_pdf.m - evaluates a Weighted Consul Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 1.1.
%
%  Created by Jim Huntley,  11/24/08
%

function [pdf] = wtconsul_pdf(n, p, m)

q = 1 - p;
pdf = binomial_coef(m*n,n-1) * (1-m*p) * p^(n-1) *q^(n*(m-1)+1);

return

