% wtdeltbin_cdf.m - compute Weighted Delta Binomial Cumulative Distribution Function.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 2.4.
%
%  Created by:  Jim Huntley,  11/25/08.
%

function [cdf] = wtdeltbin_cdf(n, p, m, nn)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + wtdeltbin_pdf(jn, p, m, nn);
end
cdf = sum1;

return



