% wtgeom_pdf.m - evaluates a Weighted Geometric Probability Density.
%   See "Lagrangian Probability Distributions", P.C. Consul & F. Famoye,
%   Birkhauser, 2006, Table 1.1.
%
%  Created by Jim Huntley,  11/24/08
%

function [pdf] = wtgeom_pdf(n, p)

q = 1 - p;
pdf = n * p^2 * q^(n-1);

return

