% xie_cdf.m - evaluates a Xie Weibull Cumulative Distribution.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%  Created by Jim Huntley,  02/16/10
%

function [cdf] = xie_cdf(x, alpha, bet, lambda)

cdf = 1 - exp(-alpha.*lambda.*(exp((x./alpha).^bet) - 1));

return

