% xie_pdf.m - evaluates a Xie Weibull Probability Density.
%   See "On Some Recent Modifications of the Weibull Distribution",
%   S. Nadarajah and S. Kotz, IEEE Trans On Reliability, v.54, no.4, 
%   p.561, December, 2005.
%
%  Created by Jim Huntley,  02/16/10
%

function [pdf] = xie_pdf(x, alpha, bet, lambda)

pdf = (bet.*lambda.*exp((x./alpha).^bet).*(x/alpha).^(bet-1)) ./ ...
       exp(alpha.*lambda.*(exp((x./alpha).^bet) - 1));

return

