% yule_cdf.m - evaluates a Yule Cumulative Distribution.
%   See YULCDF, Dataplot Reference Manual, Vol. 1, Aux., NIST   
%
%  Created by Jim Huntley,  08/16/11
%

function [cdf] = yule_cdf(n, p)

sum1 = yule_pdf(0, p);
for jn = 1:n
    sum1 = sum1 + yule_pdf(jn, p);
end
cdf = sum1;

return