% yulesim_cdf.m - evaluates a Yule Simon Cumulative Distribution.
%   See "Yule-Simon distribution", Wikipedia.
%
%  Created by Jim Huntley,  08/17/11
%

function [cdf] = yulesim_cdf(n, rho, alpha)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + yulesim_pdf(jn, rho, alpha);
end
cdf = sum1;

return