% yulesim_pdf.m - evaluates a Yule Simon Probability Density.
%   See "Yule-Simon distribution", Wikipedia.
%
%  Created by Jim Huntley,  08/17/11
%

function [pdf] = yulesim_pdf(n, rho, alpha)

coef = rho / (1-alpha^rho);
pdf = coef * betainc(1-alpha,n,rho+1) * beta(n,rho+1);

return