% z_cdf.m - compute Z Cumulative Distribution Function.
%   See "Garch Modelling with Skewed Conditional Distributions",
%   J. Miettinen, U. Helsinki, Aug, 2005 (draft),
%   http://www.valt.helsinki.fi/staff/lanne/workshop05/miettinen.pdf.              
%
%               Vector Form of CDF !!!
%
%  Created by:  Jim Huntley,  01/08/08.
%

function [cdf] = z_cdf(x,alpha,bet,sigma,mu)

tol = 1e-8;
trace = [];
warning off MATLAB:quad:MinStepSize;

minx = min(x);

% Integrate PDF to get CDF.
warning off MATLAB:quad:MinStepSize
sz = size(x,2);
for jz = 1:sz
    cdf(jz) = quad(@z_pdf,minx,x(jz),tol,trace,alpha,bet,sigma,mu);
end

return



