% zip_cdf.m - compute Zero-Inflated Poisson Cumulative Distribution Function.
%   See "Models for Count Data with Many Zeros", 
%   International Biometric Conference Cape Town, December 1998, Martin Ridout.
%
%  Created by:  Jim Huntley,  05/19/05.
%

function [cdf] = zip_cdf(n, omega, lambda)

sum1 = zip_pdf(0, omega, lambda);
for jn = 1:n
    sum1 = sum1 + zip_pdf(jn, omega, lambda);
end
cdf = sum1;
    
return



