% zipf4_cdf.m - compute Zipf IV Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.532, 2005.                 
%
%  Created by:  Jim Huntley,  11/5/07.
%

function [cdf] = zipf4_cdf(n,sigma,gam,alpha)

sum1 = zipf4_pdf(0, sigma, gam, alpha);
for jn = 1:n
    sum1 = sum1 + zipf4_pdf(jn, sigma, gam, alpha);
end
cdf = sum1;

return



