% zipfmab_cdf.m - compute Zipf Mandelbrot Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.530, 2005.                 
%
%  Created by:  Jim Huntley,  11/6/07.
%

function [cdf] = zipfman_cdf(n,q,nn,s)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + zipfman_pdf(jn, q, nn, s);
end
cdf = sum1;

return



