% ztbin_cdf.m - compute Zero-Truncated Binomial Cumulative Distribution Function.
%   See "Univariate Discrete Distributions", Johnson, Kemp, and Kotz,
%   J. Wiley, p.137, 2005.
%
%  Created by:  Jim Huntley,  10/03/07.
%

function [cdf] = ztbin_cdf(n, nn, p)

sum1 = 0;
for jn = 1:n
    sum1 = sum1 + ztbin_pdf(jn, nn, p);
end
cdf = sum1;

return



