% ztgengeg_cdf.m - compute Zero-Truncated Generalized Gegenbauer Cumulative Distribution Function.
%   See "Generalized Gegenbauer Distribution Revised ", G. Wimmer & G. Altmann, 
%   Indian Journal of Statistics, 1995, V. 57, Ser. B. Pt 3, p.452.
%
%  Created by Jim Huntley,  02/29/08
%

function [cdf] = ztgengeg_cdf(n, alpha, bet, lambda, m)

sum1 = 0;
for ji = 1:n
    sum1 = sum1 + ztgengeg_pdf(ji, alpha, bet, lambda, m);
end
cdf = sum1;
    
return



